-- Lookup table to convert i/j/saveIndex into LOTRO Deed ID
-- Note: This file is only used when converting v2.0 save files to v3.0.
_INDICIES_LOOKUP = {
    -- Skirmish
    [1] = {
    -- Skirmish Instances
        [1] = {
            [1] = 1879161975; -- Tutorial Offensive: Encounters
            [2] = 1879178992; -- Smoke Before the Fire
            [3] = 1879238481; -- Skirmisher of Middle-earth
            [4] = 1879157752; -- Siege of Gondamon
            [5] = 1879158107; -- Trouble in Tuckborough
            [6] = 1879226092; -- Storm on Methedras
            [7] = 1879159790; -- Stand at Amon Sûl
            [8] = 1879162619; -- Thievery and Mischief
            [9] = 1879209658; -- Attack at Dawn
            [10] = 1879162646; -- Defence of The Prancing Pony
            [11] = 1879159240; -- Ford of Bruinen
            [12] = 1879208174; -- The Icy Crevasse
            [13] = 1879202440; -- The Battle of the Deep-way
            [14] = 1879202441; -- The Battle of the Way of Smiths
            [15] = 1879202439; -- The Battle of the Twenty-first Hall
            [16] = 1879173661; -- Strike Against Dannenglor
            [17] = 1879173662; -- Protectors of Thangúlhad
            [18] = 1879163850; -- Breaching the Necromancer's Gate
            [19] = 1879175326; -- Assault on the Ringwraiths' Lair
            [20] = 1879173664; -- The Battle in the Tower
            [21] = 1879182644; -- Rescue in Nûrz Ghâshu
            [93] = 1879443429; -- Helping Hand
            [92] = 1879414343; -- Lossarnach's Pesky Critters
            [22] = 1879367049; -- The Perfect Picnic
            [26] = 1879383569; -- Frostbluff's Frosty Beasts
            [84] = 1879385378; -- Harbingers of the Dead
            [85] = 1879385377; -- Skirmish Assault: Ill Omens (Tier 3)
            [86] = 1879385103; -- Banisher of Ill Omens (Advanced)
            [87] = 1879385104; -- Banisher of Ill Omens
            [94] = 1879453347; -- Doom of Caras Gelebren
            [95] = 1879453353; -- Siege of the Silver Bastion
            [96] = 1879453348; -- Servants of the Deceiver (Final)
            [97] = 1879453349; -- Servants of the Deceiver (Advanced)
            [98] = 1879453351; -- Servants of the Deceiver (Intermediate)
            [99] = 1879453352; -- Servants of the Deceiver
            [100] = 1879453350; -- Defender of the Mírdain
            [27] = 1879174915; -- Bane of the Dead -- Small Fellowship
            [28] = 1879174920; -- Adversary of the Dead -- Small Fellowship
            [29] = 1879174908; -- Assailant of the Dead -- Small Fellowship
            [30] = 1879174916; -- Foe of the Dead -- Small Fellowship
            [31] = 1879174922; -- Bane of the Dead -- Fellowship
            [32] = 1879174914; -- Adversary of the Dead -- Fellowship
            [33] = 1879174912; -- Assailant of the Dead -- Fellowship
            [34] = 1879174918; -- Foe of the Dead -- Fellowship
            [35] = 1879174906; -- Bane of the Dead -- Raid
            [36] = 1879174923; -- Adversary of the Dead -- Raid
            [37] = 1879174909; -- Assailant of the Dead -- Raid
            [38] = 1879174910; -- Foe of the Dead -- Raid
            [39] = 1879174927; -- Bane of the Dark Lord -- Small Fellowship
            [40] = 1879174926; -- Adversary of the Dark Lord -- Small Fellowship
            [41] = 1879174907; -- Assailant of the Dark Lord -- Small Fellowship
            [42] = 1879174929; -- Foe of the Dark Lord -- Small Fellowship
            [43] = 1879174925; -- Bane of the Dark Lord -- Fellowship
            [44] = 1879174919; -- Adversary of the Dark Lord -- Fellowship
            [45] = 1879174917; -- Assailant of the Dark Lord -- Fellowship
            [46] = 1879174924; -- Foe of the Dark Lord -- Fellowship
            [47] = 1879174911; -- Bane of the Dark Lord -- Raid
            [48] = 1879174921; -- Adversary of the Dark Lord -- Raid
            [49] = 1879174928; -- Assailant of the Dark Lord -- Raid
            [50] = 1879174913; -- Foe of the Dark Lord -- Raid
            [51] = 1879175114; -- Surviving the Night
            [52] = 1879175126; -- Strength of Endurance -- Complete
            [53] = 1879175119; -- Strength of Endurance -- Small Fellowship
            [54] = 1879175096; -- Strength of Endurance -- Fellowship
            [55] = 1879175116; -- Strength of Endurance -- Raid
            [56] = 1879175094; -- Pride of Endurance -- Complete
            [57] = 1879175108; -- Pride of Endurance -- Small Fellowship
            [58] = 1879175101; -- Pride of Endurance -- Fellowship
            [59] = 1879175117; -- Pride of Endurance -- Raid
            [60] = 1879175102; -- Unvanquished -- Complete
            [61] = 1879175113; -- Unvanquished -- Small Fellowship
            [62] = 1879175111; -- Unvanquished -- Fellowship
            [63] = 1879175106; -- Unvanquished -- Raid
            [64] = 1879175125; -- Mercy of the Free Peoples -- Complete
            [65] = 1879175128; -- Mercy of the Free Peoples -- Small Fellowship
            [66] = 1879175124; -- Mercy of the Free Peoples -- Fellowship
            [67] = 1879175099; -- Mercy of the Free Peoples -- Raid
            [68] = 1879175110; -- Defeating the Dead -- Complete
            [69] = 1879175127; -- Defeating the Dead -- Small Fellowship
            [70] = 1879175122; -- Defeating the Dead -- Fellowship
            [71] = 1879175115; -- Defeating the Dead -- Raid
            [72] = 1879175104; -- Rulers of the Dead -- Complete
            [73] = 1879175121; -- Rulers of the Dead -- Small Fellowship
            [74] = 1879175105; -- Rulers of the Dead -- Fellowship
            [75] = 1879175103; -- Rulers of the Dead -- Raid
            [76] = 1879175123; -- Simple Skill -- Complete
            [77] = 1879175130; -- Simple Skill -- Small Fellowship
            [78] = 1879175100; -- Simple Skill -- Fellowship
            [79] = 1879175098; -- Simple Skill -- Raid
            [80] = 1879175118; -- Strength in Diversity -- Complete
            [81] = 1879175109; -- Strength in Diversity -- Small Fellowship
            [82] = 1879175129; -- Strength in Diversity -- Fellowship
            [83] = 1879175095; -- Strength in Diversity -- Raid
            [88] = 1879337427; -- Weathering the Storm -- Complete
            [89] = 1879337423; -- Weathering the Storm -- Small Fellowship
            [90] = 1879337425; -- Weathering the Storm -- Fellowship
            [91] = 1879337421; -- Weathering the Storm -- Raid
        };
        -- Skirmish Lieutenant
        [2] = {
            [1] = 1879161085; -- Bearer of Blight Slayer (Advanced)
            [2] = 1879161109; -- Bearer of Blight Slayer
            [3] = 1879161053; -- Bloodrook-slayer (Advanced)
            [4] = 1879161158; -- Bloodrook-slayer
            [5] = 1879161034; -- Brood-queen Slayer (Advanced)
            [6] = 1879161194; -- Brood-queen Slayer
            [7] = 1879161087; -- Brother of Destruction Slayer (Advanced)
            [8] = 1879161195; -- Brother of Destruction Slayer
            [9] = 1879161180; -- Chaos-fiend Slayer (Advanced)
            [10] = 1879161177; -- Chaos-fiend Slayer
            [11] = 1879161094; -- Courage-breaker Slayer (Advanced)
            [12] = 1879161048; -- Courage-breaker Slayer
            [13] = 1879161173; -- Crazed Hate-monger Slayer (Advanced)
            [14] = 1879161144; -- Crazed Hate-monger Slayer
            [15] = 1879161063; -- Daunting Spirit-sapper Slayer (Advanced)
            [16] = 1879161110; -- Daunting Spirit-sapper Slayer
            [17] = 1879161146; -- Daywalker-berserker Slayer (Advanced)
            [18] = 1879161114; -- Daywalker-berserker Slayer
            [19] = 1879161093; -- Death-monger Slayer (Advanced)
            [20] = 1879161125; -- Death-monger Slayer
            [21] = 1879176139; -- Dourhand Keg-master Slayer (Advanced)
            [22] = 1879176150; -- Dourhand Keg-master Slayer
            [23] = 1879176136; -- Dourhand Storm-keeper Slayer (Advanced)
            [24] = 1879176134; -- Dourhand Storm-keeper Slayer
            [25] = 1879161068; -- Dreadwing-marauder Slayer (Advanced)
            [26] = 1879161041; -- Dreadwing-marauder Slayer
            [27] = 1879161183; -- Echo of Death Slayer (Advanced)
            [28] = 1879161061; -- Echo of Death Slayer
            [29] = 1879161106; -- Emissary of War Slayer (Advanced)
            [30] = 1879161101; -- Emissary of War Slayer
            [31] = 1879161143; -- Enraged Snapper Slayer (Advanced)
            [32] = 1879161138; -- Enraged Snapper Slayer
            [33] = 1879161056; -- Enraged Stonecrusher Slayer (Advanced)
            [34] = 1879161132; -- Enraged Stonecrusher Slayer
            [35] = 1879161083; -- Fellbane Archer Slayer (Advanced)
            [36] = 1879161088; -- Fellbane Archer Slayer
            [37] = 1879161136; -- Flesh-gorger Slayer (Advanced)
            [38] = 1879161166; -- Flesh-gorger Slayer
            [39] = 1879161037; -- Forest-born Reaver Slayer (Advanced)
            [40] = 1879161139; -- Forest-born Reaver Slayer
            [41] = 1879161193; -- Frigid Squall Slayer (Advanced)
            [42] = 1879161100; -- Frigid Squall Slayer
            [43] = 1879184310; -- Hawk-Eyed Harrier Slayer (Advanced)
            [44] = 1879184309; -- Hawk-Eyed Harrier Slayer
            [45] = 1879161058; -- Hulking Pounder Slayer (Advanced)
            [46] = 1879161150; -- Hulking Pounder Slayer
            [47] = 1879161121; -- Leadfoot Brute Slayer (Advanced)
            [48] = 1879161067; -- Leadfoot Brute Slayer
            [49] = 1879161152; -- Leech-warden Slayer (Advanced)
            [50] = 1879161135; -- Leech-warden Slayer
            [51] = 1879176149; -- Pale Trapper Slayer (Advanced)
            [52] = 1879176144; -- Pale Trapper Slayer
            [53] = 1879161176; -- Priest of Vengeance Slayer (Advanced)
            [54] = 1879161111; -- Priest of Vengeance Slayer
            [55] = 1879161145; -- Priestess of Flames Slayer (Advanced)
            [56] = 1879161030; -- Priestess of Flames Slayer
            [57] = 1879161191; -- Primordial Wrath Slayer (Advanced)
            [58] = 1879161046; -- Primordial Wrath Slayer
            [59] = 1879161660; -- Protector of the Vile Slayer
            [60] = 1879161168; -- Rage of Morgoth Slayer (Advanced)
            [61] = 1879161060; -- Rage of Morgoth Slayer
            [62] = 1879161154; -- Raging Marauder Slayer (Advanced)
            [63] = 1879161188; -- Raging Marauder Slayer
            [64] = 1879161047; -- Shepherd of Filth Slayer (Advanced)
            [65] = 1879161178; -- Shepherd of Filth Slayer
            [66] = 1879161187; -- Silent Slayer Stalker (Advanced)
            [67] = 1879161137; -- Silent Slayer Stalker
            [68] = 1879161103; -- Spawn of Angband Slayer (Advanced)
            [69] = 1879161120; -- Spawn of Angband Slayer
            [70] = 1879161170; -- Tempest of Flame Slayer (Advanced)
            [71] = 1879161040; -- Tempest of Flame Slayer
            [72] = 1879161174; -- Thunderstone-smasher Slayer (Advanced)
            [73] = 1879161045; -- Thunderstone-smasher Slayer
            [74] = 1879176147; -- Troll Wound-taker Slayer (Advanced)
            [75] = 1879176131; -- Troll Wound-taker Slayer
            [76] = 1879161074; -- Venomous Blood-arrow Slayer (Advanced)
            [77] = 1879161052; -- Venomous Blood-arrow Slayer
            [78] = 1879161189; -- Vile Defender Slayer (Advanced)
            [79] = 1879161181; -- Vile Defender Slayer
            [80] = 1879161072; -- Will-breaker Slayer (Advanced)
            [81] = 1879161163; -- Will-breaker Slayer
            [82] = 1879161186; -- Wretched Falconer Slayer (Advanced)
            [83] = 1879161108; -- Wretched Falconer Slayer
            [84] = 1879161134; -- Zealot of Pain Slayer (Advanced)
            [85] = 1879161118; -- Zealot of Pain Slayer
        };
    };
    -- Instances
    [2] = {
        -- Shadows of Angmar
        [1] = {
            [1] = 1879190318; -- Great Barrow -- Maze Wing
            [2] = 1879190348; -- Great Barrow -- Water Wing
            [3] = 1879190349; -- Great Barrow -- Sambrog Wing
            [4] = 1879190166; -- Great Barrow -- The Gate to Sambrog
            [5] = 1879210256; -- Riddles Beneath the Inn
            [6] = 1879206148; -- Excavator of the Forsaken Caverns
            [7] = 1879206123; -- Mighty Umín
            [8] = 1879206145; -- The Necklace's Keeper
            [9] = 1879206121; -- The Perfect Fellowship
            [10] = 1879206101; -- The Journal of Captain Rabghul
            [93] = 1879415754; -- Woe of the Willow -- Tier 1
            [94] = 1879415751; -- Woe of the Willow -- Tier 2
            [95] = 1879415753; -- Woe of the Willow -- Tier 3
            [101] = 1879449482; -- Deeds of Sarch Vorn
            [102] = 1879449476; -- Sarch Vorn, the Black Grave -- Tier 1
            [103] = 1879449477; -- Discovery: Sarch Vorn, the Black Grave
            [104] = 1879449478; -- Sarch Vorn, the Black Grave -- Tier 2
            [105] = 1879449480; -- Sarch Vorn, the Black Grave -- Tier 3
            [106] = 1879449483; -- Sarch Vorn, the Black Grave -- Slayer of the Barrow-wights
            [11] = 1879234025; -- Fornost -- The Gate to Shadow
            [12] = 1879234024; -- Fornost -- The Gate to Fire
            [13] = 1879234023; -- Fornost -- The Gate to Earth
            [14] = 1879234022; -- Fornost -- Deadmen's Dike
            [15] = 1879234017; -- Fornost -- Wraith of Water
            [16] = 1879234018; -- Fornost -- Wraith of Earth
            [17] = 1879234020; -- Fornost -- Wraith of Fire
            [18] = 1879234019; -- Fornost -- Wraith of Shadow
            [19] = 1879188607; -- Annuminas -- Glinghant
            [20] = 1879188619; -- Annuminas -- Haudh Valandil
            [21] = 1879188613; -- Annuminas -- Ost Elendil
            [22] = 1879201689; -- Champion of the Halls of Night
            [23] = 1879201688; -- Raising Spirits
            [24] = 1879201687; -- Facing Your Fears
            [25] = 1879204078; -- Discover the Halls of Night
            [96] = 1879415645; -- Agoroth, the Narrowdelve -- Tier 1
            [97] = 1879415647; -- Agoroth, the Narrowdelve -- Tier 2
            [98] = 1879415648; -- Agoroth, the Narrowdelve -- Tier 3
            [26] = 1879173476; -- Saviour of Eriador
            [49] = 1879173576; -- Downfall of Carn Dûm
            [55] = 1879114588; -- Plans of War
            [50] = 1879114556; -- Ancient Evil of Carn Dûm (Advanced)
            [51] = 1879114587; -- Ancient Evil of Carn Dûm
            [56] = 1879114565; -- The Angmarim of Carn Dûm (Advanced)
            [57] = 1879114573; -- The Angmarim of Carn Dûm
            [52] = 1879114566; -- Champions of Carn Dûm (Final)
            [53] = 1879114569; -- Champions of Carn Dûm (Advanced)
            [54] = 1879114563; -- Champions of Carn Dûm
            [59] = 1879114558; -- The Orcs of Carn Dûm (Advanced)
            [60] = 1879114576; -- The Orcs of Carn Dûm
            [61] = 1879114580; -- The Slugs of Carn Dûm
            [62] = 1879114560; -- The Trolls of Carn Dûm (Advanced)
            [63] = 1879114574; -- The Trolls of Carn Dûm
            [58] = 1879114551; -- The Enemy's Stronghold
            [36] = 1879173582; -- Destruction of Urugarth
            [37] = 1879114260; -- The City of Orcs
            [38] = 1879114261; -- The Foul Idols of Urugarth
            [39] = 1879114246; -- Marching Orders
            [40] = 1879114245; -- The Beasts of Urugarth (Advanced)
            [41] = 1879114244; -- The Beasts of Urugarth
            [42] = 1879114239; -- Champions of Urugarth (Final)
            [43] = 1879114238; -- Champions of Urugarth (Advanced)
            [44] = 1879114237; -- Champions of Urugarth
            [45] = 1879114241; -- The Orcs of Urugarth (Advanced)
            [46] = 1879114240; -- The Orcs of Urugarth
            [47] = 1879114243; -- The Trolls of Urugarth (Advanced)
            [48] = 1879114242; -- The Trolls of Urugarth
            [27] = 1879173583; -- Toppling of Barad Gúlaran
            [34] = 1879114750; -- The Minions of Wisdán (Advanced)
            [35] = 1879114749; -- The Minions of Wisdán
            [29] = 1879114747; -- Lore of the Enemy
            [28] = 1879114748; -- Champions of Barad Gúlaran
            [32] = 1879114752; -- The Dead That Live (Advanced)
            [33] = 1879114751; -- The Dead That Live
            [30] = 1879114754; -- Allies of the Enemy (Advanced)
            [31] = 1879114753; -- Allies of the Enemy
            [64] = 1879384896; -- The Rift of Nûrz Ghâshu -- Tier 2
            [65] = 1879384897; -- The Rift of Nûrz Ghâshu -- Tier 3
            [66] = 1879189792; -- Helegrod -- Dragon Wing
            [67] = 1879185328; -- Helegrod -- The Gate to Thorog
            [68] = 1879188857; -- Helegrod -- Drake Wing
            [69] = 1879189686; -- Helegrod -- Giant Wing
            [70] = 1879189703; -- Helegrod -- Spider Wing
            [71] = 1879384904; -- Helegrod - Dragon Wing -- Tier 2
            [72] = 1879384903; -- Helegrod - Dragon Wing -- Tier 3
            [73] = 1879145444; -- Marshal of Tham Mírdain
            [85] = 1879145430; -- Invaders of Tham Mírdain (Complete)
            [87] = 1879145429; -- Invaders of Tham Mírdain (Ring-forge)
            [88] = 1879145428; -- Invaders of Tham Mírdain (School)
            [86] = 1879145427; -- Invaders of Tham Mírdain (Library)
            [77] = 1879145432; -- Mercenaries of the White-hand (Advanced)
            [78] = 1879145431; -- Mercenaries of the White-hand
            [81] = 1879145434; -- Soldiers of the Enemy (Advanced)
            [82] = 1879145433; -- Soldiers of the Enemy
            [79] = 1879145438; -- Scholars from Angmar (Advanced)
            [80] = 1879145437; -- Scholars from Angmar
            [83] = 1879145440; -- The Pale Followers (Advanced)
            [84] = 1879145439; -- The Pale Followers
            [74] = 1879145441; -- Lore of the Forgotten Library
            [76] = 1879145442; -- Texts of the Crumbling School
            [75] = 1879145443; -- Ring-lore of Tham Mírdain
            [89] = 1879145436; -- Warriors of the Enemy (Advanced)
            [90] = 1879145435; -- Warriors of the Enemy
            [91] = 1879188417; -- The Library at Tham Mírdain
            [92] = 1879188445; -- The School at Tham Mírdain
            [99] = 1879415752; -- Woe of the Willow -- Tier 3 -- Leading the Charge
            [100] = 1879415644; -- Agoroth, the Narrowdelve -- Tier 3 -- Leading the Charge
            [107] = 1879449479; -- Sarch Vorn, the Black Grave -- Tier 3 -- Leading the Charge
        };
        -- Mines of Moria
        [2] = {
            [66] = 1879146136; -- Curator of the Forgotten Treasury
            [69] = 1879146139; -- Intruders in the Vault (Advanced)
            [70] = 1879146138; -- Intruders in the Vault
            [67] = 1879146127; -- Defilers of the Forgotten Treasury (Advanced)
            [68] = 1879146126; -- Defilers of the Forgotten Treasury
            [71] = 1879146137; -- Treasures of the Silvertine Lodes
            [1] = 1879173477; -- Saviour of Khazad-dûm
            [2] = 1879147164; -- The Watcher of Moria
            [3] = 1879147165; -- Lost to the Deeps
            [4] = 1879147166; -- The Vile Maw
            [5] = 1879147168; -- The Arms of the Watcher (Advanced)
            [6] = 1879147167; -- The Arms of the Watcher
            [7] = 1879147152; -- The Grand Stair
            [8] = 1879147151; -- Landings of the Grand Stair
            [9] = 1879147153; -- Letters to Igash
            [10] = 1879147155; -- Villains of the Grand Stair (Part 2)
            [11] = 1879147157; -- Tamers of the Vile Wargs (Advanced)
            [12] = 1879147156; -- Tamers of the Vile Wargs
            [13] = 1879147159; -- Followers of Igash (Advanced)
            [14] = 1879147158; -- Followers of Igash
            [15] = 1879147161; -- Brutes of the Grand Stair (Advanced)
            [16] = 1879147160; -- Brutes of the Grand Stair
            [17] = 1879147163; -- Beasts of the Grand Stair (Advanced)
            [18] = 1879147162; -- Beasts of the Grand Stair
            [19] = 1879147154; -- Villains of the Grand Stair (Part 1)
            [20] = 1879147172; -- Mastery Over Fear
            [21] = 1879147173; -- Purifier of Skûmfil
            [28] = 1879147169; -- The Fallen Heroes
            [27] = 1879147175; -- The Corpse-eaters
            [22] = 1879147176; -- Leaders of the Hive
            [31] = 1879147178; -- The Hounds of Skûmfil (Advanced)
            [32] = 1879147177; -- The Hounds of Skûmfil
            [29] = 1879147180; -- The Horrors with Many Legs (Advanced)
            [30] = 1879147179; -- The Horrors with Many Legs
            [25] = 1879147182; -- The Corpse-beasts of Skûmfil (Advanced)
            [26] = 1879147181; -- The Corpse-beasts of Skûmfil
            [23] = 1879147184; -- The Blighted Ones (Advanced)
            [24] = 1879147183; -- The Blighted Ones
            [33] = 1879147170; -- Triumph within the Forsaken Deeps
            [34] = 1879147171; -- Runes of the Dark Delvings
            [35] = 1879147174; -- Leaders of the Nameless
            [36] = 1879147186; -- Glow-worm Slayer (Advanced)
            [37] = 1879147185; -- Glow-worm Slayer
            [38] = 1879147188; -- Nameless-slayer (Advanced)
            [39] = 1879147187; -- Nameless-slayer
            [40] = 1879147821; -- Persevering Against the Blight
            [48] = 1879147823; -- Corruption in Command
            [41] = 1879147822; -- Investigating the Blight
            [46] = 1879147829; -- Orcs of the Sixteenth Hall (Advanced)
            [47] = 1879147828; -- Orcs of the Sixteenth Hall
            [44] = 1879147827; -- Fallen to Blight (Advanced)
            [45] = 1879147826; -- Fallen to Blight
            [42] = 1879147825; -- Carriers of the Blight (Advanced)
            [43] = 1879147824; -- Carriers of the Blight
            [49] = 1879147026; -- Marshal of the Burning Depths
            [50] = 1879147024; -- Bane of Industry
            [51] = 1879147011; -- Overseers of the Forge
            [52] = 1879147010; -- Implements of the Forge
            [53] = 1879147015; -- Orcs of the Forge (Advanced)
            [54] = 1879147014; -- Orcs of the Forge
            [55] = 1879147013; -- Slaves to the Forge (Advanced)
            [56] = 1879147012; -- Slaves to the Forge
            [57] = 1879147017; -- Blinded by Fire (Advanced)
            [58] = 1879147016; -- Blinded by Fire
            [59] = 1879147025; -- Bane of Fil Gashan
            [65] = 1879147019; -- Heart of the Enemy
            [63] = 1879147021; -- Strength of the Enemy (Advanced)
            [64] = 1879147020; -- Strength of the Enemy
            [61] = 1879147023; -- Eyes of the Enemy (Advanced)
            [62] = 1879147022; -- Eyes of the Enemy
            [60] = 1879147018; -- Arms of the Enemy
        };
        -- Scourge of Khazad-dûm
        [3] = {
            [1] = 1879173475; -- Saviour of Lothlórien
            [2] = 1879150852; -- Liberator of the Halls of Crafting
            [3] = 1879150858; -- Chieftains of the Halls of Crafting
            [4] = 1879150853; -- Halls of Crafting Crate Investigation
            [5] = 1879150860; -- Halls of Crafting Melee Orc-slayer (Advanced)
            [6] = 1879150859; -- Halls of Crafting Melee Orc-slayer
            [7] = 1879150862; -- Halls of Crafting Ranged Orc-slayer (Advanced)
            [8] = 1879150861; -- Halls of Crafting Ranged Orc-slayer
            [9] = 1879150854; -- Reaver of Dâr Narbugud
            [11] = 1879150863; -- Hierarchy of the Nameless
            [12] = 1879150865; -- Dâr Narbugud Nameless-slayer (Advanced)
            [13] = 1879150864; -- Dâr Narbugud Nameless-slayer
            [14] = 1879150867; -- Dâr Narbugud Orc-slayer (Advanced)
            [15] = 1879150866; -- Dâr Narbugud Orc-slayer
            [16] = 1879150869; -- Dâr Narbugud Troll-slayer (Advanced)
            [17] = 1879150868; -- Dâr Narbugud Troll-slayer
            [10] = 1879150855; -- Dâr Narbugud Fungus Investigation
            [18] = 1879152742; -- Light of Lumul-nar
            [19] = 1879152741; -- The Crystal Mirror-shards
            [20] = 1879152743; -- An Evil Reflection
            [21] = 1879152745; -- Lumul-nar Morroval-slayer (Advanced)
            [22] = 1879152744; -- Lumul-nar Morroval-slayer
            [23] = 1879150857; -- Scourge of Nalâ-dûm
            [24] = 1879150856; -- Plants of the Water-works
            [25] = 1879150870; -- Enemies in Nalâ-dûm
            [26] = 1879150872; -- Nalâ-dûm Lizard-slayer (Advanced)
            [27] = 1879150871; -- Nalâ-dûm Lizard-slayer
        };
        -- Tower of Dol Guldur
        [4] = {
            [1] = 1879163169; -- Tempest of Dol Guldur
            [3] = 1879163173; -- There is a New Warden in the Dungeons
            [2] = 1879163162; -- The Warden of the Dungeons
            [4] = 1879163175; -- Liberation from the Merciless Dungeons
            [5] = 1879163179; -- Leave No One Behind
            [6] = 1879163177; -- Leader of the Pack
            [7] = 1879163172; -- Of Warg and Goblin
            [8] = 1879163165; -- A Full Belly and a Nap in the Dirt
            [9] = 1879163167; -- Throwing Down Sammath Gûl
            [10] = 1879163166; -- Enter the Chambers
            [11] = 1879163170; -- The Spirits are the Key
            [12] = 1879163176; -- Bringing Down the Enemy
            [13] = 1879163163; -- Regent of the Tower
            [17] = 1879163181; -- A Game of Death
            [14] = 1879163174; -- The Ten Guards
            [15] = 1879163154; -- Two with One Blow
            [16] = 1879163164; -- King of the East
            [18] = 1879163168; -- Glory in the Sword-hall of Dol Guldur
            [19] = 1879163178; -- Enter the Arena
            [20] = 1879163171; -- The Battle of the Sword-hall of Dol Guldur
            [21] = 1879391027; -- Legendary Challenger: Dol Guldur
        };
        -- In Their Absence
        [5] = {
            [37] = 1879224942; -- In Your Presence
            [38] = 1879198665; -- Mysterious Relics
            [1] = 1879201577; -- Champion of the Northcotton Farm
            [2] = 1879201491; -- Thadúr's Plans Foiled
            [3] = 1879205935; -- Discovery: Northcotton Farm
            [4] = 1879201570; -- The Cleansing of Darkthorn
            [5] = 1879196954; -- Saviour of Stoneheight
            [6] = 1879196953; -- Oppressors of Stoneheight
            [7] = 1879205934; -- Discovery: Stoneheight
            [8] = 1879196955; -- Challenger of Stoneheight
            [9] = 1879205776; -- Champion of the Lost Temple
            [10] = 1879201450; -- Lost Temple: One Ill Turn....
            [11] = 1879201468; -- Lost Temple: The Sick and the Dead
            [12] = 1879201469; -- Lost Temple: Synchronized Slaughter
            [13] = 1879201162; -- Lost Temple: Ferndúr's Defeat
            [14] = 1879201752; -- Discovery: Lost Temple
            [15] = 1879201467; -- Lost Temple: Clean Sweep
            [16] = 1879201601; -- Atop the Glacial Throne
            [17] = 1879201589; -- King of the Mountain
            [18] = 1879205339; -- Discoverer of Sâri-surma
            [19] = 1879201587; -- Frost Fight
            [20] = 1879205378; -- Ost Dunhoth: Champion of the Fortress of the Western Host
            [21] = 1879205369; -- Ost Dunhoth: The Fall of Gortheron -- Tier 1
            [22] = 1879205361; -- Ost Dunhoth: Manifestations of Wounds and Fears -- Tier 1
            [23] = 1879205363; -- Ost Dunhoth: Manifestations of Diseases and Poisons -- Tier 1
            [24] = 1879205365; -- Ost Dunhoth: Ivar and Gortheron -- Tier 1
            [25] = 1879198835; -- Discoverer of Ost Dunhoth
            [26] = 1879205368; -- Ost Dunhoth: The Fall of Gortheron -- Tier 2
            [27] = 1879205362; -- Ost Dunhoth: Manifestations of Wounds and Fears -- Tier 2
            [28] = 1879205364; -- Ost Dunhoth: Manifestations of Diseases and Poisons -- Tier 2
            [29] = 1879205366; -- Ost Dunhoth: Ivar and Gortheron -- Tier 2
            [30] = 1879205372; -- Ost Dunhoth: Leader of the Pack
            [31] = 1879205373; -- Ost Dunhoth: Face Your Fears
            [32] = 1879205376; -- Ost Dunhoth: Toes in the Water
            [33] = 1879205371; -- Ost Dunhoth: Sticky Sap
            [34] = 1879205374; -- Ost Dunhoth: Corrupted Champions
            [35] = 1879205375; -- Ost Dunhoth: The Power of Gortheron
            [36] = 1879197557; -- Ivar's Champions
            [39] = 1879205410; -- Challenger of Gortheron
            [40] = 1879391028; -- Legendary Challenger: In Their Absence
        };
        -- Rise of Isengard
        [6] = {
            [1] = 1879228097; -- The Armies of Isengard
            [2] = 1879227965; -- Discovery: Instances of Isengard
            [16] = 1879226616; -- Isengard: The Foundry
            [17] = 1879226083; -- Commanders of the Foundry, Tier I
            [18] = 1879226101; -- Commanders of the Foundry, Tier II
            [19] = 1879226615; -- Challenge: The Foundry
            [7] = 1879228031; -- Isengard: Fangorn's Edge
            [8] = 1879227974; -- Last Tree Standing
            [9] = 1879227895; -- Save the Trees
            [10] = 1879227972; -- Thoroughbred
            [11] = 1879227973; -- Clear-cutter
            [12] = 1879228036; -- Isengard: The Pits of Isengard
            [13] = 1879228033; -- Abolish Abominations
            [14] = 1879228034; -- End the Suffering
            [15] = 1879228035; -- Fire to Ashes
            [3] = 1879227845; -- Isengard: Dargnákh Unleashed
            [4] = 1879227844; -- Commanders of Isengard -- Tier I
            [5] = 1879227846; -- Commanders of Isengard -- Tier II
            [6] = 1879227847; -- Challenge: Dargnákh Unleashed
            [25] = 1879227741; -- Tower of Orthanc: Destroyer of Rings
            [26] = 1879227701; -- Tower of Orthanc: The Mind of Saruman -- Tier 1
            [27] = 1879227678; -- Tower of Orthanc: Ring of Acid -- Tier 1
            [28] = 1879227680; -- Tower of Orthanc: Ring of Lightning -- Tier 1
            [29] = 1879227685; -- Tower of Orthanc: Rings of Fire and Frost -- Tier 1
            [30] = 1879227683; -- Tower of Orthanc: Ring of Shadow -- Tier 1
            [31] = 1879227688; -- Tower of Orthanc: Saruman's Ring -- Tier 1
            [32] = 1879227730; -- Tower of Orthanc: The Mind of Saruman -- Tier 2
            [33] = 1879227679; -- Tower of Orthanc: Ring of Acid -- Tier 2
            [34] = 1879227681; -- Tower of Orthanc: Ring of Lightning -- Tier 2
            [35] = 1879227684; -- Tower of Orthanc: Rings of Fire and Frost -- Tier 2
            [36] = 1879227682; -- Tower of Orthanc: Ring of Shadow -- Tier 2
            [37] = 1879227687; -- Tower of Orthanc: Saruman's Ring -- Tier 2
            [38] = 1879227755; -- Tower of Orthanc: Acid Wash
            [39] = 1879227754; -- Tower of Orthanc: Conductivity
            [40] = 1879227753; -- Tower of Orthanc: Dancing in the Dark
            [41] = 1879227752; -- Tower of Orthanc: Fire and Ice
            [42] = 1879227756; -- Tower of Orthanc: Pinnacle of Orthanc
            [43] = 1879227899; -- Tower of Orthanc: Challenger of Saruman
            [20] = 1879214993; -- Draigoch the Red
            [21] = 1879214991; -- Draigoch's Lair -- Tier 1
            [22] = 1879205933; -- Draigoch's Lair -- Discovery
            [23] = 1879214992; -- Draigoch's Lair -- Tier 2
            [24] = 1879214994; -- Draigoch's Lair -- Challenge
            [44] = 1879227905; -- Tower of Orthanc: Original Challenger of Saruman
        };
        -- The Road to Erebor
        [7] = {
            [1] = 1879260394; -- The Road to Erebor
            [2] = 1879259433; -- Usurper of the Great Goblin's Throne
            [3] = 1879259399; -- Seat of the Great Goblin -- Tier 1
            [4] = 1879259428; -- Seat of the Great Goblin -- Tier 2
            [6] = 1879259429; -- Challenge: Seat of the Great Goblin
            [5] = 1879259646; -- The Tale of Goblin-town
            [7] = 1879259230; -- Defender of Thranduil's Hall
            [8] = 1879259231; -- Webs of the Scuttledells -- Tier 1
            [9] = 1879259229; -- Webs of the Scuttledells -- Tier 2
            [10] = 1879259233; -- Challenge: Webs of the Scuttledells
            [11] = 1879259049; -- Champion of Iorbar's Peak
            [12] = 1879259021; -- The Stone Giant's Demise
            [13] = 1879259024; -- Helf's Downfall
            [14] = 1879259025; -- Saviour of the Eagle Egg
            [15] = 1879260392; -- Defender of the Road
            [18] = 1879260349; -- Challenge - An Army from the East
            [16] = 1879260343; -- Flight to the Lonely Mountain - Tier 1
            [17] = 1879260344; -- Flight to the Lonely Mountain - Tier 2
            [19] = 1879260284; -- Defender of the Dale-lands
            [20] = 1879260281; -- The Bells of Dale -- Tier 1
            [21] = 1879260283; -- The Bells of Dale -- Tier 2
            [22] = 1879260286; -- Challenge: The Bells of Dale
            [23] = 1879260393; -- Slayer of the Golden Dragon
            [26] = 1879260350; -- The Fires of Smaug - Challenge
            [24] = 1879260346; -- The Fires of Smaug - Tier 1
            [25] = 1879260347; -- The Fires of Smaug - Tier 2
            [27] = 1879260391; -- Warden of the Lonely Mountain
            [30] = 1879260351; -- The Battle for Erebor - Challenge
            [28] = 1879260348; -- The Battle for Erebor - Tier 1
            [29] = 1879260345; -- The Battle for Erebor - Tier 2
            [31] = 1879265378; -- In Defence of Erebor - Challenge
            [32] = 1879265377; -- In Defence of Erebor - Tier 1
            [33] = 1879265379; -- In Defence of Erebor - Tier 2
        };
        -- Ashes of Osgiliath
        [8] = {
            [1] = 1879324365; -- Breaker of the Black Blade
            [2] = 1879324361; -- The Dome of Stars -- Tier 1
            [3] = 1879324362; -- The Dome of Stars -- Tier 2
            [4] = 1879324363; -- Challenge: Painful Memories
            [5] = 1879324364; -- The Lord of Pinions
            [6] = 1879324347; -- Hope Among the Ruins
            [7] = 1879324348; -- The Ruined City -- Tier 1
            [8] = 1879324350; -- The Ruined City -- Tier 2
            [9] = 1879324349; -- Challenge: Harrowing Ordeal
            [10] = 1879323535; -- Light Beneath Osgiliath
            [11] = 1879323532; -- Sunken Labyrinth -- Tier 1
            [12] = 1879323533; -- Sunken Labyrinth -- Tier 2
            [13] = 1879323531; -- Challenge: Subterranean Slugfest
            [14] = 1879323534; -- Memories of the Second Age
        };
        -- The Battle of Pelennor
        [9] = {
            [1] = 1879331069; -- Bane of Harad
            [2] = 1879331070; -- Blood of the Black Serpent -- Tier 1
            [3] = 1879331068; -- Blood of the Black Serpent -- Tier 2
            [4] = 1879331071; -- Challenge: Fall of the Two Princes
            [5] = 1879330606; -- Vanquishing the Darkness
            [6] = 1879330608; -- The Quays of the Harlond -- Tier 1
            [7] = 1879330607; -- The Quays of the Harlond -- Tier 2
            [8] = 1879330602; -- Challenge: Kálmok's Squadron
            [9] = 1879331046; -- Radiance Amidst the Gloom
            [10] = 1879331048; -- The Silent Street -- Tier 1
            [11] = 1879331047; -- The Silent Street -- Tier 2
            [13] = 1879331049; -- Challenge: Redeemer of the Cursed Line
            [12] = 1879331612; -- The Risen of Rath Dínen
            [14] = 1879334086; -- Throne of the Dread Terror -- Thwarter of Gothmog
            [15] = 1879334077; -- Throne of the Dread Terror -- Tier 1
            [16] = 1879334065; -- Throne of the Dread Terror: Rakothas, Brother of Thrúgrath -- Tier 1
            [17] = 1879334067; -- Throne of the Dread Terror: Banes of Blackroot -- Tier 1
            [18] = 1879334069; -- Throne of the Dread Terror: The Summoned -- Tier 1
            [19] = 1879334071; -- Throne of the Dread Terror: The Enslaved of Minas Morgul -- Tier 1
            [20] = 1879334074; -- Throne of the Dread Terror: The Deathless Sentinels -- Tier 1
            [21] = 1879334075; -- Throne of the Dread Terror: Gothmog the Dread Terror -- Tier 1
            [22] = 1879334078; -- Throne of the Dread Terror -- Tier 2
            [23] = 1879334066; -- Throne of the Dread Terror: Rakothas, Brother of Thrúgrath -- Tier 2
            [24] = 1879334068; -- Throne of the Dread Terror: Banes of Blackroot -- Tier 2
            [25] = 1879334070; -- Throne of the Dread Terror: The Summoned -- Tier 2
            [26] = 1879334072; -- Throne of the Dread Terror: The Enslaved of Minas Morgul -- Tier 2
            [27] = 1879334073; -- Throne of the Dread Terror: The Deathless Sentinels -- Tier 2
            [28] = 1879334076; -- Throne of the Dread Terror: Gothmog the Dread Terror -- Tier 2
            [29] = 1879334085; -- Throne of the Dread Terror -- Challenger of the Morgul-host
            [30] = 1879334079; -- Throne of the Dread Terror: Short Fuse
            [31] = 1879334080; -- Throne of the Dread Terror: Trampling the Mûmakil
            [32] = 1879334082; -- Throne of the Dread Terror: Fear or Flame
            [33] = 1879334083; -- Throne of the Dread Terror: Unbound Corruption
            [34] = 1879334084; -- Throne of the Dread Terror: Calm of Death
            [35] = 1879334081; -- Throne of the Dread Terror: The Returned King
            [36] = 1879339420; -- Throne of the Dread Terror -- Challenger of the Returned King
            [37] = 1879334087; -- Throne of the Dread Terror -- First Challenger of the Returned King
        };
        -- The Plateau of Gorgoroth
        [10] = {
            [1] = 1879359528; -- Sovereign of Seregost
            [2] = 1879359533; -- The Court of Seregost -- Tier 1
            [3] = 1879358607; -- Discovery: The Court of Seregost
            [4] = 1879359531; -- The Court of Seregost -- Tier 2
            [5] = 1879359527; -- Challenge: Khílnat, the Silent Shade
            [6] = 1879359550; -- The Court of Seregost: Lost Lore
            [7] = 1879359544; -- The Court of Seregost: Morroval-slayer
            [8] = 1879359545; -- The Court of Seregost: Orc-slayer
            [9] = 1879359551; -- The Court of Seregost: Black Númenórean-slayer
            [10] = 1879358717; -- Destroyer of the Direhold
            [11] = 1879358712; -- Dungeons of Naerband -- Tier 1
            [12] = 1879358605; -- Discovery: The Dungeons of Naerband
            [13] = 1879358718; -- Dungeons of Naerband -- Tier 2
            [14] = 1879358724; -- Challenge: Take a Turn on the Rack
            [17] = 1879358721; -- Dungeons of Naerband: Lost Lore
            [15] = 1879358728; -- Dungeons of Naerband: Flame-slayer
            [16] = 1879358720; -- Dungeons of Naerband: Ghâsh-hai-slayer
            [18] = 1879358725; -- Dungeons of Naerband: Scourge-slayer
            [19] = 1879358736; -- The Abyss of Mordath -- Steward of the Seven Fathers
            [20] = 1879358734; -- The Abyss of Mordath -- Tier 1
            [21] = 1879358731; -- The Abyss of Mordath: The Spoiled of the Eye -- Tier 1
            [22] = 1879358606; -- Discovery: The Abyss of Mordath
            [23] = 1879358761; -- The Abyss of Mordath: The Deathless Warden -- Tier 1
            [24] = 1879358762; -- The Abyss of Mordath: The Master of the Seven -- Tier 1
            [25] = 1879358737; -- The Abyss of Mordath -- Tier 2
            [26] = 1879358730; -- The Abyss of Mordath: The Spoiled of the Eye -- Tier 2
            [27] = 1879358758; -- The Abyss of Mordath: The Deathless Warden -- Tier 2
            [28] = 1879358759; -- The Abyss of Mordath: The Master of the Seven -- Tier 2
            [29] = 1879358735; -- The Abyss of Mordath -- Conqueror of Greed
            [30] = 1879358729; -- The Abyss of Mordath: The Order of Death
            [31] = 1879358757; -- The Abyss of Mordath: A Light in the Darkness
            [32] = 1879358760; -- The Abyss of Mordath: The Power of the Dwarf-rings
            [33] = 1879358733; -- The Abyss of Mordath -- Challenger of the Abyss
            [34] = 1879360892; -- The Abyss of Mordath -- Explorer of the Black Pits
            [35] = 1879358732; -- The Abyss of Mordath -- Original Challenger of the Abyss
        };
        -- The Grey Mountains
        [11] = {
            [44] = 1879370399; -- A Missive From Erebor
            [1] = 1879369586; -- Destroyer of the Stormwall
            [2] = 1879369595; -- Caverns of Thrumfall -- Tier 1
            [3] = 1879369602; -- Discovery: Stormwall
            [4] = 1879369574; -- Caverns of Thrumfall -- Tier 2
            [5] = 1879369581; -- Caverns of Thrumfall -- Tier 3
            [7] = 1879369588; -- Caverns of Thrumfall: Serpent-slayer
            [6] = 1879369590; -- Caverns of Thrumfall: Spider-slayer
            [42] = 1879375471; -- Dead Ends
            [8] = 1879369584; -- Delver of the Glimmerdeep
            [9] = 1879369591; -- Glimmerdeep -- Tier 1
            [10] = 1879369597; -- Discovery: Glimmerdeep
            [11] = 1879369589; -- Glimmerdeep -- Tier 2
            [12] = 1879369594; -- Glimmerdeep -- Tier 3
            [13] = 1879369576; -- Glimmerdeep: Goblin-slayer
            [14] = 1879369578; -- Glimmerdeep: Orc and Troll Slayer
            [15] = 1879381858; -- The Anvil of Winterstith -- Tier 1
            [41] = 1879382770; -- Discovery: The Anvil of Winterstith
            [16] = 1879381822; -- The Anvil of Winterstith: Isvítha the Gluttonous -- Tier 1
            [17] = 1879381826; -- The Anvil of Winterstith: The Thirteen Kings -- Tier 1
            [18] = 1879381827; -- The Anvil of Winterstith: Karazgar and Vethúg -- Tier 1
            [19] = 1879381828; -- The Anvil of Winterstith: Hrímil Frost-heart -- Tier 1
            [20] = 1879381852; -- The Anvil of Winterstith -- Tier 2
            [21] = 1879381862; -- The Anvil of Winterstith: Isvítha the Gluttonous -- Tier 2
            [22] = 1879381864; -- The Anvil of Winterstith: The Thirteen Kings -- Tier 2
            [23] = 1879381854; -- The Anvil of Winterstith: Karazgar and Vethúg -- Tier 2
            [24] = 1879381855; -- The Anvil of Winterstith: Hrímil Frost-heart -- Tier 2
            [25] = 1879381849; -- The Anvil of Winterstith -- Tier 3
            [26] = 1879381856; -- The Anvil of Winterstith: Isvítha the Gluttonous -- Tier 3
            [27] = 1879381860; -- The Anvil of Winterstith: The Thirteen Kings -- Tier 3
            [28] = 1879381848; -- The Anvil of Winterstith: Karazgar and Vethúg -- Tier 3
            [29] = 1879381850; -- The Anvil of Winterstith: Hrímil Frost-heart -- Tier 3
            [30] = 1879370352; -- Reclaimer of Thikil-gundu
            [31] = 1879370341; -- Delver of Thikil-gundu
            [43] = 1879370350; -- Lost Lore of the Dwarf-holds: Thikil-gundu
            [32] = 1879370226; -- Thikil-gundu, the Steel Keep -- Tier 1
            [33] = 1879370099; -- Discovery: Thikil-gundu, the Steel Keep
            [34] = 1879370340; -- Thikil-gundu, the Steel Keep -- Tier 2
            [35] = 1879370339; -- Thikil-gundu, the Steel Keep -- Tier 3
            [36] = 1879370342; -- Where Death Lies In Wait
            [45] = 1879369573; -- Caverns of Thrumfall -- Tier 3 -- Leading the Charge
            [46] = 1879369599; -- Glimmerdeep -- Tier 3 -- Leading the Charge
            [47] = 1879381846; -- The Anvil of Winterstith - The Vanguard
            [48] = 1879381866; -- The Anvil of Winterstith - Leading the Charge
            [49] = 1879370376; -- Thikil-gundu -- Tier 3 -- Leading the Charge
        };
        -- Minas Morgul
        [12] = {
            [68] = 1879398015; -- Conqueror of the Dead City
            [14] = 1879390927; -- Delver of Gorthad Nûr, the Deep-barrow
            [15] = 1879390867; -- Gorthad Nûr, the Deep-barrow -- Tier 1
            [16] = 1879390878; -- Discovery: Gorthad Nûr, the Deep-barrow
            [17] = 1879390909; -- Gorthad Nûr, the Deep-barrow -- Tier 2
            [18] = 1879390902; -- Gorthad Nûr, the Deep-barrow -- Tier 3
            [19] = 1879390926; -- Gorthad Nûr, the Deep-barrow: Kergrim-slayer
            [20] = 1879390923; -- Gorthad Nûr, the Deep-barrow: Wight-slayer
            [1] = 1879390924; -- Delver of Eithel Gwaur, the Filth-well
            [2] = 1879390884; -- Eithel Gwaur, the Filth-well -- Tier 1
            [3] = 1879390894; -- Discovery: Eithel Gwaur, the Filth-well
            [4] = 1879390887; -- Eithel Gwaur, the Filth-well -- Tier 2
            [5] = 1879390879; -- Eithel Gwaur, the Filth-well -- Tier 3
            [6] = 1879390925; -- Eithel Gwaur, the Filth-well -- Slayer
            [21] = 1879396402; -- Harrower of Morgul
            [22] = 1879396184; -- Harrowing of Morgul -- Tier 1
            [23] = 1879396177; -- The Harrowing of Morgul-- Tier 2
            [24] = 1879396179; -- The Harrowing of Morgul-- Tier 3
            [25] = 1879396174; -- The Harrowing of Morgul -- Slayer
            [7] = 1879397734; -- Conqueror of Gath Daeroval, the Shadow-roost
            [8] = 1879396175; -- Gath Daeroval, the Shadow-roost -- Tier 1
            [9] = 1879397309; -- Discovery: Gath Daeroval, the Shadow-roost
            [10] = 1879396182; -- Gath Daeroval, the Shadow-roost -- Tier 2
            [11] = 1879396180; -- Gath Daeroval, the Shadow-roost -- Tier 3
            [12] = 1879396183; -- Gath Daeroval, the Shadow-roost: Fell Beast Slayer
            [13] = 1879397310; -- Gath Daeroval, the Shadow-roost: Olag-hai Slayer
            [49] = 1879395726; -- Cleanser of Bâr Nírnaeth, the Houses of Lamentation
            [50] = 1879395722; -- Bâr Nírnaeth, the Houses of Lamentation -- Tier 1
            [51] = 1879395598; -- Discovery: Bâr Nírnaeth, the Houses of Lamentation
            [52] = 1879395724; -- Bâr Nírnaeth, the Houses of Lamentation -- Tier 2
            [53] = 1879395725; -- Bâr Nírnaeth, the Houses of Lamentation -- Tier 3
            [54] = 1879395720; -- Bâr Nírnaeth, the Houses of Lamentation: Slayer of Acolytes of Lamentation
            [55] = 1879395723; -- Bâr Nírnaeth, the Houses of Lamentation: Slayer of the Unhoused
            [56] = 1879398967; -- Stalwart Scholar of Ghashan-kútot, the Halls of Black Lore
            [57] = 1879398964; -- Ghashan-kútot, the Halls of Black Lore -- Tier 1
            [58] = 1879394456; -- Discovery: Ghashan-kútot - the Hall of Black Lore
            [59] = 1879398966; -- Ghashan-kútot, the Halls of Black Lore -- Tier 2
            [60] = 1879398968; -- Ghashan-kútot, the Halls of Black Lore -- Tier 3
            [61] = 1879398960; -- Ghashan-kútot, the Halls of Black Lore: Slayer of the Archivist's Assistants
            [62] = 1879398970; -- Ghashan-kútot, the Halls of Black Lore: Slayer of Spirits
            [64] = 1879398116; -- Conqueror of the Fallen Kings
            [65] = 1879398118; -- The Fallen Kings -- Tier 1
            [66] = 1879398114; -- The Fallen Kings -- Tier 2
            [67] = 1879398113; -- The Fallen Kings -- Tier 3
            [26] = 1879402761; -- Remmorchant, the Net of Darkness
            [27] = 1879402760; -- Remmorchant, the Net of Darkness -- Tier 1
            [28] = 1879402705; -- Remmorchant, the Net of Darkness: Bratha Tasakh, Lady of Many Venoms -- Tier 1
            [29] = 1879394460; -- Discovery: Remmorchant - the Net of Darkness
            [30] = 1879402717; -- Remmorchant, the Net of Darkness: The Queensbrood -- Tier 1
            [31] = 1879402708; -- Remmorchant, the Net of Darkness: Thossulun the Massive -- Tier 1
            [32] = 1879402716; -- Remmorchant, the Net of Darkness: Rûkhor the Pale Herald -- Tier 1
            [33] = 1879402712; -- Remmorchant, the Net of Darkness: Shelob the Great, Last Child of Ungoliant -- Tier 1
            [34] = 1879402758; -- Remmorchant, the Net of Darkness -- Tier 2
            [35] = 1879402706; -- Remmorchant, the Net of Darkness: Bratha Tasakh, Lady of Many Venoms -- Tier 2
            [36] = 1879402723; -- Remmorchant, the Net of Darkness: The Queensbrood -- Tier 2
            [37] = 1879402714; -- Remmorchant, the Net of Darkness: Thossulun the Massive -- Tier 2
            [38] = 1879402711; -- Remmorchant, the Net of Darkness: Rûkhor the Pale Herald -- Tier 2
            [39] = 1879402709; -- Remmorchant, the Net of Darkness: Shelob the Great, Last Child of Ungoliant -- Tier 2
            [40] = 1879402759; -- Remmorchant, the Net of Darkness -- Tier 3
            [41] = 1879402707; -- Remmorchant, the Net of Darkness: Bratha Tasakh, Lady of Many Venoms -- Tier 3
            [42] = 1879402722; -- Remmorchant, the Net of Darkness: The Queensbrood -- Tier 3
            [43] = 1879402715; -- Remmorchant, the Net of Darkness: Thossulun the Massive -- Tier 3
            [44] = 1879402713; -- Remmorchant, the Net of Darkness: Rûkhor the Pale Herald -- Tier 3
            [45] = 1879402710; -- Remmorchant, the Net of Darkness: Shelob the Great, Last Child of Ungoliant -- Tier 3
            [46] = 1879407030; -- Remmorchant, the Net of Darkness -- Tier 4
            [47] = 1879407031; -- Remmorchant, the Net of Darkness -- Tier 5
            [48] = 1879402729; -- Bane of the Children of Ungwetári
            [69] = 1879390903; -- Eithel Gwaur, the Filth-well -- Tier 3 -- Leading the Charge
            [70] = 1879396173; -- Gath Daeroval, the Shadow-roost -- Tier 3 -- Leading the Charge
            [71] = 1879390886; -- Gorthad Nûr, the Deep-barrow -- Tier 3 -- Leading the Charge
            [72] = 1879396185; -- The Harrowing of Morgul-- Tier 3 -- Leading the Charge
            [73] = 1879395721; -- Bâr Nírnaeth, the Houses of Lamentation -- Leading the Charge
            [74] = 1879398969; -- Ghashan-kútot, the Halls of Black Lore -- Leading the Charge
            [75] = 1879398112; -- The Fallen Kings -- Tier 3 -- Leading the Charge
            [76] = 1879402727; -- Remmorchant, the Net of Darkness - The Vanguard
            [77] = 1879402728; -- Remmorchant, the Net of Darkness - Leading the Charge
        };
        -- The War of Three Peaks
        [13] = {
            [1] = 1879411191; -- Vanquisher of Shakalush, the Stair Battle
            [2] = 1879411178; -- Shakalush, the Stair Battle -- Tier 1
            [24] = 1879411151; -- Discovery: Shakalush, the Stair Battle
            [3] = 1879411186; -- Shakalush, the Stair Battle -- Tier 2
            [4] = 1879411187; -- Shakalush, the Stair Battle -- Tier 3
            [5] = 1879411188; -- Shakalush, the Stair Battle -- Orcs
            [6] = 1879411190; -- Shakalush, the Stair Battle - Hobgoblin
            [7] = 1879411184; -- Shakalush, the Stair Battle -- Tier 4
            [8] = 1879411185; -- Shakalush, the Stair Battle -- Tier 5
            [9] = 1879409925; -- Amdân Dammul, the Bloody Threshold -- Tier 1
            [10] = 1879409928; -- Amdân Dammul, the Bloody Threshold: The Beasts of Slaughter -- Tier 1
            [11] = 1879409918; -- Amdân Dammul, the Bloody Threshold: Gorgar and Ránulur -- Tier 1
            [12] = 1879409931; -- Amdân Dammul, the Bloody Threshold -- Tier 2
            [13] = 1879409915; -- Amdân Dammul, the Bloody Threshold: The Beasts of Slaughter -- Tier 2
            [14] = 1879409907; -- Amdân Dammul, the Bloody Threshold: Gorgar and Ránulur -- Tier 2
            [15] = 1879409906; -- Amdân Dammul, the Bloody Threshold -- Tier 3
            [16] = 1879409919; -- Amdân Dammul, the Bloody Threshold: The Beasts of Slaughter -- Tier 3
            [17] = 1879409910; -- Amdân Dammul, the Bloody Threshold: Gorgar and Ránulur -- Tier 3
            [18] = 1879409909; -- Amdân Dammul, the Bloody Threshold -- Tier 4
            [19] = 1879409908; -- Amdân Dammul, the Bloody Threshold: The Beasts of Slaughter -- Tier 4
            [20] = 1879409926; -- Amdân Dammul, the Bloody Threshold: Gorgar and Ránulur -- Tier 4
            [21] = 1879409914; -- Amdân Dammul, the Bloody Threshold -- Tier 5
            [22] = 1879409911; -- Amdân Dammul, the Bloody Threshold: The Beasts of Slaughter -- Tier 5
            [23] = 1879409932; -- Amdân Dammul, the Bloody Threshold: Gorgar and Ránulur -- Tier 5
            [25] = 1879411189; -- Shakalush, the Stair Battle -- Tier 4 -- Leading the Charge
            [26] = 1879414712; -- Shakalush, the Stair Battle -- Tier 5 -- Leading the Charge
            [27] = 1879409917; -- Amdân Dammul, the Bloody Threshold - The Vanguard
            [28] = 1879409924; -- Amdân Dammul, the Bloody Threshold - Original Challenger
            [29] = 1879409929; -- Amdân Dammul, the Bloody Threshold - Leading the Charge
            [30] = 1879416281; -- The Fall of Khazad-dûm - Leading the Charge
            [31] = 1879416279; -- The Fall of Khazad-dûm - Original Challenger
        };
        -- The Mountain-hold
        [14] = {
            [22] = 1879442090; -- Conqueror of the Three Peaks
            [6] = 1879421160; -- Delver of the Den of Pughlak
            [7] = 1879421162; -- Den of Pughlak -- Tier 1
            [8] = 1879421136; -- Discovery: Den of Pughlak
            [9] = 1879421158; -- Den of Pughlak -- Tier 2
            [10] = 1879421157; -- Den of Pughlak -- Tier 3
            [11] = 1879421163; -- Mind Over Pughlak
            [1] = 1879428164; -- Vanquisher of Dhúrstrok
            [2] = 1879428160; -- Assault on Dhúrstrok -- Tier 1
            [3] = 1879422031; -- Discovery: Dhúrstrok
            [4] = 1879428161; -- Assault on Dhúrstrok -- Tier 2
            [5] = 1879428162; -- Assault on Dhúrstrok -- Tier 3
            [23] = 1879442130; -- Bring Peace to the Houses of Rest
            [24] = 1879442129; -- Adkhât-zahhar, The Houses of Rest -- Tier 1
            [25] = 1879428712; -- Discovery: Adkhât-zahhar, the Houses of Rest
            [26] = 1879442128; -- Adkhât-zahhar, The Houses of Rest -- Tier 2
            [27] = 1879442127; -- Adkhât-zahhar, The Houses of Rest -- Tier 3
            [12] = 1879424884; -- Toppler of Tûr Fúar, the Drearspire
            [13] = 1879424880; -- Tûr Fúar, the Drearspire -- Tier 1
            [14] = 1879422178; -- Discovery: Tûr Fúar, the Drearspire
            [15] = 1879424879; -- Tûr Fúar, the Drearspire -- Tier 2
            [16] = 1879424878; -- Tûr Fúar, the Drearspire -- Tier 3
            [17] = 1879424883; -- Tûr Fúar, the Drearspire -- Doom of the Dourhands
            [18] = 1879424882; -- Tûr Fúar, the Drearspire -- Dark Reflections
            [29] = 1879442927; -- The Hiddenhoard of Abnankâra -- Tier 1
            [30] = 1879442901; -- Discovery: The Hiddenhoard of Abnankâra
            [31] = 1879442925; -- The Hiddenhoard of Abnankâra -- Tier 2
            [32] = 1879442924; -- The Hiddenhoard of Abnankâra -- Tier 3
            [33] = 1879442923; -- The Hiddenhoard of Abnankâra -- Tier 4
            [34] = 1879442921; -- The Hiddenhoard of Abnankâra -- Tier 5
            [35] = 1879443578; -- The Hiddenhoard of Abnankâra -- Slayer of the Frost-horde
            [36] = 1879443581; -- The Hiddenhoard of Abnankâra -- Explorer of the Hiddenhoard
            [20] = 1879421156; -- Den of Pughlak -- Tier 3 -- Leading the Charge
            [19] = 1879428163; -- Assault on Dhúrstrok -- Tier 3 -- Leading the Charge
            [28] = 1879442123; -- Adkhât-zahhar, The Houses of Rest -- Tier 3 -- Leading the Charge
            [21] = 1879424881; -- Tûr Fúar, the Drearspire -- Leading the Charge
            [37] = 1879442930; -- The Hiddenhoard of Abnankâra - Leading the Charge
            [38] = 1879442929; -- The Hiddenhoard of Abnankâra - The Vanguard
            [39] = 1879442931; -- The Hiddenhoard of Abnankâra - Original Challenger
        };
    };
    -- Hobbies
    [3] = {
        -- Fishing
        [1] = {
            [1] = 1879115029; -- Darter-master
            [2] = 1879206842; -- Fortunate Festival Fishes
            [3] = 1879115020; -- Sturgeon-master
            [4] = 1879110873; -- The Salmon King
            [5] = 1879115023; -- Trout-master
            [6] = 1879364959; -- Lake-master
        };
    };
    -- The War
    [4] = {
        -- Common
        [1] = {
            [1] = 1879071804; -- Monster-slayer -- Tier 7
            [2] = 1879071803; -- Monster-slayer -- Tier 6
            [3] = 1879071802; -- Monster-slayer -- Tier 5
            [4] = 1879071801; -- Monster-slayer -- Tier 4
            [5] = 1879071800; -- Monster-slayer -- Tier 3
            [6] = 1879071799; -- Monster-slayer -- Tier 2
            [7] = 1879071798; -- Monster-slayer -- Tier 1
            [8] = 1879071809; -- Blackarrow-slayer -- Tier 5
            [9] = 1879071808; -- Blackarrow-slayer -- Tier 4
            [10] = 1879071807; -- Blackarrow-slayer -- Tier 3
            [11] = 1879071806; -- Blackarrow-slayer -- Tier 2
            [12] = 1879071805; -- Blackarrow-slayer -- Tier 1
            [13] = 1879071814; -- Reaver-slayer -- Tier 5
            [14] = 1879071813; -- Reaver-slayer -- Tier 4
            [15] = 1879071812; -- Reaver-slayer -- Tier 3
            [16] = 1879071811; -- Reaver-slayer -- Tier 2
            [17] = 1879071810; -- Reaver-slayer -- Tier 1
            [18] = 1879071819; -- Defiler-slayer -- Tier 5
            [19] = 1879071818; -- Defiler-slayer -- Tier 4
            [20] = 1879071817; -- Defiler-slayer -- Tier 3
            [21] = 1879071816; -- Defiler-slayer -- Tier 2
            [22] = 1879071815; -- Defiler-slayer -- Tier 1
            [23] = 1879071824; -- Stalker-slayer -- Tier 5
            [24] = 1879071823; -- Stalker-slayer -- Tier 4
            [25] = 1879071822; -- Stalker-slayer -- Tier 3
            [26] = 1879071821; -- Stalker-slayer -- Tier 2
            [27] = 1879071820; -- Stalker-slayer -- Tier 1
            [28] = 1879071829; -- Warleader-slayer -- Tier 5
            [29] = 1879071828; -- Warleader-slayer -- Tier 4
            [30] = 1879071827; -- Warleader-slayer -- Tier 3
            [31] = 1879071826; -- Warleader-slayer -- Tier 2
            [32] = 1879071825; -- Warleader-slayer -- Tier 1
            [33] = 1879071834; -- Weaver-slayer -- Tier 5
            [34] = 1879071833; -- Weaver-slayer -- Tier 4
            [35] = 1879071832; -- Weaver-slayer -- Tier 3
            [36] = 1879071831; -- Weaver-slayer -- Tier 2
            [37] = 1879071830; -- Weaver-slayer -- Tier 1
        };
        -- Ettenmoors
        [2] = {
            [1] = 1879071835; -- Conquest of Tol Ascarnen
            [2] = 1879071836; -- Conquest of Dargazag
            [3] = 1879071837; -- Conquest of the Towers
            [4] = 1879071838; -- Tyrants of the Enemy
        };
        -- Osgiliath
        [3] = {
            [1] = 1879326392; -- The Battle for Osgiliath
            [2] = 1879326410; -- Quest of the Court of Anárion -- Tier 1
            [3] = 1879326396; -- Quest of the Court of Anárion -- Tier 2
            [4] = 1879326399; -- Quest of the Court of Anárion -- Tier 3
            [5] = 1879326404; -- Quest of the Palace of Eldacar -- Tier 1
            [6] = 1879326401; -- Quest of the Palace of Eldacar -- Tier 2
            [7] = 1879326398; -- Quest of the Palace of Eldacar -- Tier 3
        };
    };
    -- Class/Race/Epic
    [5] = {
        -- Class
        [1] = {
            [300] = 1879317545; -- Class Deeds - Tier 1
            [2] = 1879317535; -- Get Your Bearings
            [3] = 1879317522; -- Quick Slash
            [4] = 1879317520; -- Full Force
            [411] = 1879428315; -- Class Deeds - Tier 1
            [412] = 1879428309; -- Set-up Strikes
            [413] = 1879428316; -- Overhand Smash
            [414] = 1879428312; -- Smash Through the Ranks
            [291] = 1879277103; -- Class Deeds - Tier 1
            [5] = 1879277428; -- Hidden Dagger
            [6] = 1879277433; -- Cunning Wound
            [7] = 1879277430; -- Swift and Subtle
            [292] = 1879277131; -- Class Deeds - Tier 1
            [8] = 1879277397; -- Renewed Voice
            [9] = 1879277408; -- Devastation
            [10] = 1879277404; -- With Absolute Certainty
            [293] = 1879277152; -- Class Deeds - Tier 1
            [11] = 1879277362; -- Swift to Anger
            [12] = 1879277351; -- All in All
            [13] = 1879277355; -- Deadly Strikes
            [294] = 1879277168; -- Class Deeds - Tier 1
            [14] = 1879278725; -- Stinging Blow
            [15] = 1879278722; -- Shield Expertise
            [16] = 1879278724; -- Reactive Block
            [295] = 1879277181; -- Class Deeds - Tier 1
            [17] = 1879277238; -- Quick as the Wind
            [18] = 1879277260; -- Sturdy Traps
            [19] = 1879277241; -- Blindsided
            [296] = 1879277196; -- Class Deeds - Tier 1
            [20] = 1879277263; -- Master of the Staff
            [21] = 1879277281; -- Light of Hope
            [22] = 1879277282; -- Power and Wisdom
            [297] = 1879277212; -- Class Deeds - Tier 1
            [23] = 1879277338; -- Harmonious Melody
            [24] = 1879277339; -- Herald's Hammer
            [25] = 1879277341; -- Smooth Voice
            [298] = 1879277217; -- Class Deeds - Tier 1
            [26] = 1879278934; -- Winter-storm
            [27] = 1879278937; -- Thunderous Words
            [28] = 1879278938; -- Master of Allusion
            [299] = 1879277230; -- Class Deeds - Tier 1
            [29] = 1879277320; -- Wary Blocks
            [30] = 1879277318; -- Know Your Enemy
            [31] = 1879277322; -- Skill and Power
            [301] = 1879317536; -- Class Deeds - Tier 2
            [33] = 1879317527; -- A Building Rage
            [34] = 1879317517; -- Hearten!
            [35] = 1879317546; -- Hearth and Home
            [415] = 1879428318; -- Class Deeds - Tier 2
            [416] = 1879428333; -- Long-distance Fling
            [417] = 1879428313; -- Serious Demeanor
            [418] = 1879428308; -- Make a Mockery
            [302] = 1879277105; -- Class Deeds - Tier 2
            [36] = 1879277425; -- Leaf-walker
            [37] = 1879277431; -- Side-step
            [38] = 1879277427; -- Perplexing Riddle
            [303] = 1879277134; -- Class Deeds - Tier 2
            [39] = 1879277400; -- A Sense of Urgency
            [40] = 1879277410; -- A Call to Arms
            [41] = 1879277407; -- Fear No Darkness
            [304] = 1879277154; -- Class Deeds - Tier 2
            [42] = 1879277359; -- Winds of the Storm
            [43] = 1879277371; -- Rip to Shreds
            [44] = 1879277352; -- Wild Thing
            [305] = 1879277164; -- Class Deeds - Tier 2
            [45] = 1879278723; -- Controlled Breathing
            [46] = 1879278726; -- Guardian's Ward
            [47] = 1879277242; -- Retaliatory Strike
            [306] = 1879277185; -- Class Deeds - Tier 2
            [48] = 1879277261; -- Strong Draw
            [49] = 1879277259; -- Combat Traps
            [50] = 1879277262; -- Heightened Senses
            [307] = 1879277190; -- Class Deeds - Tier 2
            [51] = 1879277253; -- Master of Beasts
            [52] = 1879277277; -- Deep Lore
            [53] = 1879277254; -- Dúnadan-learning
            [308] = 1879277210; -- Class Deeds - Tier 2
            [54] = 1879277343; -- Powerful Voice
            [55] = 1879277345; -- Enduring Morale
            [56] = 1879277349; -- Life-singer
            [309] = 1879277224; -- Class Deeds - Tier 2
            [57] = 1879278936; -- Tale of Rage
            [58] = 1879278933; -- Rune Master
            [59] = 1879278935; -- Versatility
            [310] = 1879277237; -- Class Deeds - Tier 2
            [60] = 1879277323; -- Efficient Thrust
            [61] = 1879277321; -- Shield-trickery
            [62] = 1879277325; -- Deadly Insult
            [311] = 1879317540; -- Class Deeds - Tier 3
            [64] = 1879317534; -- Rattling Roar
            [65] = 1879317529; -- Master the Basics
            [419] = 1879428311; -- Class Deeds - Tier 3
            [420] = 1879428319; -- The Way of the Maelstrom
            [421] = 1879428324; -- The Way of the Fulcrum
            [312] = 1879277104; -- Class Deeds - Tier 3
            [66] = 1879277435; -- Cruel Odds
            [67] = 1879277421; -- Bleeding is Better
            [313] = 1879277132; -- Class Deeds - Tier 3
            [68] = 1879277403; -- Valour
            [69] = 1879277413; -- Strong Voice
            [314] = 1879277156; -- Class Deeds - Tier 3
            [70] = 1879277357; -- Call of the Wild
            [71] = 1879277361; -- A Challenge Accepted
            [315] = 1879277165; -- Class Deeds - Tier 3
            [72] = 1879277244; -- Swept Away
            [73] = 1879278824; -- To the Rescue
            [316] = 1879277183; -- Class Deeds - Tier 3
            [74] = 1879277272; -- Focused and Ready
            [75] = 1879277273; -- Swift and Sharp
            [317] = 1879277197; -- Class Deeds - Tier 3
            [76] = 1879277275; -- Healer
            [77] = 1879277256; -- A Shocking Strike
            [318] = 1879277216; -- Class Deeds - Tier 3
            [78] = 1879277348; -- Unrelenting
            [79] = 1879277330; -- Light in the Dark
            [319] = 1879277223; -- Class Deeds - Tier 3
            [80] = 1879278959; -- Conflagration of Runes
            [81] = 1879278960; -- Confounding Principles
            [320] = 1879277235; -- Class Deeds - Tier 3
            [82] = 1879277324; -- Skilful Blocking
            [83] = 1879277327; -- Find Weakness
            [321] = 1879317528; -- Class Deeds - Tier 4
            [85] = 1879317539; -- Beorn's Gift
            [86] = 1879317525; -- Unexpectedly Agile
            [87] = 1879317523; -- Weight on Their Shoulders
            [422] = 1879428307; -- Class Deeds - Tier 4
            [423] = 1879428314; -- Rally the Fellowship
            [424] = 1879428321; -- The Brawler's Dance
            [425] = 1879428317; -- Unflappable
            [322] = 1879277114; -- Class Deeds - Tier 4
            [88] = 1879277432; -- Strike from Shadows
            [89] = 1879277418; -- Mass Confusion
            [90] = 1879277434; -- Trickster
            [323] = 1879277137; -- Class Deeds - Tier 4
            [91] = 1879277406; -- Improved Routing Cry
            [92] = 1879277415; -- Expert Attacks
            [93] = 1879277412; -- Brother in Arms
            [324] = 1879277158; -- Class Deeds - Tier 4
            [94] = 1879277365; -- Flashing Blade
            [95] = 1879277354; -- Deep Strikes
            [96] = 1879277358; -- At the Ready
            [325] = 1879277166; -- Class Deeds - Tier 4
            [97] = 1879277269; -- Heat of Battle
            [98] = 1879277266; -- Phantom Pain
            [99] = 1879277267; -- Grim Challenge
            [326] = 1879277188; -- Class Deeds - Tier 4
            [100] = 1879277289; -- True Shot
            [101] = 1879277294; -- Deadly Precision
            [102] = 1879277292; -- Cut Them Down
            [327] = 1879277192; -- Class Deeds - Tier 4
            [103] = 1879277287; -- Harmony with Nature
            [104] = 1879277283; -- Subtlety of Wisdom
            [105] = 1879277285; -- Improved Inner Flame
            [328] = 1879277214; -- Class Deeds - Tier 4
            [106] = 1879277332; -- Improved Herald's Strike
            [107] = 1879277334; -- Improved Raise the Spirit
            [108] = 1879277336; -- Dynamic Performance
            [329] = 1879277222; -- Class Deeds - Tier 4
            [109] = 1879278964; -- Written in Stone
            [110] = 1879278961; -- The Prophetic Word
            [111] = 1879278962; -- A Critical Writ
            [330] = 1879277233; -- Class Deeds - Tier 4
            [112] = 1879277328; -- Never Say Die
            [113] = 1879277326; -- A Keen Response
            [114] = 1879277308; -- Strong Voice
            [331] = 1879317532; -- Class Deeds - Tier 5
            [116] = 1879317531; -- A Thousand Stingers
            [117] = 1879317519; -- Overbearing Presence
            [426] = 1879428331; -- Class Deeds - Tier 5
            [427] = 1879428323; -- Fast Reflexes
            [428] = 1879428330; -- Balance
            [332] = 1879277113; -- Class Deeds - Tier 5
            [118] = 1879277420; -- Footpad
            [119] = 1879277424; -- Opportunist
            [333] = 1879277136; -- Class Deeds - Tier 5
            [120] = 1879277409; -- Now for Wrath
            [121] = 1879277396; -- Quick Wrist
            [334] = 1879277159; -- Class Deeds - Tier 5
            [122] = 1879277372; -- Raging Storm
            [123] = 1879277363; -- No Surrender
            [335] = 1879277167; -- Class Deeds - Tier 5
            [124] = 1879278821; -- Quickness
            [125] = 1879277243; -- First Line of Defence
            [336] = 1879277186; -- Class Deeds - Tier 5
            [126] = 1879277290; -- Poison? What Poison?
            [127] = 1879277297; -- Stealthy Shot
            [337] = 1879277191; -- Class Deeds - Tier 5
            [128] = 1879277278; -- Knowledge of the Past
            [129] = 1879277280; -- Tactically Adept
            [338] = 1879277213; -- Class Deeds - Tier 5
            [130] = 1879277337; -- Silver Tongue
            [131] = 1879277340; -- Graceful Demeanour
            [339] = 1879277221; -- Class Deeds - Tier 5
            [132] = 1879278963; -- Harsh Words
            [133] = 1879278965; -- Epic Essay
            [340] = 1879277231; -- Class Deeds - Tier 5
            [134] = 1879277250; -- Efficient Shield-work
            [135] = 1879277310; -- Perseverance
            [341] = 1879317538; -- Class Deeds - Tier 6
            [137] = 1879317521; -- Overwhelming Strength
            [138] = 1879317544; -- To Battle!
            [139] = 1879317541; -- Stand Firm
            [429] = 1879428332; -- Class Deeds - Tier 6
            [430] = 1879428320; -- Opening Move
            [431] = 1879428327; -- Crowd Control
            [432] = 1879428322; -- The Proper Stance
            [342] = 1879277116; -- Class Deeds - Tier 6
            [140] = 1879277417; -- Quick Wrist
            [141] = 1879277422; -- No Time For Games
            [142] = 1879277419; -- Burglarize
            [343] = 1879277135; -- Class Deeds - Tier 6
            [143] = 1879277411; -- Captain's Victory
            [144] = 1879277399; -- In Darkest Days
            [145] = 1879277395; -- Inspire Valour
            [344] = 1879277153; -- Class Deeds - Tier 6
            [146] = 1879277369; -- Time of Need
            [147] = 1879277360; -- Clobbered
            [148] = 1879277364; -- Athletic
            [345] = 1879277169; -- Class Deeds - Tier 6
            [149] = 1879278820; -- Brave Heart
            [150] = 1879277271; -- Quick Wrist
            [151] = 1879277264; -- The Best Defence is a Better Offence
            [346] = 1879277184; -- Class Deeds - Tier 6
            [152] = 1879277291; -- The Quality of Mercy
            [153] = 1879277299; -- Skill Shot
            [154] = 1879277296; -- Total Attention
            [347] = 1879277194; -- Class Deeds - Tier 6
            [155] = 1879277279; -- Proof against all Ills
            [156] = 1879277274; -- Awareness of Body
            [157] = 1879277276; -- The Study of Wind-lore
            [348] = 1879277211; -- Class Deeds - Tier 6
            [158] = 1879277342; -- Subtle Movements
            [159] = 1879277344; -- Heralded Saviour
            [160] = 1879277346; -- Power of Song
            [349] = 1879277220; -- Class Deeds - Tier 6
            [161] = 1879278958; -- Stare at the Flame
            [162] = 1879278957; -- Self Starter
            [163] = 1879278970; -- New Beginnings
            [350] = 1879277236; -- Class Deeds - Tier 6
            [164] = 1879277311; -- Terrible Visage
            [165] = 1879277309; -- Expert Hurler
            [166] = 1879277313; -- On the Brink of Victory
            [351] = 1879317542; -- Class Deeds - Tier 7
            [168] = 1879317518; -- Not the Bees!
            [169] = 1879317537; -- Impervious
            [170] = 1879317533; -- Natural Beorn Leadership
            [433] = 1879428328; -- Class Deeds - Tier 7
            [434] = 1879428329; -- Ultimate Techniques
            [435] = 1879428310; -- Leg Strike
            [352] = 1879277115; -- Class Deeds - Tier 7
            [171] = 1879277423; -- Better and Better
            [172] = 1879277429; -- Resistance is Futile
            [173] = 1879277426; -- Finish What You Started
            [353] = 1879277133; -- Class Deeds - Tier 7
            [174] = 1879277414; -- Tactical Prowess
            [175] = 1879277402; -- Deeds before Words
            [176] = 1879277398; -- Never in Doubt
            [354] = 1879277155; -- Class Deeds - Tier 7
            [177] = 1879277356; -- Battle Acumen
            [178] = 1879277367; -- Heroic Resolve
            [179] = 1879277370; -- Tight Grip
            [355] = 1879277178; -- Class Deeds - Tier 7
            [180] = 1879277270; -- Blocking Force
            [181] = 1879278823; -- Never Bashful
            [182] = 1879278825; -- Quick of Foot
            [356] = 1879277182; -- Class Deeds - Tier 7
            [183] = 1879277293; -- Tools of the Trade
            [184] = 1879277251; -- Dazed and Confused
            [185] = 1879277298; -- Sneaky Sneaky
            [357] = 1879277193; -- Class Deeds - Tier 7
            [186] = 1879277257; -- The Study of Fire-lore
            [187] = 1879277258; -- The Study of Frost-lore
            [188] = 1879277255; -- Improved Storm-lore
            [358] = 1879277209; -- Class Deeds - Tier 7
            [189] = 1879277347; -- Improved Echoes of Battle
            [190] = 1879277350; -- Battle-hymn
            [191] = 1879277329; -- Strength of Voice
            [359] = 1879277219; -- Class Deeds - Tier 7
            [192] = 1879278974; -- Closing Remarks
            [193] = 1879278971; -- Alternate Ending
            [194] = 1879278972; -- Sign of the Times
            [360] = 1879277234; -- Class Deeds - Tier 7
            [195] = 1879277314; -- Mighty Throw
            [196] = 1879277312; -- Master of the Spear
            [197] = 1879277316; -- Force of Personality
            [361] = 1879317530; -- Class Deeds - Tier 8
            [199] = 1879317543; -- Bear in Mind and Heart
            [200] = 1879317524; -- Beorn's Might
            [436] = 1879428325; -- Class Deeds - Tier 8
            [437] = 1879428326; -- Sharing is Caring
            [438] = 1879428334; -- Challenge the Corrupt
            [362] = 1879277112; -- Class Deeds - Tier 8
            [201] = 1879277436; -- An Unpleasant Surprise
            [202] = 1879277438; -- Insult to Injury
            [203] = 1879277437; -- On the Move
            [363] = 1879277138; -- Class Deeds - Tier 8
            [204] = 1879277394; -- Adherent of Elendil
            [205] = 1879277405; -- Grave Digger
            [206] = 1879277401; -- Precise Ally
            [364] = 1879277157; -- Class Deeds - Tier 8
            [207] = 1879277353; -- Mighty Blast
            [208] = 1879277366; -- Always in Control
            [209] = 1879277368; -- Bountiful Mercy
            [365] = 1879277179; -- Class Deeds - Tier 8
            [210] = 1879277268; -- Final Straw
            [211] = 1879277265; -- Stoic
            [212] = 1879278822; -- Hit Where It Hurts
            [366] = 1879277187; -- Class Deeds - Tier 8
            [213] = 1879277295; -- Rapid Fire
            [214] = 1879277300; -- Shot through the Heart
            [215] = 1879277307; -- Scorching Rain
            [367] = 1879277195; -- Class Deeds - Tier 8
            [216] = 1879277288; -- Improved Sign of Power: Command
            [217] = 1879277284; -- Improved Sign of Battle
            [218] = 1879277286; -- The Secret of Tar
            [368] = 1879277215; -- Class Deeds - Tier 8
            [219] = 1879277331; -- Dauntless
            [220] = 1879277333; -- Lyrics of Bravery
            [221] = 1879277335; -- Spectacular Finish
            [369] = 1879277218; -- Class Deeds - Tier 8
            [222] = 1879278976; -- Armour of Exaltation
            [223] = 1879278973; -- Master of Tragedy
            [224] = 1879278975; -- Wordsmith
            [370] = 1879277232; -- Class Deeds - Tier 8
            [225] = 1879277317; -- Master of the Shield
            [226] = 1879277315; -- Master of the Fist
            [227] = 1879277319; -- Dark Before Dawn
            [234] = 1879316455; -- The Line of Beorn, Part Four
            [233] = 1879316456; -- The Line of Beorn, Part Three
            [229] = 1879316457; -- The Line of Beorn, Part Two
            [228] = 1879316458; -- The Line of Beorn, Part One
            [230] = 1879316232; -- A Hobbit's Holiday
            [231] = 1879316234; -- A Study of the Skin-changer
            [232] = 1879316233; -- Genealogy of the Beornings
            [439] = 1879428111; -- Knowledge of Kicks
            [440] = 1879428104; -- Martial Movement
            [441] = 1879428116; -- The Art of the Perfect Punch
            [235] = 1879048704; -- Knee-breaker's Manual
            [236] = 1879048703; -- The Book of Knives
            [237] = 1879048705; -- The Expert's Guide to Dirty Fighting
            [238] = 1879139435; -- The Path of the Mischief-maker
            [239] = 1879139436; -- A Guide to the Quiet Knife
            [240] = 1879053014; -- The Book of Oaths
            [241] = 1879053012; -- The Candle's Flame
            [242] = 1879053013; -- The Treatise of Valour
            [243] = 1879139438; -- The Path of the Healing Hands
            [244] = 1879139439; -- The Master of the Charge
            [245] = 1879059841; -- The Artisan Blade
            [246] = 1879059840; -- The Joy of Battle
            [247] = 1879059839; -- The Tome of Swords
            [248] = 1879139441; -- The Path of the Martial Champion
            [249] = 1879139442; -- The Boiling Rage
            [250] = 1879060152; -- A Shield-maiden's Song
            [251] = 1879060151; -- The Best Defence
            [252] = 1879060153; -- The Final Word
            [253] = 1879139444; -- The Path of Freedom's Defender
            [254] = 1879139445; -- A Keen Blade
            [255] = 1879052485; -- A Shot in the Dark
            [256] = 1879052487; -- The Furthest Charge
            [257] = 1879052486; -- The Way of the Hunter
            [259] = 1879139448; -- The Jolly Hunter
            [258] = 1879139447; -- The Path of the Foe-trapper
            [260] = 1879048670; -- Of Leaf and Twig
            [261] = 1879048669; -- The Book of Beasts
            [262] = 1879048666; -- Lore of the Blade
            [263] = 1879139450; -- The Path of the Ancient Master
            [264] = 1879139451; -- The Book of Nature
            [265] = 1879048690; -- Melodies of the Valar
            [266] = 1879048691; -- The Rising Chord
            [267] = 1879048692; -- Valour's Marches
            [268] = 1879139453; -- The Path of the Resolve-watcher
            [269] = 1879139454; -- The Verses of the North
            [270] = 1879101824; -- Mentor of Song
            [271] = 1879101825; -- Exemplar of Song
            [272] = 1879144730; -- Thunder and Flame
            [273] = 1879144732; -- Whispers in the Dark
            [274] = 1879144731; -- Golu o Maeth
            [276] = 1879139457; -- On the Patterns of Wind and Rain
            [277] = 1879144733; -- The Watch Against the Night
            [278] = 1879144734; -- Chieftains of the Dúnedain
            [279] = 1879144735; -- Bullroarer's Boy
            [280] = 1879139459; -- The Path of the Masterful Fist
            [281] = 1879139460; -- The Path Less Trod
            [371] = 1879419230; -- Adept of Claws
            [372] = 1879419229; -- Apprentice of Claws
            [373] = 1879419228; -- Master of Claws
            [374] = 1879419227; -- Disciple of Claws
            [442] = 1879419264; -- Adept of Fists
            [443] = 1879419235; -- Apprentice of Fists
            [444] = 1879419245; -- Master of Fists
            [445] = 1879419251; -- Disciple of Fists
            [375] = 1879419266; -- Adept of Shadows
            [376] = 1879419263; -- Apprentice of Shadows
            [377] = 1879419246; -- Master of Shadows
            [378] = 1879419241; -- Disciple of Shadows
            [379] = 1879419244; -- Adept of Banners
            [380] = 1879419252; -- Apprentice of Banners
            [381] = 1879419250; -- Master of Banners
            [382] = 1879419260; -- Disciple of Banners
            [383] = 1879419243; -- Adept of Blades
            [384] = 1879419261; -- Novitiate of Blades
            [385] = 1879419237; -- Master of Blades
            [386] = 1879419259; -- Disciple of Blades
            [391] = 1879419267; -- Adept of Shields
            [392] = 1879419239; -- Apprentice of Shields
            [393] = 1879419262; -- Master of Shields
            [394] = 1879419233; -- Disciple of Shields
            [387] = 1879419238; -- Adept of Bows
            [388] = 1879419248; -- Apprentice of Bows
            [389] = 1879419234; -- Master of Bows
            [390] = 1879419242; -- Disciple of Bows
            [395] = 1879419208; -- Adept of Scrolls
            [396] = 1879419075; -- Apprentice of Scrolls
            [397] = 1879419207; -- Master of Scrolls
            [398] = 1879419205; -- Disciple of Scrolls
            [399] = 1879419256; -- Adept of Song
            [400] = 1879419247; -- Apprentice of Song
            [401] = 1879419253; -- Master of Song
            [402] = 1879419240; -- Disciple of Song
            [403] = 1879419255; -- Adept of Runes
            [404] = 1879419265; -- Apprentice of Runes
            [405] = 1879419257; -- Master of Runes
            [406] = 1879419236; -- Disciple of Runes
            [407] = 1879419258; -- Adept of Arms
            [408] = 1879419249; -- Apprentice of Arms
            [409] = 1879419254; -- Master of Arms
            [410] = 1879419232; -- Disciple of Arms
            [282] = 1879302974; -- Promotion Points 1
            [283] = 1879302976; -- Promotion Points 2
            [284] = 1879204654; -- Vocation: Armourer -- Tier 1
            [285] = 1879204609; -- Vocation: Armsman -- Tier 1
            [286] = 1879204640; -- Vocation: Explorer -- Tier 1
            [287] = 1879204655; -- Vocation: Historian -- Tier 1
            [288] = 1879204657; -- Vocation: Tinker -- Tier 1
            [289] = 1879204652; -- Vocation: Woodsman -- Tier 1
            [290] = 1879204656; -- Vocation: Yeoman -- Tier 1
            [446] = 1879453271; -- Delvings: Introduction
            [447] = 1879450105; -- On to Moria
            [448] = 1879450096; -- Level Fifty
            [449] = 1879450103; -- Level Fourty
            [450] = 1879450101; -- Level Thirty
            [451] = 1879450065; -- Level Twenty
            [452] = 1879450064; -- Level Fifteen
        };
        -- Race & Social
        [2] = {
            [1] = 1879317097; -- Enmity of the Goblins III
            [2] = 1879317098; -- Enmity of the Goblins II
            [3] = 1879317099; -- Enmity of the Goblins
            [4] = 1879317095; -- Enmity of the Spiders III
            [5] = 1879317093; -- Enmity of the Spiders II
            [6] = 1879317092; -- Enmity of the Spiders
            [7] = 1879317096; -- Enmity of the Orcs II
            [8] = 1879317091; -- Enmity of the Orcs
            [9] = 1879073588; -- Enmity of the Dourhands III
            [10] = 1879073587; -- Enmity of the Dourhands II
            [11] = 1879073586; -- Enmity of the Dourhands
            [14] = 1879073591; -- Enmity of the Goblins III
            [13] = 1879073590; -- Enmity of the Goblins II
            [12] = 1879073589; -- Enmity of the Goblins
            [15] = 1879073593; -- Enmity of the Trolls II
            [16] = 1879073592; -- Enmity of the Trolls
            [17] = 1879073551; -- Enmity of the Goblins III
            [18] = 1879073550; -- Enmity of the Goblins II
            [19] = 1879073549; -- Enmity of the Goblins
            [20] = 1879073554; -- Enmity of the Orcs III
            [21] = 1879073553; -- Enmity of the Orcs II
            [22] = 1879073552; -- Enmity of the Orcs
            [23] = 1879073556; -- Enmity of the Drakes II
            [24] = 1879073555; -- Enmity of the Drakes
            [25] = 1879346402; -- Enmity of the Orcs III
            [26] = 1879346400; -- Enmity of the Orcs II
            [27] = 1879346409; -- Enmity of the Orcs
            [28] = 1879346403; -- Enmity of the Dourhands II
            [29] = 1879346407; -- Enmity of the Dourhands
            [233] = 1879346410; -- Friend to the Galadhrim
            [30] = 1879073462; -- Enmity of the Wolves III
            [31] = 1879073461; -- Enmity of the Wolves II
            [32] = 1879073460; -- Enmity of the Wolves
            [33] = 1879073465; -- Enmity of the Spiders III
            [34] = 1879073464; -- Enmity of the Spiders II
            [35] = 1879073463; -- Enmity of the Spiders
            [36] = 1879073467; -- Enmity of the Goblins II
            [37] = 1879073466; -- Enmity of the Goblins
            [38] = 1879073508; -- Enmity of the Dead III
            [39] = 1879073507; -- Enmity of the Dead II
            [40] = 1879073506; -- Enmity of the Dead
            [41] = 1879073511; -- Enmity of the Wargs III
            [42] = 1879073510; -- Enmity of the Wargs II
            [43] = 1879073509; -- Enmity of the Wargs
            [44] = 1879073513; -- Enmity of the Hillmen II
            [45] = 1879073512; -- Enmity of the Hillmen
            [234] = 1879391259; -- Enmity of the Cultists III
            [235] = 1879391258; -- Enmity of the Cultists II
            [236] = 1879391257; -- Enmity of the Cultists
            [237] = 1879391038; -- Enmity of the Orcs II
            [238] = 1879391037; -- Enmity of the Orcs
            [239] = 1879391255; -- Guest of Thorin's Hall
            [46] = 1879071626; -- Alluring
            [47] = 1879071627; -- Befuddling
            [48] = 1879071628; -- Beloved
            [49] = 1879071631; -- Dull
            [50] = 1879071632; -- Fire-breather
            [51] = 1879071629; -- Harassed
            [52] = 1879071633; -- Helpful
            [53] = 1879071634; -- Hero
            [54] = 1879071635; -- Infuriating
            [55] = 1879071636; -- Insulted
            [56] = 1879071637; -- Intimidating
            [57] = 1879071638; -- Juggler
            [58] = 1879071639; -- Naughty
            [59] = 1879071630; -- Ridiculed
            [60] = 1879071640; -- Sword Salute
            [61] = 1879071641; -- Victorious
            [62] = 1879071642; -- Breakfast Expert
            [63] = 1879071643; -- Carnivore
            [64] = 1879152523; -- Lembas, Waybread of the Galadhrim
            [65] = 1879071644; -- Pie Maven
            [66] = 1879071645; -- Vegetable Master
            [67] = 1879304082; -- In A Pear Tree
            [68] = 1879071650; -- The Undying
            [69] = 1879071649; -- The Unscathed
            [70] = 1879071648; -- The Indomitable
            [71] = 1879071647; -- The Undefeated
            [72] = 1879071646; -- The Wary
            [207] = 1879344427; -- The Anniversary Scavenger Hunt
            [73] = 1879227049; -- Fireworks: Master Firework-launcher
            [74] = 1879226986; -- Fireworks: Launch Blue Fireworks
            [75] = 1879226852; -- Fireworks: Launch Green Fireworks
            [76] = 1879226987; -- Fireworks: Launch Orange Fireworks
            [77] = 1879226988; -- Fireworks: Launch Purple Fireworks
            [78] = 1879226989; -- Fireworks: Launch Red Fireworks
            [79] = 1879226990; -- Fireworks: Launch Yellow Fireworks
            [80] = 1879342595; -- Ten Years in Middle-earth
            [81] = 1879342588; -- The Path of the Fellowship
            [82] = 1879342585; -- Ten Years of Travels
            [83] = 1879342587; -- Ten Years of Trifles
            [84] = 1879342593; -- A Journey Through Middle-earth
            [85] = 1879367200; -- Year Eleven in Middle-earth
            [86] = 1879368683; -- A journey through Eriador
            [87] = 1879162041; -- The Mightiest Arm
            [88] = 1879162042; -- Why Your Head Hurts
            [331] = 1879418897; -- Consume Consumables: Simple Carrying Torches
            [332] = 1879418901; -- Consume Consumables: Finely Wrought Carrying Torches
            [352] = 1879443427; -- Challenge: Short Fuse -- Small Fellowship
            [353] = 1879443428; -- Challenge: Short Fuse -- Fellowship
            [89] = 1879408587; -- A Feast of Fellowship
            [90] = 1879408586; -- Flickering Flame
            [91] = 1879407598; -- For Love of Midsummer (Final)
            [92] = 1879407599; -- For Love of Midsummer (Advanced)
            [93] = 1879407597; -- For Love of Midsummer (Intro)
            [341] = 1879408981; -- Make it a Party: Elanor Fireworks
            [342] = 1879408982; -- Make it a Party: Green and White Niphredil Fireworks
            [94] = 1879408983; -- Make it a Party: Niphredil Fireworks
            [95] = 1879408919; -- Make it a Party: Wedding Fireworks
            [100] = 1879206840; -- Too Much of Everything
            [103] = 1879185390; -- A Lucky Day at the Races
            [101] = 1879206838; -- Much Eating, Much Running
            [102] = 1879206839; -- Much Drinking, Much Running
            [104] = 1879208731; -- Consume Consumables: Essence of Toad
            [105] = 1879208730; -- Consume Consumables: Fire-breathing
            [106] = 1879208715; -- Consume Consumables: Foul Blast
            [107] = 1879208729; -- Consume Consumables: Monster Fare
            [108] = 1879208714; -- Consume Consumables: Saffron's Lipstick
            [109] = 1879208716; -- Consume Consumables: Vile Vittles
            [110] = 1879226630; -- Full of Farmers Faire
            [111] = 1879226454; -- Helping Hand
            [112] = 1879226620; -- At the Farmers Faire
            [113] = 1879226621; -- Fine Faire Fishing
            [117] = 1879223771; -- Egg Scramble Victories (Tier 1)
            [115] = 1879226558; -- Maggot's Mushrooms Victories (Tier 1)
            [116] = 1879223830; -- Egg Scramble Victories (Tier 2)
            [114] = 1879226559; -- Maggot's Mushrooms Victories (Tier 2)
            [118] = 1879223831; -- Egg Scramble: Collect Coloured Eggs
            [119] = 1879223828; -- Egg Scramble: Collect Spotted Eggs
            [120] = 1879223832; -- Egg Scramble: Collect Striped Eggs
            [121] = 1879223829; -- Egg Scramble: Collect the Golden Egg
            [122] = 1879159326; -- Celebrating Sunshine
            [203] = 1879368078; -- Fuming Fumaroles
            [213] = 1879368769; -- Challenge: The Whole Picnic -- Small Fellowship
            [214] = 1879368771; -- Challenge: The Whole Picnic -- Fellowship
            [215] = 1879368770; -- Challenge: The Whole Picnic -- Raid
            [123] = 1879283004; -- Baggins' Birthday
            [124] = 1879217542; -- Consume Consumables -- Specimen Jars: Gross Bugs
            [125] = 1879217541; -- Consume Consumables: Applications of 'Coveritol'
            [126] = 1879217537; -- Consume Consumables: Black Silk Gloves
            [127] = 1879217540; -- Consume Consumables: Buckets of Fear
            [128] = 1879217538; -- Consume Consumables: Candles and Mirrors
            [129] = 1879217539; -- Consume Consumables: Potent Bird-seed
            [130] = 1879210649; -- Consume Consumables: Spider-legs
            [131] = 1879191253; -- The Haunted Burrow
            [132] = 1879380513; -- The Wistmead Wheat Maze
            [133] = 1879381431; -- Treats or Trickery: Bottom of the Barrel
            [134] = 1879381430; -- Treats or Trickery: Seven-fold Foray
            [135] = 1879381429; -- Treats or Trickery: First Harvest
            [136] = 1879381433; -- Treats or Trickery: Clearing the Table
            [137] = 1879381434; -- Treats or Trickery: Second Helpings
            [138] = 1879381432; -- Treats or Trickery: Just a Taste
            [139] = 1879371703; -- Dedicated Observer of Durin's Day
            [140] = 1879371704; -- Repeat Observer of Durin's Day
            [141] = 1879370524; -- Observer of Durin's Day
            [142] = 1879199422; -- A Monstrous Feast
            [144] = 1879286631; -- Thespian
            [143] = 1879302699; -- The Bard
            [146] = 1879200621; -- Villain
            [145] = 1879200620; -- Protagonist
            [147] = 1879200619; -- Extra
            [149] = 1879200239; -- Laughing-stock
            [148] = 1879200234; -- Star of the Show
            [150] = 1879200164; -- Frostbluff Flower-petals -- Tier 3
            [151] = 1879200166; -- Frostbluff Flower-petals -- Tier 2
            [152] = 1879200165; -- Frostbluff Flower-petals -- Tier 1
            [153] = 1879200163; -- Frostbluff Rotten Fruit -- Tier 3
            [154] = 1879200162; -- Frostbluff Rotten Fruit -- Tier 2
            [155] = 1879200161; -- Frostbluff Rotten Fruit -- Tier 1
            [157] = 1879199421; -- Raining Snowballs
            [158] = 1879199980; -- Such Generosity!
            [159] = 1879257047; -- The More the Merrier (Tier 3)
            [160] = 1879257046; -- The More the Merrier (Tier 2)
            [161] = 1879257048; -- The More the Merrier
            [162] = 1879226367; -- A Cool Reception
            [163] = 1879217532; -- Consume Consumables: Frosty Beverage
            [164] = 1879217534; -- Consume Consumables: Grim Crystals
            [165] = 1879217533; -- Consume Consumables: Perfect Snowballs
            [166] = 1879217536; -- Consume Consumables: Piles of Fluffy Snow
            [167] = 1879217535; -- Consume Consumables: Snow-jars
            [211] = 1879414454; -- Bringer of Good Cheer
            [99] = 1879385054; -- Aggravated Avalanches
            [295] = 1879382901; -- Challenge: The Battle at Frostbluff -- Small Fellowship
            [296] = 1879382897; -- Challenge: The Battle at Frostbluff -- Fellowship
            [240] = 1879404512; -- Consume Consumables: Bat Whirl
            [168] = 1879184300; -- Festival Fortunes: Oddly Familiar
            [169] = 1879184301; -- Festival Fortunes: A Storyteller's Snippets
            [170] = 1879184302; -- Festival Fortunes: Fateful Foretellings
            [171] = 1879184303; -- Festival Fortunes: Excellent Advice
            [172] = 1879184304; -- Festival Fortunes: An Adventurer's Song
            [173] = 1879182340; -- Spring is Dandy
            [174] = 1879210647; -- Consume Consumables: D.R.A.G.O.N.
            [175] = 1879153207; -- Spring Sprung!
            [176] = 1879182327; -- The Taming of the Shrews
            [177] = 1879182332; -- The Shrewd Gardener
            [325] = 1879414344; -- Challenge: Bee's Big Business -- Small Fellowship
            [326] = 1879414345; -- Challenge: Bee's Big Business -- Fellowship
            [178] = 1879210648; -- Consume Consumables: Doom-shroom
            [179] = 1879406772; -- Consume Consumables: Black-foot Carrying Chicken
            [180] = 1879406771; -- Consume Consumables: Dorking Carrying Chicken
            [181] = 1879406774; -- Consume Consumables: Orange Wyandotte Carrying Chicken
            [182] = 1879406769; -- Consume Consumables: Red Carrying Chicken
            [183] = 1879406773; -- Consume Consumables: Scrapper Carrying Chicken
            [184] = 1879406770; -- Consume Consumables: White Carrying Chicken
            [333] = 1879418933; -- Consume Consumables: Flower Facepaint Stencils
            [334] = 1879418934; -- Consume Consumables: Bee Facepaint Stencils
            [335] = 1879418935; -- Consume Consumables: Feather Facepaint Stencils
            [336] = 1879418936; -- Consume Consumables: Butterfly Facepaint Stencils
            [337] = 1879418937; -- Consume Consumables: Bow Facepaint Stencils
            [338] = 1879418938; -- Consume Consumables: Star Facepaint Stencils
            [339] = 1879418939; -- Consume Consumables: Sword Facepaint Stencils
            [340] = 1879418940; -- Consume Consumables: Pipe Facepaint Stencils
            [185] = 1879183074; -- Kindred of Malevolence
            [186] = 1879183073; -- Ale Association Ally
            [187] = 1879183072; -- Ale Association Friend
            [188] = 1879183071; -- Ale Association Acquaintance
            [189] = 1879185930; -- Ale Association Initiation
            [190] = 1879185460; -- Ale Association Delivery
            [191] = 1879107892; -- Inn League Notable
            [192] = 1879107893; -- Senior Inn League Member
            [193] = 1879107439; -- Inn League Member
            [194] = 1879185461; -- Inn League Delivery
            [195] = 1879107438; -- Inn League Challenge
            [196] = 1879150943; -- Defender of Caras Galadhon
            [197] = 1879115232; -- Boar-slayer
            [198] = 1879222054; -- The Adventures of Floid and Dewitt
            [199] = 1879267993; -- The Adventures of Floid and Dewitt: Part Deux
            [200] = 1879206037; -- Cartographile -- Eriador
            [201] = 1879206033; -- Cartographile -- Moria
            [202] = 1879094069; -- The Unwise
            [204] = 1879303569; -- Deeds of Eriador
            [206] = 1879338183; -- Quests in The Cape of Belfalas
            [208] = 1879321690; -- Roving Threat-slayer (Final)
            [209] = 1879321691; -- Roving Threat-slayer (Advanced)
            [210] = 1879321692; -- Roving Threat-slayer
            [217] = 1879344719; -- Best Bugs
            [218] = 1879344716; -- Fetching Foxes
            [219] = 1879344628; -- Fowl Collection
            [220] = 1879344637; -- Friendly Frogs
            [222] = 1879344639; -- Grim Friends
            [223] = 1879344638; -- Huorns of Fangorn
            [224] = 1879361988; -- Rider of Rohan
            [205] = 1879361998; -- Rider of the Free Peoples
            [225] = 1879344635; -- Shrewd Companions
            [228] = 1879344636; -- Swans of West Gondor
            [229] = 1879361999; -- The Steeds of Gondor
            [96] = 1879210593; -- Cave-claw Wrangler
            [97] = 1879344634; -- Treasure Hunters
            [98] = 1879361995; -- Treasure Mounts
            [297] = 1879381843; -- There and Bree Again
            [298] = 1879381844; -- Daughter of Strife
            [299] = 1879381845; -- Legendary Angmar
            [300] = 1879381882; -- Rambling Rover
            [301] = 1879383612; -- Legend of Angmar
            [302] = 1879381842; -- Out From the Shadows
            [303] = 1879385678; -- Legendary Moria
            [304] = 1879385683; -- Scourge of Khazad-dûm
            [305] = 1879385676; -- Legend of Moria
            [306] = 1879385682; -- Through the Mines
            [307] = 1879389217; -- Legend of Mirkwood
            [308] = 1879389219; -- Legendary Mirkwood
            [309] = 1879389215; -- Echoes of the Dead
            [310] = 1879389221; -- To the Hill of Dark Sorcery
            [311] = 1879394297; -- Legend of Limlight Gorge
            [312] = 1879389216; -- Mists of Anduin
            [313] = 1879389220; -- Into the Iron Fortress
            [314] = 1879403957; -- The Third Marshal
            [315] = 1879403958; -- Legendary Wildermore
            [316] = 1879403960; -- Legend of Rohan
            [317] = 1879403959; -- Up to the Mark
            [320] = 1879409576; -- The Battle of the Hornburg
            [318] = 1879409575; -- Legend of Fangorn
            [319] = 1879409573; -- Forth Eorlingas!
            [322] = 1879413851; -- Siege of the White City
            [323] = 1879413852; -- Beacon of Gondor
            [324] = 1879413853; -- Ashes and Stars
            [321] = 1879413850; -- A Glimmering in the Dark
            [327] = 1879418558; -- The Black Gate
            [328] = 1879418565; -- Unbowed and Unbroken
            [329] = 1879418566; -- Waste Not
            [330] = 1879418568; -- Survey the Slag-hills
            [343] = 1879422535; -- Conquer the Plateau of Gorgoroth
            [344] = 1879422532; -- The Next Adventure - Wood, Lake, Mountain, and Stone
            [345] = 1879422533; -- Traveller of Wood, Lake, Mountain, and Stone
            [346] = 1879422534; -- Uninvited Guest
            [348] = 1879442835; -- Arrival of the Wise
            [349] = 1879442838; -- Legendary Interlude: Shades in the Swamp
            [350] = 1879442837; -- Seeker of Dragons
            [351] = 1879442836; -- Journeyer through Hills, Mountains, and Vales
            [354] = 1879446734; -- Final Escape
            [355] = 1879446732; -- The War of Three Peaks
            [356] = 1879446731; -- Legendary Interlude: Blood of Azog
            [357] = 1879446733; -- Surveyor of Dwarf-lands
            [241] = 1879303873; -- Seven Stars Title
            [242] = 1879153304; -- A Day of Pranks
            [243] = 1879161685; -- Harvestmath
            [244] = 1879163927; -- Yule
            [156] = 1879199417; -- Honoured Yule-friend
            [358] = 1879447587; -- Happy 15th Anniversary
            [250] = 1879355930; -- Aria of Virtues
            [251] = 1879397777; -- Valar Trait Points - 120
            [347] = 1879439189; -- Valar Trait Points - 130
            [252] = 1879114138; -- Master of Forgotten Lore
            [253] = 1879114137; -- Seeker of Truth
            [254] = 1879114136; -- Revealer of the Lost
            [255] = 1879114135; -- Student of the Past
            [256] = 1879279182; -- Bounder's Bounty (Tier 3)
            [257] = 1879279184; -- Bounder's Bounty (Tier 2)
            [258] = 1879279183; -- Bounder's Bounty (Tier 1)
            [259] = 1879326383; -- World Consolidation Announcement
            [260] = 1879326065; -- World Consolidation Begins
            [261] = 1879327466; -- Of Aglarond
            [262] = 1879326643; -- Of Anduin
            [263] = 1879326644; -- Of Arkenstone
            [264] = 1879326645; -- Of Belegaer
            [265] = 1879326646; -- Of Brandywine
            [266] = 1879326647; -- Of Crickhollow
            [267] = 1879326648; -- Of Dwarrowdelf
            [268] = 1879326649; -- Of Eldar
            [269] = 1879326531; -- Of Elendilmir
            [270] = 1879326650; -- Of Estel
            [271] = 1879326651; -- Of Evernight
            [272] = 1879326652; -- Of Firefoot
            [273] = 1879327458; -- Of Fornost
            [274] = 1879326653; -- Of Gilrain
            [275] = 1879326654; -- Of Gladden
            [276] = 1879326655; -- Of Gwaihir
            [277] = 1879326656; -- Of Imladris
            [278] = 1879326657; -- Of Landroval
            [279] = 1879326658; -- Of Laurelin
            [280] = 1879326659; -- Of Maiar
            [281] = 1879326660; -- Of Meneldor
            [282] = 1879327464; -- Of Mirkwood
            [283] = 1879326661; -- Of Morthond
            [284] = 1879326662; -- Of Nimrodel
            [285] = 1879326663; -- Of Riddermark
            [286] = 1879326664; -- Of Silverlode
            [287] = 1879326665; -- Of Sirannon
            [288] = 1879326666; -- Of Snowbourn
            [289] = 1879326667; -- Of Vanyar
            [290] = 1879326668; -- Of Vilya
            [291] = 1879326669; -- Of Windfola
            [292] = 1879326670; -- Of Withywindle
            [293] = 1879353104; -- Mordor Collector
            [294] = 1879353101; -- Mordor Ultimate Fan
            [245] = 1879361989; -- 2013 Festival Steeds
            [246] = 1879361993; -- 2014 Festival Steeds
            [247] = 1879361997; -- 2015 Festival Steeds
            [248] = 1879362010; -- 2016 Festival Steeds
            [249] = 1879362011; -- 2017 Festival Steeds
            [216] = 1879361994; -- Autumn Adventurer
            [221] = 1879362013; -- Goat-herder
            [226] = 1879361990; -- Spring in Your Step
            [227] = 1879361991; -- Sun-strider
            [230] = 1879362003; -- The Steeds of Gorgoroth
            [231] = 1879361992; -- Veteran of the Third Age
            [232] = 1879361996; -- Winter-rider
        };
        -- Epic
        [3] = {
            [1] = 1879101991; -- The Shadows of Angmar - Part II
            [2] = 1879086558; -- The Shadows of Angmar
            [3] = 1879166831; -- Epilogue: Of Elves and Dwarves
            [4] = 1879152683; -- The Mines of Moria -- Part II
            [5] = 1879152682; -- The Mines of Moria
            [29] = 1879139434; -- The Mines of Moria
            [30] = 1879139437; -- The Mines of Moria
            [31] = 1879139440; -- The Mines of Moria
            [32] = 1879139443; -- The Mines of Moria
            [33] = 1879139446; -- The Mines of Moria
            [34] = 1879139449; -- The Mines of Moria
            [35] = 1879139452; -- The Mines of Moria
            [36] = 1879139455; -- The Mines of Moria
            [37] = 1879139458; -- The Mines of Moria
            [7] = 1879183122; -- Volume III: 'Allies of the King' Foreword
            [8] = 1879183142; -- Allies of the King
            [9] = 1879206112; -- Lhaid Ogo Exploration
            [10] = 1879229954; -- The Vanished Rider
            [11] = 1879254086; -- Tidings from Galadriel
            [12] = 1879267762; -- Volume III Interludes, Part One
            [13] = 1879267761; -- Volume III Interludes, Part Two
            [14] = 1879284573; -- Volume III, Book 11: Foreword
            [15] = 1879305678; -- Volume III, Book 14: Foreword
            [16] = 1879309822; -- The Strength of Sauron
            [25] = 1879408378; -- The Great Wedding Will Soon Arrive
            [17] = 1879408375; -- The Peace of Middle-earth
            [18] = 1879354067; -- The Black Book of Mordor - Where the Shadows Lie
            [20] = 1879365416; -- The Lay of Rust and Rime
            [38] = 1879442250; -- Musings and Thanks
            [21] = 1879405718; -- The Legacy of Durin and the Trials of the Dwarves
            [22] = 1879366393; -- The Queen Regent's Edict
            [23] = 1879324024; -- A Most Curious Hobbit
            [24] = 1879297370; -- Epic Battles Await
            [26] = 1879234462; -- Discovering the Descendant
            [27] = 1879234463; -- Horsing Around
            [28] = 1879238494; -- An Unusual Arrival
        };
        -- Reputation
        [4] = {
            [1] = 1879197820; -- The Hot Shot
            [2] = 1879197822; -- The Eager Beaver
            [3] = 1879197821; -- The Busy Bee
            [4] = 1879197819; -- The Go-getter
            [5] = 1879197817; -- The Up-and-Comer
            [6] = 1879198514; -- World Renowned
            [7] = 1879198509; -- Ambassador to the Elves
            [8] = 1879190400; -- Kindred to Thorin's Hall
            [9] = 1879190399; -- Ally of Thorin's Hall
            [10] = 1879190398; -- Friend to Thorin's Hall
            [11] = 1879190397; -- Known to Thorin's Hall
            [12] = 1879190392; -- Kindred with the Mathom Society
            [13] = 1879190391; -- Ally of the Mathom Society
            [14] = 1879190390; -- Friend to the Mathom Society
            [15] = 1879190389; -- Known to the Mathom Society
            [16] = 1879190364; -- Kindred to the Men of Bree
            [17] = 1879190363; -- Ally to the Men of Bree
            [18] = 1879190362; -- Friend to the Men of Bree
            [19] = 1879190361; -- Known to the Men of Bree
            [20] = 1879305453; -- Hobnanigans Hall of Famer
            [21] = 1879305452; -- Hobnanigans All-star
            [22] = 1879305451; -- Hobnanigans Major Leaguer
            [23] = 1879305450; -- Hobnanigans Minor Leaguer
            [24] = 1879305449; -- Hobnanigans Rookie
            [25] = 1879180379; -- Kindred to the Eglain
            [26] = 1879180378; -- Ally of the Eglain
            [27] = 1879180377; -- Friend of the Eglain
            [28] = 1879180376; -- Known to the Eglain
            [29] = 1879190372; -- Kindred with the Rangers of Esteldín
            [30] = 1879190371; -- Ally to the Rangers of Esteldín
            [31] = 1879190370; -- Friend to the Rangers of Esteldín
            [32] = 1879190369; -- Known to the Rangers of Esteldín
            [33] = 1879190360; -- Kindred with the Wardens of Annúminas
            [34] = 1879190359; -- Ally to the Wardens of Annúminas
            [35] = 1879190358; -- Friend to the Wardens of Annúminas
            [36] = 1879190357; -- Known to the Wardens of Annúminas
            [37] = 1879190396; -- Kindred with the Elves of Rivendell
            [38] = 1879190395; -- Ally to the Elves of Rivendell
            [39] = 1879190394; -- Friend to the Elves of Rivendell
            [40] = 1879190393; -- Known to the Elves of Rivendell
            [41] = 1879190368; -- Kindred of the Council of the North
            [42] = 1879190367; -- Ally of the Council of the North
            [43] = 1879190366; -- Friend of the Council of the North
            [44] = 1879190365; -- Known to Council of North
            [45] = 1879190384; -- Kindred with the Lossoth
            [46] = 1879190383; -- Ally to the Lossoth
            [47] = 1879190382; -- Friend to the Lossoth
            [48] = 1879190381; -- Known to the Lossoth
            [49] = 1879190388; -- Kindred with the Galadhrim
            [50] = 1879190387; -- Ally to the Galadhrim
            [51] = 1879190386; -- Friend to the Galadhrim
            [52] = 1879190385; -- Known to the Galadhrim
            [53] = 1879190376; -- Kindred with the Iron Garrison Guards
            [54] = 1879190375; -- Ally to the Iron Garrison Guards
            [55] = 1879190374; -- Friend to the Iron Garrison Guards
            [56] = 1879190373; -- Known to the Iron Garrison Guards
            [57] = 1879190380; -- Kindred with the Iron Garrison Miners
            [58] = 1879190379; -- Ally to the Iron Garrison Miners
            [59] = 1879190378; -- Friend to the Iron Garrison Miners
            [60] = 1879190377; -- Known to the Iron Garrison Miners
            [61] = 1879190475; -- Kindred with the Algraig
            [62] = 1879190457; -- Ally to the Algraig
            [63] = 1879190470; -- Friend to the Algraig
            [64] = 1879190456; -- Known to the Algraig
            [65] = 1879190492; -- Kindred with the Grey Company
            [66] = 1879190476; -- Ally to the Grey Company
            [67] = 1879190489; -- Friend to the Grey Company
            [68] = 1879190471; -- Known to the Grey Company
            [69] = 1879190449; -- Kindred with the Malledhrim
            [70] = 1879190454; -- Ally to the Malledhrim
            [71] = 1879190451; -- Friend to the Malledhrim
            [72] = 1879190455; -- Known to the Malledhrim
            [73] = 1879222238; -- Kindred to the Men of Dunland
            [74] = 1879222237; -- Ally to the Men of Dunland
            [75] = 1879222236; -- Friend to the Men of Dunland
            [76] = 1879222235; -- Known to the Men of Dunland
            [77] = 1879233014; -- Kindred with the Riders of Stangard
            [78] = 1879233015; -- Ally to the Riders of Stangard
            [79] = 1879233012; -- Friend to the Riders of Stangard
            [80] = 1879233013; -- Known to the Riders of Stangard
            [81] = 1879222242; -- Kindred to Théodred's Riders
            [82] = 1879222240; -- Ally to the Riders of Théodred
            [83] = 1879222241; -- Friend to Théodred's Riders
            [84] = 1879222243; -- Known to Théodred's Riders
            [85] = 1879258418; -- Kindred with the Heroes of Limlight Gorge
            [86] = 1879258419; -- Ally to the Heroes of Limlight Gorge
            [87] = 1879258420; -- Friend to the Heroes of Limlight Gorge
            [88] = 1879258421; -- Known to the Heroes of Limlight Gorge
            [89] = 1879246620; -- Kindred to the Wold
            [90] = 1879246619; -- Ally to the Wold
            [91] = 1879246618; -- Friend to the Wold
            [92] = 1879246617; -- Known to the Wold
            [93] = 1879246623; -- Kindred to the Norcrofts
            [94] = 1879246622; -- Ally to the Norcrofts
            [95] = 1879246621; -- Friend to the Norcrofts
            [96] = 1879246624; -- Known to the Norcrofts
            [97] = 1879246632; -- Kindred to the Sutcrofts
            [98] = 1879246631; -- Ally to the Sutcrofts
            [99] = 1879246630; -- Friend to the Sutcrofts
            [100] = 1879246629; -- Known to the Sutcrofts
            [101] = 1879246628; -- Kindred to the Entwash
            [102] = 1879246627; -- Ally to the Entwash Vale
            [103] = 1879246626; -- Friend to the Entwash Vale
            [104] = 1879246625; -- Known to the Entwash Vale
            [113] = 1879259466; -- Kindred to the People of Wildermore
            [114] = 1879259464; -- Ally to the People of Wildermore
            [115] = 1879259465; -- Friend to the People of Wildermore
            [116] = 1879259463; -- Known to the People of Wildermore
            [117] = 1879259468; -- Kindred to the Survivors of Wildermore
            [118] = 1879259469; -- Ally to the Survivors of Wildermore
            [119] = 1879259470; -- Friend to the Survivors of Wildermore
            [120] = 1879259467; -- Known to the Survivors of Wildermore
            [121] = 1879305674; -- Kindred with the Ents of Fangorn
            [122] = 1879305673; -- Ally to the Ents of Fangorn
            [123] = 1879305671; -- Friend to the Ents of Fangorn
            [124] = 1879305672; -- Known to the Ents of Fangorn
            [125] = 1879271199; -- Kindred to the Eorlingas
            [126] = 1879271198; -- Ally to the Eorlingas
            [127] = 1879271197; -- Friend to the Eorlingas
            [128] = 1879271175; -- Known to the Eorlingas
            [129] = 1879271203; -- Kindred to the Helmingas
            [130] = 1879271202; -- Ally to the Helmingas
            [131] = 1879271201; -- Friend to the Helmingas
            [132] = 1879271200; -- Known to the Helmingas
            [133] = 1879306085; -- Kindred to Dol Amroth
            [134] = 1879306084; -- Ally to Dol Amroth
            [135] = 1879306081; -- Friend to Dol Amroth
            [136] = 1879306080; -- Known to Dol Amroth
            [235] = 1879309582; -- Dol Amroth - Armoury
            [236] = 1879309579; -- Dol Amroth - Bank
            [237] = 1879309580; -- Dol Amroth - Docks
            [238] = 1879309581; -- Dol Amroth - Great Hall
            [239] = 1879309583; -- Dol Amroth - Library
            [240] = 1879309585; -- Dol Amroth - Mason
            [241] = 1879309586; -- Dol Amroth - Swan-knights
            [242] = 1879309584; -- Dol Amroth - Warehouse
            [137] = 1879315506; -- Kindred to Ringló Vale
            [138] = 1879315507; -- Ally to Ringló Vale
            [139] = 1879315505; -- Friend to Ringló Vale
            [140] = 1879315504; -- Known to Ringló Vale
            [141] = 1879315509; -- Kindred to Dor-en-Ernil
            [142] = 1879315508; -- Ally to Dor-en-Ernil
            [143] = 1879315511; -- Friend to Dor-en-Ernil
            [144] = 1879315510; -- Known to Dor-en-Ernil
            [145] = 1879315513; -- Kindred to Lebennin
            [146] = 1879315512; -- Ally to Lebennin
            [147] = 1879315515; -- Friend to Lebennin
            [148] = 1879315514; -- Known to Lebennin
            [149] = 1879314960; -- Kindred to Pelargir
            [150] = 1879314962; -- Ally to Pelargir
            [151] = 1879314961; -- Friend to Pelargir
            [152] = 1879314963; -- Known to Pelargir
            [153] = 1879322628; -- Kindred to the Rangers of Ithilien
            [154] = 1879322631; -- Ally to the Rangers of Ithilien
            [155] = 1879322630; -- Friend to the Rangers of Ithilien
            [156] = 1879322629; -- Known to the Rangers of Ithilien
            [157] = 1879330572; -- Celebrated in Minas Tirith
            [158] = 1879330574; -- Honoured in Minas Tirith
            [159] = 1879330575; -- Respected in Minas Tirith
            [160] = 1879326957; -- Kindred to Minas Tirith
            [161] = 1879326964; -- Ally to Minas Tirith
            [162] = 1879326963; -- Friend to Minas Tirith
            [163] = 1879326969; -- Known to Minas Tirith
            [164] = 1879341962; -- Celebrated by the Host of the West
            [165] = 1879341963; -- Esteemed in the Host of the West
            [166] = 1879341960; -- Respected by the Host of the West
            [167] = 1879334732; -- Kindred to the Host of the West
            [168] = 1879334731; -- Ally to the Host of the West
            [169] = 1879334730; -- Friend to the Host of the West
            [170] = 1879334729; -- Known to the Host of the West
            [243] = 1879341971; -- Host of the West - Weaponist (Final)
            [244] = 1879341973; -- Host of the West - Weaponist (Advanced)
            [245] = 1879341966; -- Host of the West - Weaponist (Intermediate)
            [246] = 1879341969; -- Host of the West - Weaponist
            [247] = 1879341967; -- Host of the West - Armourer (Final)
            [248] = 1879341970; -- Host of the West - Armourer (Advanced)
            [249] = 1879341964; -- Host of the West - Armourer (Intermediate)
            [250] = 1879341965; -- Host of the West - Armourer
            [251] = 1879341959; -- Host of the West - Provisioner (Final)
            [252] = 1879341974; -- Host of the West - Provisioner (Advanced)
            [253] = 1879341972; -- Host of the West - Provisioner (Intermediate)
            [254] = 1879341968; -- Host of the West - Provisioner
            [171] = 1879330570; -- Kindred to The Riders of Rohan
            [172] = 1879330576; -- Ally to The Riders of Rohan
            [173] = 1879330573; -- Friend to The Riders of Rohan
            [174] = 1879330571; -- Known to The Riders of Rohan
            [175] = 1879345209; -- Celebrated in the Conquest of Gorgoroth
            [176] = 1879345211; -- Honoured in the Conquest of Gorgoroth
            [177] = 1879345191; -- Respected in the Conquest of Gorgoroth
            [178] = 1879345200; -- Kindred in the Conquest of Gorgoroth
            [179] = 1879345206; -- Ally in the Conquest of Gorgoroth
            [180] = 1879345202; -- Friend in the Conquest of Gorgoroth
            [181] = 1879345208; -- Known in the Conquest of Gorgoroth
            [256] = 1879345197; -- Enemy to Fushaum Bal south
            [257] = 1879345189; -- Enemy to Fushaum Bal north
            [182] = 1879345204; -- Known to the Red Sky Clan
            [258] = 1879363094; -- Respected by the Dwarves of Erebor
            [183] = 1879363085; -- Kindred to the Dwarves of Erebor
            [184] = 1879363088; -- Ally to the Dwarves of Erebor
            [185] = 1879363096; -- Friend to the Dwarves of Erebor
            [186] = 1879363099; -- Known to the Dwarves of Erebor
            [187] = 1879362492; -- Kindred to the Elves of Felegoth
            [188] = 1879362485; -- Ally to the Elves of Felegoth
            [189] = 1879362494; -- Friend to the Elves of Felegoth
            [190] = 1879362491; -- Known to the Elves of Felegoth
            [191] = 1879362502; -- Kindred to the Men of Dale
            [192] = 1879362508; -- Ally to the Men of Dale
            [193] = 1879362503; -- Friend to the Men of Dale
            [194] = 1879362509; -- Known to the Men of Dale
            [195] = 1879369250; -- Kindred to the Grey Mountains Expedition
            [196] = 1879369251; -- Ally to the Grey Mountains Expedition
            [197] = 1879369246; -- Friend to the Grey Mountains Expedition
            [198] = 1879369248; -- Known to the Grey Mountains Expedition
            [199] = 1879386038; -- Kindred to the Wilderfolk
            [200] = 1879386041; -- Ally to the Wilderfolk
            [201] = 1879386040; -- Friend to the Wilderfolk
            [202] = 1879386039; -- Known to the Wilderfolk
            [203] = 1879390727; -- Celebrated in The Great Alliance
            [204] = 1879390722; -- Honoured in The Great Alliance
            [205] = 1879390724; -- Respected in The Great Alliance
            [206] = 1879390723; -- Celebrated in The White Company
            [207] = 1879390731; -- Honoured in The White Company
            [208] = 1879390729; -- Respected in The White Company
            [209] = 1879390728; -- Kindred to The White Company
            [210] = 1879390726; -- Ally to The White Company
            [211] = 1879390730; -- Friend to The White Company
            [212] = 1879395389; -- The Trial of Death
            [213] = 1879395392; -- The Trial of Despair
            [214] = 1879395390; -- The Reclamation Continues IV
            [215] = 1879395388; -- The Trial of Madness
            [216] = 1879395387; -- The Reclamation Continues III
            [217] = 1879395382; -- The Trial of Sorrow
            [218] = 1879395394; -- The Reclamation Continues II
            [219] = 1879395391; -- The Trial of Wrath
            [220] = 1879390725; -- The Reclamation Continues I
            [222] = 1879406714; -- Kindred to the Protectors of Wilderland
            [223] = 1879406716; -- Ally to the Protectors of Wilderland
            [224] = 1879406717; -- Friend to the Protectors of Wilderland
            [225] = 1879406715; -- Known to the Protectors of Wilderland
            [226] = 1879407822; -- Kindred to the March on Gundabad
            [227] = 1879407821; -- Ally to the March on Gundabad
            [228] = 1879407824; -- Friend to the March on Gundabad
            [229] = 1879407823; -- Known to the March on Gundabad
            [230] = 1879409913; -- Azghzabad of the Gabil'akkâ
            [231] = 1879409927; -- Fabarâl of the Gabil'akkâ
            [232] = 1879409921; -- Uzkhas of the Gabil'akkâ
            [233] = 1879409930; -- Izkhas of the Gabil'akkâ
            [234] = 1879409922; -- Dumul of the Gabil'akkâ
            [259] = 1879413219; -- Ally to the League of the Axe
            [260] = 1879413221; -- Friend to the League of the Axe
            [261] = 1879413214; -- Known to the League of the Axe
            [262] = 1879413220; -- Neutral to the League of the Axe
            [263] = 1879413216; -- Kindred to the Woodcutter's Brotherhood
            [264] = 1879413215; -- Ally to the Woodcutter's Brotherhood
            [265] = 1879413218; -- Friend to the Woodcutter's Brotherhood
            [266] = 1879413217; -- Known to the Woodcutter's Brotherhood
            [277] = 1879413628; -- Ally to the Kharum-ubnâr
            [278] = 1879413625; -- Friend to the Kharum-ubnâr
            [279] = 1879413626; -- Known to the Kharum-ubnâr
            [280] = 1879417049; -- Fabarâl of the Haban’akkâ of Thráin
            [281] = 1879417052; -- Uzkhas of the Haban’akkâ of Thráin
            [282] = 1879417051; -- Izkhas of the Haban’akkâ of Thráin
            [283] = 1879417050; -- Dumul of the Haban'akkâ of Thráin
            [284] = 1879417184; -- Celebrated by the Reclaimers of the Mountain-hold
            [285] = 1879417186; -- Honoured by the Reclaimers of the Mountain-hold
            [286] = 1879417188; -- Respected by the Reclaimers of the Mountain-hold
            [287] = 1879417183; -- Kindred to the Reclaimers of the Mountain-hold
            [288] = 1879417185; -- Ally to the Reclaimers of the Mountain-hold
            [289] = 1879417187; -- Friend to the Reclaimers of the Mountain-hold
            [290] = 1879417189; -- Known to the Reclaimers of the Mountain-hold
            [291] = 1879445939; -- Kindred to the Defenders of the Angle
            [292] = 1879443127; -- Kindred to the Yonder-watch
            [293] = 1879443124; -- Ally to the Yonder-watch
            [294] = 1879443131; -- Friend to the Yonder-watch
            [295] = 1879450840; -- Kindred to the Dúnedain of Cardolan
            [296] = 1879450839; -- Ally to the Dúnedain of Cardolan
            [297] = 1879450842; -- Friend to the Dúnedain of Cardolan
            [298] = 1879450841; -- Known to the Dúnedain of Cardolan
            [267] = 1879407709; -- The Tournament of the Twins - Exalted Champion of Rivendell
            [268] = 1879407711; -- The Tournament of the Twins - Champion of Rivendell
            [269] = 1879407713; -- The Tournament of the Twins - Hero's Frame
            [270] = 1879407714; -- The Tournament of the Twins - Favoured of Elrond
            [271] = 1879407719; -- The Tournament of the Twins - Gladiator's Frame
            [272] = 1879407720; -- The Tournament of the Twins - Herald of Rivendell
            [273] = 1879407705; -- The Tournament of the Twins - Contender's Frame
            [274] = 1879407706; -- The Tournament of the Twins - Honourable Contender
            [275] = 1879407675; -- The Tournament of the Twins - The Cloak of Elrohir
            [276] = 1879407710; -- The Tournament of the Twins - The Cloak of Elladan
            [105] = 1879400834; -- Kindred with the Townsfolk of the Eastfold Neighbourhoods
            [106] = 1879400836; -- Ally to the Townsfolk of the Eastfold Neighbourhoods
            [107] = 1879400832; -- Friend to the Townsfolk of the Eastfold Neighbourhoods
            [108] = 1879400833; -- Known to the Townsfolk of the Eastfold Neighbourhoods
            [109] = 1879400839; -- Kindred with the Townsfolk of the Kingstead Neighbourhoods
            [110] = 1879400838; -- Ally to the Townsfolk of the Kingstead Neighbourhoods
            [111] = 1879400837; -- Friend to the Townsfolk of the Kingstead Neighbourhoods
            [112] = 1879400835; -- Known to the Townsfolk of the Kingstead Neighbourhoods
        };
        -- Allegiances
        [5] = {
            [274] = 1879352006; -- Durin's Folk: Allegiance Level 30
            [273] = 1879352021; -- Durin's Folk: Allegiance Level 29
            [272] = 1879352026; -- Durin's Folk: Allegiance Level 28
            [271] = 1879352030; -- Durin's Folk: Allegiance Level 27
            [270] = 1879352005; -- Durin's Folk: Allegiance Level 26
            [269] = 1879352010; -- Durin's Folk: Allegiance Level 25
            [268] = 1879352014; -- Durin's Folk: Allegiance Level 24
            [267] = 1879352018; -- Durin's Folk: Allegiance Level 23
            [266] = 1879352022; -- Durin's Folk: Allegiance Level 22
            [265] = 1879352027; -- Durin's Folk: Allegiance Level 21
            [264] = 1879352031; -- Durin's Folk: Allegiance Level 20
            [263] = 1879352002; -- Durin's Folk: Allegiance Level 19
            [262] = 1879352007; -- Durin's Folk: Allegiance Level 18
            [261] = 1879352011; -- Durin's Folk: Allegiance Level 17
            [260] = 1879352016; -- Durin's Folk: Allegiance Level 16
            [259] = 1879352019; -- Durin's Folk: Allegiance Level 15
            [258] = 1879352024; -- Durin's Folk: Allegiance Level 14
            [257] = 1879352029; -- Durin's Folk: Allegiance Level 13
            [256] = 1879352004; -- Durin's Folk: Allegiance Level 12
            [255] = 1879352009; -- Durin's Folk: Allegiance Level 11
            [254] = 1879352013; -- Durin's Folk: Allegiance Level 10
            [253] = 1879352020; -- Durin's Folk: Allegiance Level 9
            [252] = 1879352025; -- Durin's Folk: Allegiance Level 8
            [251] = 1879352012; -- Durin's Folk: Allegiance Level 7
            [250] = 1879352017; -- Durin's Folk: Allegiance Level 6
            [249] = 1879352003; -- Durin's Folk: Allegiance Level 5
            [248] = 1879352008; -- Durin's Folk: Allegiance Level 4
            [247] = 1879352023; -- Durin's Folk: Allegiance Level 3
            [246] = 1879352028; -- Durin's Folk: Allegiance Level 2
            [245] = 1879352015; -- Durin's Folk: Allegiance Level 1
            [304] = 1879352084; -- The Court of Lothlórien: Allegiance Level 30
            [303] = 1879352037; -- The Court of Lothlórien: Allegiance Level 29
            [302] = 1879352079; -- The Court of Lothlórien: Allegiance Level 28
            [301] = 1879352046; -- The Court of Lothlórien: Allegiance Level 27
            [300] = 1879352089; -- The Court of Lothlórien: Allegiance Level 26
            [299] = 1879352057; -- The Court of Lothlórien: Allegiance Level 25
            [298] = 1879352100; -- The Court of Lothlórien: Allegiance Level 24
            [297] = 1879352068; -- The Court of Lothlórien: Allegiance Level 23
            [296] = 1879352109; -- The Court of Lothlórien: Allegiance Level 22
            [295] = 1879352078; -- The Court of Lothlórien: Allegiance Level 21
            [294] = 1879352119; -- The Court of Lothlórien: Allegiance Level 20
            [293] = 1879352118; -- The Court of Lothlórien: Allegiance Level 19
            [292] = 1879352066; -- The Court of Lothlórien: Allegiance Level 18
            [291] = 1879352036; -- The Court of Lothlórien: Allegiance Level 17
            [290] = 1879352077; -- The Court of Lothlórien: Allegiance Level 16
            [289] = 1879352043; -- The Court of Lothlórien: Allegiance Level 15
            [288] = 1879352088; -- The Court of Lothlórien: Allegiance Level 14
            [287] = 1879352054; -- The Court of Lothlórien: Allegiance Level 13
            [286] = 1879352095; -- The Court of Lothlórien: Allegiance Level 12
            [285] = 1879352064; -- The Court of Lothlórien: Allegiance Level 11
            [284] = 1879352106; -- The Court of Lothlórien: Allegiance Level 10
            [283] = 1879352097; -- The Court of Lothlórien: Allegiance Level 9
            [282] = 1879352055; -- The Court of Lothlórien: Allegiance Level 8
            [281] = 1879352087; -- The Court of Lothlórien: Allegiance Level 7
            [280] = 1879352044; -- The Court of Lothlórien: Allegiance Level 6
            [279] = 1879352116; -- The Court of Lothlórien: Allegiance Level 5
            [278] = 1879352075; -- The Court of Lothlórien: Allegiance Level 4
            [277] = 1879352107; -- The Court of Lothlórien: Allegiance Level 3
            [276] = 1879352065; -- The Court of Lothlórien: Allegiance Level 2
            [275] = 1879352042; -- The Court of Lothlórien: Allegiance Level 1
            [334] = 1879352058; -- Hobbits of the Company: Allegiance Level 30
            [333] = 1879352113; -- Hobbits of the Company: Allegiance Level 29
            [332] = 1879352061; -- Hobbits of the Company: Allegiance Level 28
            [331] = 1879352104; -- Hobbits of the Company: Allegiance Level 27
            [330] = 1879352051; -- Hobbits of the Company: Allegiance Level 26
            [329] = 1879352052; -- Hobbits of the Company: Allegiance Level 25
            [328] = 1879352093; -- Hobbits of the Company: Allegiance Level 24
            [327] = 1879352041; -- Hobbits of the Company: Allegiance Level 23
            [326] = 1879352085; -- Hobbits of the Company: Allegiance Level 22
            [325] = 1879352073; -- Hobbits of the Company: Allegiance Level 21
            [324] = 1879352114; -- Hobbits of the Company: Allegiance Level 20
            [323] = 1879352033; -- Hobbits of the Company: Allegiance Level 19
            [322] = 1879352074; -- Hobbits of the Company: Allegiance Level 18
            [321] = 1879352115; -- Hobbits of the Company: Allegiance Level 17
            [320] = 1879352062; -- Hobbits of the Company: Allegiance Level 16
            [319] = 1879352063; -- Hobbits of the Company: Allegiance Level 15
            [318] = 1879352105; -- Hobbits of the Company: Allegiance Level 14
            [317] = 1879352053; -- Hobbits of the Company: Allegiance Level 13
            [316] = 1879352094; -- Hobbits of the Company: Allegiance Level 12
            [315] = 1879352086; -- Hobbits of the Company: Allegiance Level 11
            [314] = 1879352034; -- Hobbits of the Company: Allegiance Level 10
            [313] = 1879352092; -- Hobbits of the Company: Allegiance Level 9
            [312] = 1879352040; -- Hobbits of the Company: Allegiance Level 8
            [311] = 1879352103; -- Hobbits of the Company: Allegiance Level 7
            [310] = 1879352049; -- Hobbits of the Company: Allegiance Level 6
            [309] = 1879352072; -- Hobbits of the Company: Allegiance Level 5
            [308] = 1879352112; -- Hobbits of the Company: Allegiance Level 4
            [307] = 1879352083; -- Hobbits of the Company: Allegiance Level 3
            [306] = 1879352032; -- Hobbits of the Company: Allegiance Level 2
            [305] = 1879352050; -- Hobbits of the Company: Allegiance Level 1
            [364] = 1879352098; -- The Kingdom of Gondor: Allegiance Level 30
            [363] = 1879352121; -- The Kingdom of Gondor: Allegiance Level 29
            [362] = 1879352081; -- The Kingdom of Gondor: Allegiance Level 28
            [361] = 1879352111; -- The Kingdom of Gondor: Allegiance Level 27
            [360] = 1879352071; -- The Kingdom of Gondor: Allegiance Level 26
            [359] = 1879352102; -- The Kingdom of Gondor: Allegiance Level 25
            [358] = 1879352060; -- The Kingdom of Gondor: Allegiance Level 24
            [357] = 1879352091; -- The Kingdom of Gondor: Allegiance Level 23
            [356] = 1879352048; -- The Kingdom of Gondor: Allegiance Level 22
            [355] = 1879352082; -- The Kingdom of Gondor: Allegiance Level 21
            [354] = 1879352039; -- The Kingdom of Gondor: Allegiance Level 20
            [353] = 1879352110; -- The Kingdom of Gondor: Allegiance Level 19
            [352] = 1879352069; -- The Kingdom of Gondor: Allegiance Level 18
            [351] = 1879352101; -- The Kingdom of Gondor: Allegiance Level 17
            [350] = 1879352059; -- The Kingdom of Gondor: Allegiance Level 16
            [349] = 1879352090; -- The Kingdom of Gondor: Allegiance Level 15
            [348] = 1879352047; -- The Kingdom of Gondor: Allegiance Level 14
            [347] = 1879352080; -- The Kingdom of Gondor: Allegiance Level 13
            [346] = 1879352038; -- The Kingdom of Gondor: Allegiance Level 12
            [345] = 1879352070; -- The Kingdom of Gondor: Allegiance Level 11
            [344] = 1879352120; -- The Kingdom of Gondor: Allegiance Level 10
            [343] = 1879352056; -- The Kingdom of Gondor: Allegiance Level 9
            [342] = 1879352108; -- The Kingdom of Gondor: Allegiance Level 8
            [341] = 1879352045; -- The Kingdom of Gondor: Allegiance Level 7
            [340] = 1879352099; -- The Kingdom of Gondor: Allegiance Level 6
            [339] = 1879352076; -- The Kingdom of Gondor: Allegiance Level 5
            [338] = 1879352035; -- The Kingdom of Gondor: Allegiance Level 4
            [337] = 1879352067; -- The Kingdom of Gondor: Allegiance Level 3
            [336] = 1879352117; -- The Kingdom of Gondor: Allegiance Level 2
            [335] = 1879352096; -- The Kingdom of Gondor: Allegiance Level 1
            [365] = 1879418279; -- Zhélruka: Allegiance Level 30
            [366] = 1879418272; -- Zhélruka: Allegiance Level 29
            [367] = 1879418277; -- Zhélruka: Allegiance Level 28
            [368] = 1879418251; -- Zhélruka: Allegiance Level 27
            [369] = 1879418255; -- Zhélruka: Allegiance Level 26
            [370] = 1879418263; -- Zhélruka: Allegiance Level 25
            [371] = 1879418269; -- Zhélruka: Allegiance Level 24
            [372] = 1879418275; -- Zhélruka: Allegiance Level 23
            [373] = 1879418280; -- Zhélruka: Allegiance Level 22
            [374] = 1879418278; -- Zhélruka: Allegiance Level 21
            [375] = 1879418252; -- Zhélruka: Allegiance Level 20
            [376] = 1879418258; -- Zhélruka: Allegiance Level 19
            [377] = 1879418261; -- Zhélruka: Allegiance Level 18
            [378] = 1879418267; -- Zhélruka: Allegiance Level 17
            [379] = 1879418274; -- Zhélruka: Allegiance Level 16
            [380] = 1879418254; -- Zhélruka: Allegiance Level 15
            [381] = 1879418257; -- Zhélruka: Allegiance Level 14
            [382] = 1879418260; -- Zhélruka: Allegiance Level 13
            [383] = 1879418266; -- Zhélruka: Allegiance Level 12
            [384] = 1879418264; -- Zhélruka: Allegiance Level 11
            [385] = 1879418270; -- Zhélruka: Allegiance Level 10
            [386] = 1879418259; -- Zhélruka: Allegiance Level 9
            [387] = 1879418256; -- Zhélruka: Allegiance Level 8
            [388] = 1879418271; -- Zhélruka: Allegiance Level 7
            [389] = 1879418265; -- Zhélruka: Allegiance Level 6
            [390] = 1879418276; -- Zhélruka: Allegiance Level 5
            [391] = 1879418268; -- Zhélruka: Allegiance Level 4
            [392] = 1879418253; -- Zhélruka: Allegiance Level 3
            [393] = 1879418281; -- Zhélruka: Allegiance Level 2
            [394] = 1879417244; -- Zhélruka: Allegiance Level 1
        };
    };
    -- Eriador
    [6] = {
        -- Bree-land
        [1] = {
            [1] = 1879303221; -- Deeds of Bree-land
            [2] = 1879303220; -- Explorer of Bree-land
            [3] = 1879071670; -- The Barrow-downs
            [4] = 1879071671; -- The Old Forest
            [5] = 1879071672; -- The Ruins of Bree-land
            [8] = 1879071673; -- Lore of the Cardolan Prince
            [7] = 1879071674; -- The History of the Dúnedain
            [6] = 1879071675; -- Flowers of the Old Forest
            [9] = 1879071678; -- Bree-land Adventurer (Final)
            [10] = 1879071677; -- Bree-land Adventurer (Advanced)
            [11] = 1879071676; -- Bree-land Adventurer
            [12] = 1879303203; -- Slayer of Bree-land
            [13] = 1879071699; -- Barghest-slayer (Advanced)
            [14] = 1879071698; -- Barghest-slayer
            [17] = 1879071701; -- Brigand-slayer (Advanced)
            [18] = 1879071700; -- Brigand-slayer
            [15] = 1879071703; -- Bree-land Woodsman (Advanced)
            [16] = 1879071702; -- Bree-land Woodsman
            [19] = 1879071705; -- Neekerbreeker-slayer (Advanced)
            [20] = 1879071704; -- Neekerbreeker-slayer
            [21] = 1879071707; -- Orc-slayer (Advanced)
            [22] = 1879071706; -- Orc-slayer
            [23] = 1879071709; -- Sickle-fly Slayer (Advanced)
            [24] = 1879071708; -- Sickle-fly Slayer
            [25] = 1879071711; -- Spider-slayer (Advanced)
            [26] = 1879071710; -- Spider-slayer
            [27] = 1879071713; -- Wight-slayer (Advanced)
            [28] = 1879071712; -- Wight-slayer
            [29] = 1879093962; -- Brood-hunter (Advanced)
            [30] = 1879093961; -- Brood-hunter
            [31] = 1879093964; -- Grave-digger (Advanced)
            [32] = 1879093963; -- Grave-digger
            [33] = 1879093960; -- Nemesis of the Fallen (Advanced)
            [34] = 1879093959; -- Nemesis of the Fallen
            [35] = 1879093958; -- Executioner of the Wicked
            [37] = 1879414493; -- Deeds of the Wildwood
            [38] = 1879414510; -- Explorer of the Wildwood
            [39] = 1879414505; -- Sites of the Wildwood
            [40] = 1879414498; -- Flowers of the Wildwood
            [41] = 1879414502; -- Quests of the Wildwood
            [42] = 1879414500; -- Quests in the Wildwood
            [43] = 1879414497; -- The League of the Axe
            [44] = 1879414513; -- The Woodcutter's Brotherhood
            [45] = 1879414494; -- Missions: The Wildwood
            [46] = 1879414509; -- Slayer of the Wildwood
            [47] = 1879414506; -- Wildwood Brigand-slayer (Advanced)
            [48] = 1879414511; -- Wildwood Brigand-slayer
            [49] = 1879414503; -- Wildwood Big Game Slayer (Advanced)
            [50] = 1879414495; -- Wildwood Big Game Slayer
            [51] = 1879414501; -- Wildwood Orc-kind Slayer (Advanced)
            [52] = 1879414512; -- Wildwood Orc-kind Slayer
            [53] = 1879414508; -- Wildwood Mission Slayer (Advanced)
            [54] = 1879414504; -- Wildwood Mission Slayer (Intermediate)
            [55] = 1879414496; -- Wildwood Mission Slayer
            [56] = 1879414499; -- The League of the Wildwood
            [57] = 1879414507; -- Hidden Threats of the Wildwood
            [36] = 1879210280; -- One Thing Drives Out Another
        };
        -- Shire
        [2] = {
            [1] = 1879303548; -- Deeds of the Shire
            [2] = 1879303443; -- Explorer of the Shire
            [3] = 1879071668; -- The Farms of the Shire
            [4] = 1879071669; -- The Sights of the Shire
            [5] = 1879051515; -- The Life of a Bounder (final)
            [6] = 1879051519; -- The Life of a Bounder (Advanced)
            [7] = 1879051521; -- The Life of a Bounder
            [8] = 1879303323; -- Slayer of the Shire
            [9] = 1879071739; -- Brigand-slayer (Advanced)
            [10] = 1879071738; -- Brigand-slayer
            [11] = 1879071741; -- Goblin-slayer (Advanced)
            [12] = 1879071740; -- Goblin-slayer
            [13] = 1879071743; -- Harvest-fly Slayer (Advanced)
            [14] = 1879071742; -- Harvest-fly Slayer
            [15] = 1879071745; -- Slug-slayer (Advanced)
            [16] = 1879071744; -- Slug-slayer
            [17] = 1879071747; -- Spider-slayer (Advanced)
            [18] = 1879071746; -- Spider-slayer
            [19] = 1879071749; -- Wolf-slayer (Advanced)
            [20] = 1879071748; -- Wolf-slayer
            [22] = 1879071685; -- Restoring the Quick Post
            [21] = 1879061177; -- No Place for Spoiled Pies
            [23] = 1879071839; -- Shire Brew-master
            [24] = 1879446122; -- Deeds of Yondershire
            [25] = 1879446119; -- Sites of Yondershire
            [26] = 1879446121; -- Quests of Yondershire
            [27] = 1879446124; -- Slayer of Yondershire
            [28] = 1879446126; -- Beast-slayer of Yondershire (Advanced)
            [29] = 1879446125; -- Beast-slayer of Yondershire
            [30] = 1879446118; -- Enemies of Yondershire (Advanced)
            [31] = 1879446123; -- Enemies of Yondershire
            [32] = 1879446117; -- Insect-slayer of Yondershire (Advanced)
            [33] = 1879446120; -- Insect-slayer of Yondershire
            [34] = 1879446637; -- The Quick Post of Yondershire
        };
        -- Ered Luin
        [3] = {
            [1] = 1879303540; -- Deeds of Ered Luin
            [2] = 1879303325; -- Explorer of Ered Luin
            [6] = 1879071656; -- Scouting the Dourhands
            [4] = 1879071657; -- Places of the Dwarves
            [3] = 1879071658; -- Elf-ruins Exploration
            [5] = 1879071659; -- Rath Teraig Exploration
            [7] = 1879071688; -- Hero of Ered Luin
            [8] = 1879071687; -- Defender of Ered Luin
            [9] = 1879071686; -- Ally of Ered Luin
            [10] = 1879303306; -- Slayer of Ered Luin
            [11] = 1879071751; -- Brigand-slayer (Advanced)
            [12] = 1879071750; -- Brigand-slayer
            [13] = 1879071753; -- Goblin-slayer (Advanced)
            [14] = 1879071752; -- Goblin-slayer
            [15] = 1879071755; -- Hendroval-slayer (Advanced)
            [16] = 1879071754; -- Hendroval-slayer
            [17] = 1879071757; -- Spider-slayer (Advanced)
            [18] = 1879071756; -- Spider-slayer
            [19] = 1879071759; -- Wolf-slayer (Advanced)
            [20] = 1879071758; -- Wolf-slayer
            [21] = 1879093968; -- Betrayer's Bane (Advanced)
            [22] = 1879093967; -- Betrayer's Bane
            [23] = 1879093966; -- Master of Beasts (Advanced)
            [24] = 1879093965; -- Master of Beasts
            [25] = 1879093971; -- Troll-kicker (Advanced)
            [26] = 1879093970; -- Troll-kicker
            [27] = 1879093969; -- Avenger of Sarnúr
        };
        -- Lone-lands
        [4] = {
            [1] = 1879303545; -- Deeds of the Lone-lands
            [2] = 1879303331; -- Explorer of the Lone-lands
            [4] = 1879071664; -- Garth Agarwen Exploration
            [5] = 1879071665; -- The Grimfens
            [3] = 1879071666; -- Defences of the Lone-lands
            [6] = 1879071667; -- Weathertop Exploration
            [7] = 1879071681; -- Tales of the Lonely Road (Final)
            [8] = 1879071680; -- Tales of the Lonely Road (Advanced)
            [9] = 1879071679; -- Tales of the Lonely Road
            [10] = 1879303320; -- Slayer of the Lone-lands
            [11] = 1879071715; -- Bog-lurker Slayer (Advanced)
            [12] = 1879071714; -- Bog-lurker Slayer
            [13] = 1879099330; -- Craban-slayer (Advanced)
            [14] = 1879099329; -- Craban-slayer
            [25] = 1879071717; -- Wight-slayer (Advanced)
            [26] = 1879071716; -- Wight-slayer
            [15] = 1879071719; -- Goblin-slayer (Advanced)
            [16] = 1879071718; -- Goblin-slayer
            [17] = 1879071721; -- Orc-slayer (Advanced)
            [18] = 1879071720; -- Orc-slayer
            [19] = 1879071723; -- Spider-slayer (Advanced)
            [20] = 1879071722; -- Spider-slayer
            [21] = 1879099332; -- Troll-slayer (Advanced)
            [22] = 1879099331; -- Troll-slayer
            [23] = 1879071725; -- Warg-slayer (Advanced)
            [24] = 1879071724; -- Warg-slayer
        };
        -- North Downs
        [5] = {
            [1] = 1879303547; -- Deeds of the North Downs
            [2] = 1879303336; -- Explorer of the North Downs
            [5] = 1879071660; -- The Villages of the Earth-kin
            [4] = 1879071661; -- The Eastern Ruins
            [3] = 1879071662; -- Strongholds Exploration
            [6] = 1879071663; -- The Western Ruins
            [7] = 1879071684; -- Of Glories Long Past (Final)
            [8] = 1879071683; -- Of Glories Long Past (Advanced)
            [9] = 1879071682; -- Of Glories Long Past
            [10] = 1879303322; -- Slayer of the North Downs
            [11] = 1879071727; -- Goblin-slayer (Advanced)
            [12] = 1879071726; -- Goblin-slayer
            [13] = 1879071729; -- Orc-slayer (Advanced)
            [14] = 1879071728; -- Orc-slayer
            [15] = 1879071731; -- Redeemer (Advanced)
            [16] = 1879071730; -- Redeemer
            [17] = 1879071733; -- Troll-slayer (Advanced)
            [18] = 1879071732; -- Troll-slayer
            [19] = 1879071735; -- Warg-slayer (Advanced)
            [20] = 1879071734; -- Warg-slayer
            [21] = 1879071737; -- Worm-slayer (Advanced)
            [22] = 1879071736; -- Worm-slayer
            [23] = 1879325778; -- Roving Threats: The North Downs' Roving Enemies
            [24] = 1879325773; -- Treasure of The North Downs
        };
        -- Trollshaws
        [6] = {
            [1] = 1879303549; -- Deeds of the Trollshaws
            [2] = 1879303444; -- Explorer of the Trollshaws
            [4] = 1879071654; -- The Road to Rivendell
            [3] = 1879071655; -- Ruins of the Trollshaws
            [5] = 1879099041; -- The Wilds of Tâl Bruinen
            [6] = 1879071694; -- Deeds in the Wilderness (Final)
            [7] = 1879071693; -- Deeds in the Wilderness (Advanced)
            [8] = 1879071692; -- Deeds in the Wilderness
            [9] = 1879303324; -- Slayer of the Trollshaws
            [10] = 1879071787; -- Crawler-slayer (Advanced)
            [11] = 1879071786; -- Crawler-slayer
            [12] = 1879071789; -- Giant-slayer (Advanced)
            [13] = 1879071788; -- Giant-slayer
            [14] = 1879071791; -- Troll-slayer (Advanced)
            [15] = 1879071790; -- Troll-slayer
            [16] = 1879071793; -- Wight-slayer (Advanced)
            [17] = 1879071792; -- Wight-slayer
            [18] = 1879071795; -- Wolf-slayer (Advanced)
            [19] = 1879071794; -- Wolf-slayer
            [20] = 1879071797; -- Worm-slayer (Advanced)
            [21] = 1879071796; -- Worm-slayer
            [23] = 1879443682; -- Deeds of the Angle
            [24] = 1879443656; -- Explorer of the Angle
            [25] = 1879443654; -- Sites of the Angle
            [26] = 1879443655; -- Enemies of the Angle
            [27] = 1879443648; -- Quests of the Angle
            [28] = 1879443680; -- Slayer of the Angle
            [29] = 1879443653; -- Beast-slayer of the Angle (Advanced)
            [30] = 1879443649; -- Beast-slayer of the Angle
            [31] = 1879443683; -- Dead-slayer of the Angle (Advanced)
            [32] = 1879443685; -- Dead-slayer of the Angle
            [33] = 1879443684; -- Evil Man Slayer of the Angle (Advanced)
            [34] = 1879443681; -- Evil Man Slayer of the Angle
            [35] = 1879443668; -- Orc-kind Slayer of the Angle (Advanced)
            [36] = 1879443667; -- Orc-kind Slayer of the Angle
            [22] = 1879418460; -- The Further Adventures of Bilbo Baggins
            [37] = 1879449435; -- The Further Adventures of Elladan and Elrohir
        };
        -- Misty Mountains
        [7] = {
            [1] = 1879303546; -- Deeds of the Misty Mountains
            [2] = 1879303332; -- Explorer of the Misty Mountains
            [5] = 1879099039; -- The Forbidding Heights
            [3] = 1879099040; -- Goblin-town
            [6] = 1879071651; -- The High Passes
            [4] = 1879071652; -- Ruins of the Misty Mountains
            [7] = 1879071653; -- Where Giants Dwell
            [8] = 1879099095; -- Bilbo's Buttons
            [9] = 1879071697; -- Peril of the Mountains (Final)
            [10] = 1879071696; -- Peril of the Mountains (Advanced)
            [11] = 1879071695; -- Peril of the Mountains
            [12] = 1879303321; -- Slayer of the Misty Mountains
            [13] = 1879071775; -- Bear-slayer (Advanced)
            [14] = 1879071774; -- Bear-slayer
            [17] = 1879071779; -- Snow-beast Slayer (Advanced)
            [18] = 1879071778; -- Snow-beast Slayer
            [21] = 1879071783; -- Warg-slayer (Advanced)
            [22] = 1879071782; -- Warg-slayer
            [23] = 1879071785; -- Worm-slayer (Advanced)
            [24] = 1879071784; -- Worm-slayer
            [15] = 1879071777; -- Giant-slayer (Advanced)
            [16] = 1879071776; -- Giant-slayer
            [19] = 1879071781; -- Troll-slayer (Advanced)
            [20] = 1879071780; -- Troll-slayer
            [25] = 1879321686; -- Roving Threats: The Misty Mountains' Roving Enemies
            [26] = 1879321683; -- Treasure of The Misty Mountains
        };
        -- Evendim
        [8] = {
            [1] = 1879303261; -- Deeds of Evendim
            [2] = 1879303263; -- Explorer of Evendim
            [7] = 1879115179; -- The City of the Kings
            [4] = 1879089145; -- Ruins of Evendim
            [5] = 1879089144; -- Tombs of Evendim
            [6] = 1879089146; -- Wilds of Evendim
            [3] = 1879115181; -- Markers of the Sunken City
            [8] = 1879086563; -- Warden of Evendim
            [9] = 1879086562; -- Pilgrim of Evendim
            [10] = 1879086561; -- Wanderer of Evendim
            [11] = 1879303262; -- Slayer of Evendim
            [20] = 1879115173; -- Invaders from Angmar (Advanced)
            [21] = 1879115172; -- Invaders from Angmar
            [30] = 1879115195; -- Spirits Aiding Angmar (Advanced)
            [31] = 1879115176; -- Spirits Aiding Angmar
            [12] = 1879115178; -- Brutes from the North (Advanced)
            [13] = 1879115177; -- Brutes from the North
            [32] = 1879086862; -- Tomb-defender (Advanced)
            [33] = 1879086861; -- Tomb-defender
            [26] = 1879086864; -- Limrafn-slayer (Advanced)
            [27] = 1879086863; -- Limrafn-slayer
            [14] = 1879086866; -- Gauradan-slayer (Advanced)
            [15] = 1879086865; -- Gauradan-slayer
            [16] = 1879086868; -- Giant-slayer (Advanced)
            [17] = 1879086867; -- Giant-slayer
            [18] = 1879086870; -- Goblin-slayer (Advanced)
            [19] = 1879086869; -- Goblin-slayer
            [22] = 1879086872; -- Kergrim-slayer (Advanced)
            [23] = 1879086871; -- Kergrim-slayer
            [28] = 1879086874; -- Salamander-slayer (Advanced)
            [29] = 1879086873; -- Salamander-slayer
            [34] = 1879115180; -- Warden of Annúminas
            [24] = 1879115175; -- Leaders of the Invasion (Advanced)
            [25] = 1879115174; -- Leaders of the Invasion
            [35] = 1879325772; -- Roving Threats: Evendim's Roving Enemies
            [36] = 1879325781; -- Treasure of Evendim
        };
        -- Angmar
        [9] = {
            [1] = 1879303241; -- Deeds of Angmar
            [2] = 1879303239; -- Explorer of Angmar
            [3] = 1879084435; -- Bastions of Hope
            [4] = 1879085025; -- The Circle of Despair
            [5] = 1879085026; -- The Road to War
            [6] = 1879103870; -- The Seven Swords
            [7] = 1879071691; -- Marching into Shadow (Final)
            [8] = 1879071690; -- Marching into Shadow (Advanced)
            [9] = 1879071689; -- Marching into Shadow
            [10] = 1879303238; -- Slayer of Angmar
            [11] = 1879071761; -- Angmarim-slayer (Advanced)
            [12] = 1879071760; -- Angmarim-slayer
            [13] = 1879071763; -- Orc-slayer (Advanced)
            [14] = 1879071762; -- Orc-slayer
            [15] = 1879071765; -- Troll-slayer (Advanced)
            [16] = 1879071764; -- Troll-slayer
            [17] = 1879071767; -- Uruk-slayer (Advanced)
            [18] = 1879071766; -- Uruk-slayer
            [19] = 1879071769; -- Warg-slayer (Advanced)
            [20] = 1879071768; -- Warg-slayer
            [21] = 1879071771; -- Wight-slayer (Advanced)
            [22] = 1879071770; -- Wight-slayer
            [23] = 1879071773; -- Worm-slayer (Advanced)
            [24] = 1879071772; -- Worm-slayer
            [25] = 1879381567; -- Hidden Threats of Angmar
            [26] = 1879321685; -- Roving Threats: Angmar's Roving Enemies
            [27] = 1879321682; -- Treasure of Angmar
        };
        -- Forochel
        [10] = {
            [1] = 1879303544; -- Deeds of Forochel
            [2] = 1879303327; -- Explorer of Forochel
            [4] = 1879109786; -- The Battle for Forochel
            [3] = 1879109787; -- Ancient Stones of Forochel
            [5] = 1879109790; -- Forochel Pioneer
            [6] = 1879109789; -- Forochel Survivor
            [7] = 1879109788; -- Forochel Expeditionary
            [9] = 1879303307; -- Slayer of Forochel
            [10] = 1879109792; -- Angmarim-slayer (Advanced)
            [11] = 1879109791; -- Angmarim-slayer
            [12] = 1879109794; -- Dourhand-slayer (Advanced)
            [13] = 1879109793; -- Dourhand-slayer
            [14] = 1879109796; -- Gauradan-slayer (Advanced)
            [15] = 1879109795; -- Gauradan-slayer
            [16] = 1879109798; -- Grim-slayer (Advanced)
            [17] = 1879109797; -- Grim-slayer
            [18] = 1879109800; -- Sabre-tooth Slayer (Advanced)
            [19] = 1879109799; -- Sabre-tooth Slayer
            [20] = 1879109802; -- Worm-slayer (Advanced)
            [21] = 1879109801; -- Worm-slayer
            [8] = 1879110246; -- The Lost Fellowship
            [22] = 1879321687; -- Roving Threats: Forochel's Roving Enemies
            [23] = 1879321681; -- Treasure of Forochel
        };
        -- Eregion
        [11] = {
            [1] = 1879145249; -- Protector of Eregion
            [2] = 1879145248; -- Dens of the Beasts
            [4] = 1879145250; -- The Ruins of Eregion
            [3] = 1879140605; -- The Ring Goes South
            [7] = 1879145251; -- Ring-lore of Eregion
            [8] = 1879140609; -- Silent and Restless (Final)
            [9] = 1879140608; -- Silent and Restless (Advanced)
            [10] = 1879140607; -- Silent and Restless (Intermediate)
            [11] = 1879140606; -- Silent and Restless
            [12] = 1879140611; -- Craban-slayer (Advanced)
            [13] = 1879140610; -- Craban-slayer
            [14] = 1879140613; -- Dunlending-slayer (Advanced)
            [15] = 1879140612; -- Dunlending-slayer
            [16] = 1879140615; -- Half-orc Slayer (Advanced)
            [17] = 1879140614; -- Half-orc Slayer
            [22] = 1879140616; -- Uruk-captains of Eregion
            [18] = 1879140618; -- Lizard and Crawler-slayer (Advanced)
            [19] = 1879140617; -- Lizard and Crawler-slayer
            [20] = 1879140620; -- Wolf and Warg-slayer (Advanced)
            [21] = 1879140619; -- Wolf and Warg-slayer
            [5] = 1879145445; -- Ridge-racer
            [6] = 1879186733; -- Exploration from Top to Bottom
        };
        -- Enedwaith
        [12] = {
            [1] = 1879190101; -- Protector of Enedwaith
            [23] = 1879190797; -- Exiles from the Lonely Mountain
            [24] = 1879190798; -- The Long Road of the Hobbits
            [3] = 1879190100; -- The Cartrevs of Enedwaith
            [2] = 1879190082; -- Path of the Grey Company
            [25] = 1879190838; -- Little Wonders
            [4] = 1879190079; -- Mysteries of Enedwaith (Final)
            [5] = 1879190076; -- Mysteries of Enedwaith (Advanced)
            [6] = 1879190075; -- Mysteries of Enedwaith (Intermediate)
            [7] = 1879190071; -- Mysteries of Enedwaith
            [10] = 1879190115; -- Dunlending-slayer (Advanced)
            [11] = 1879190074; -- Dunlending-slayer
            [8] = 1879190117; -- Cuthraul and Elhudan-slayer (Advanced)
            [9] = 1879190116; -- Cuthraul and Elhudan-slayer
            [16] = 1879190119; -- Half-orc Slayer (Advanced)
            [17] = 1879190118; -- Half-orc Slayer
            [18] = 1879190103; -- Wolf and Shadow-wolf Slayer (Advanced)
            [19] = 1879190102; -- Wolf and Shadow-wolf Slayer
            [20] = 1879190121; -- Wood-troll Slayer (Advanced)
            [21] = 1879190120; -- Wood-troll Slayer
            [12] = 1879192932; -- Giant-slayer (Advanced)
            [13] = 1879192931; -- Giant-slayer
            [14] = 1879192930; -- Gwiber-slayer (Advanced)
            [15] = 1879192918; -- Gwiber-slayer
            [22] = 1879190866; -- Fisher-king
            [26] = 1879190617; -- The Odiferous
            [27] = 1879190796; -- Master of Stairs
        };
        -- Dunland
        [13] = {
            [1] = 1879220339; -- Deeds of Dunland
            [2] = 1879220332; -- Explorer of Dunland
            [6] = 1879220276; -- Exploring the Bonevales
            [3] = 1879220269; -- Exploring Carreglyn
            [7] = 1879220278; -- Exploring the Dunbog
            [10] = 1879220270; -- Exploring the Gravenwood
            [11] = 1879220272; -- Exploring the Heathfells
            [12] = 1879220277; -- Exploring the Isendale
            [9] = 1879220273; -- Exploring Nan Curunír
            [4] = 1879220266; -- Exploring Pren Gwydh
            [5] = 1879220271; -- Exploring Starkmoor
            [8] = 1879220211; -- Exploring Trum Dreng
            [13] = 1879220337; -- Quests of Dunland
            [16] = 1879221549; -- Quests in the Bonevales
            [14] = 1879220131; -- Quests in Carreglyn
            [17] = 1879220091; -- Quests in the Dunbog
            [21] = 1879220132; -- Quests in the Gravenwood
            [22] = 1879220133; -- Quests in the Heathfells
            [23] = 1879220134; -- Quests in the Isendale
            [20] = 1879220135; -- Quests in Nan Curunir
            [15] = 1879220136; -- Quests in Pren Gwydh
            [18] = 1879220137; -- Quests in the Starkmoor
            [19] = 1879220138; -- Quests in Trum Dreng
            [24] = 1879220338; -- Slayer of Dunland
            [26] = 1879220072; -- Beast-slayer
            [28] = 1879220077; -- Craban-slayer
            [30] = 1879217868; -- Dunlending-slayer
            [32] = 1879220079; -- Goblin-slayer
            [34] = 1879220074; -- Half-orc Slayer
            [36] = 1879220075; -- Orc-slayer
            [38] = 1879220078; -- Slayer of the Dead
            [42] = 1879220076; -- Warg-slayer
            [40] = 1879220073; -- Uruk-hai Slayer
            [25] = 1879220081; -- Beast-slayer (Advanced)
            [27] = 1879220086; -- Craban-slayer (Advanced)
            [29] = 1879220080; -- Dunlending-slayer (Advanced)
            [31] = 1879220088; -- Goblin-slayer (Advanced)
            [33] = 1879220083; -- Half-orc Slayer (Advanced)
            [35] = 1879220084; -- Orc-slayer (Advanced)
            [37] = 1879220087; -- Slayer of the Dead (Advanced)
            [41] = 1879220085; -- Warg-slayer (Advanced)
            [39] = 1879220082; -- Uruk-hai Slayer (Advanced)
            [43] = 1879233729; -- Tracking an Old Goat
            [44] = 1879221718; -- The Gatekeepers of Isengard
        };
        -- Swanfleet & Cardolan
        [14] = {
            [1] = 1879450846; -- Deeds of Swanfleet
            [2] = 1879450856; -- Quests of Swanfleet
            [3] = 1879450850; -- Tales of Swanfleet (Final)
            [4] = 1879450849; -- Tales of Swanfleet (Advanced)
            [5] = 1879450847; -- Tales of Swanfleet
            [6] = 1879450854; -- Explorer of Swanfleet
            [7] = 1879450862; -- Dwellers of Old Swanfleet
            [8] = 1879450859; -- The Many Folk of the Glanduin
            [9] = 1879450861; -- Perils of Swanfleet
            [10] = 1879450860; -- Treasure of Swanfleet
            [11] = 1879450848; -- Slayer of Swanfleet
            [12] = 1879450851; -- Uruk-slayer of Swanfleet (Advanced)
            [13] = 1879450857; -- Uruk-slayer of Swanfleet
            [14] = 1879450853; -- Brigand-slayer of Swanfleet (Advanced)
            [15] = 1879450858; -- Brigand-slayer of Swanfleet
            [16] = 1879450852; -- Warg-slayer of Swanfleet (Advanced)
            [17] = 1879450855; -- Warg-slayer of Swanfleet
            [18] = 1879450863; -- Trophy-hunter of Swanfleet
            [19] = 1879450929; -- Deeds of Cardolan
            [20] = 1879450931; -- Quests of Cardolan
            [21] = 1879450922; -- Tales of Cardolan (Final)
            [22] = 1879450928; -- Tales of Cardolan (Advanced)
            [23] = 1879450923; -- Tales of Cardolan
            [24] = 1879450932; -- Explorer of Cardolan
            [25] = 1879450926; -- The Ravaging of Cardolan
            [26] = 1879450927; -- Inhabitants of the Vanished Realm
            [27] = 1879450925; -- Perils of Cardolan
            [28] = 1879450924; -- Treasure of Cardolan
            [29] = 1879450930; -- Slayer of Cardolan
            [30] = 1879450935; -- Dead-slayer of Cardolan (Advanced)
            [31] = 1879450934; -- Dead-slayer of Cardolan
            [32] = 1879450936; -- Half-orc Slayer of Cardolan (Advanced)
            [33] = 1879450940; -- Half-orc Slayer of Cardolan
            [34] = 1879450937; -- Goblin-slayer of Cardolan (Advanced)
            [35] = 1879450938; -- Goblin-slayer of Cardolan
            [36] = 1879450941; -- Orc-slayer of Cardolan (Advanced)
            [37] = 1879450939; -- Orc-slayer of Cardolan
            [38] = 1879450915; -- Trophy-hunter of Cardolan
            [39] = 1879453480; -- Delvings: Delver of the Deep
            [40] = 1879453265; -- Delvings: The Adventure Begins
            [41] = 1879453261; -- Delvings: A Dim Light
            [42] = 1879453258; -- Delvings: Shadows Unfurl
            [43] = 1879453266; -- Delvings: A Deep, Dark Crevasse
            [44] = 1879453262; -- Delvings: Unease in the Deep
            [45] = 1879453260; -- Delvings: Dark Secrets
            [46] = 1879453259; -- Delvings: Night
            [47] = 1879453267; -- Delvings: Deep Delving Conqueror
            [48] = 1879453263; -- Delvings: Deep Delving Liberator
            [49] = 1879453264; -- Delvings: Light's Hope
            [50] = 1879453477; -- Delvings: Deeper Delver
            [51] = 1879453430; -- Delvings: The Road Goes Ever Onward
            [52] = 1879453431; -- Delvings: A Fading Light
            [53] = 1879453433; -- Delvings: Shadows Claw
            [54] = 1879453432; -- Delvings: A Deeper, Darker Crevasse
            [55] = 1879453436; -- Delvings: Fear in the Deep
            [56] = 1879453435; -- Delvings: Darker Secrets
            [57] = 1879453439; -- Delvings: Darker Night
            [58] = 1879453437; -- Delvings: Deeper Delving Conqueror
            [59] = 1879453434; -- Delvings: Deeper Delving Liberator
            [60] = 1879453438; -- Delvings: Light's Vengeance
            [61] = 1879453047; -- Delvings: Deepest Delver
            [62] = 1879453046; -- Delvings: There and Back Again
            [63] = 1879453442; -- Delvings: A Memory of Light
            [64] = 1879453443; -- Delvings: Shadows Engulf
            [65] = 1879453441; -- Delvings: The Deepest, Darkest Crevasse
            [66] = 1879453440; -- Delvings: Panic in the Deep
            [67] = 1879453447; -- Delvings: Darkest Secrets
            [68] = 1879453446; -- Delvings: Darkest Night
            [69] = 1879453445; -- Delvings: Deepest Delving Conqueror
            [70] = 1879453444; -- Delvings: Deepest Delving Liberator
            [71] = 1879453448; -- Delvings: Wrath of the Light
            [72] = 1879453482; -- Delvings: Master of Light
            [73] = 1879453478; -- Delvings: Conqueror of Deep Places
            [74] = 1879453479; -- Delvings: Liberator of Deep Places
            [75] = 1879453481; -- Delvings: Durin's Bane's Bane
        };
    };
    -- Rhovanion
    [7] = {
        -- Lothlórien
        [1] = {
            [1] = 1879152532; -- Great Deeds for Lothlórien
            [4] = 1879152527; -- Wanderer of the Golden Wood
            [3] = 1879152530; -- Lórien Look-out
            [2] = 1879152528; -- City of the Lord and Lady
            [5] = 1879152536; -- Beast-slayer (Advanced)
            [6] = 1879152535; -- Beast-slayer
            [7] = 1879152538; -- Orc-slayer (Advanced)
            [8] = 1879152537; -- Orc-slayer
            [9] = 1879152648; -- Warrior of Lothlórien
            [10] = 1879152647; -- Defender of Lothlórien
            [11] = 1879152646; -- Ally of Lothlórien
            [12] = 1879154055; -- Flet-runner Challenges
            [13] = 1879152534; -- Friend of Lothlórien
            [14] = 1879150610; -- The Defence of Lórien V
            [15] = 1879150609; -- The Defence of Lórien IV
            [16] = 1879150608; -- The Defence of Lórien III
            [17] = 1879150607; -- The Defence of Lórien II
            [18] = 1879150606; -- The Defence of Lórien
        };
        -- Moria
        [2] = {
            [1] = 1879303585; -- Deeds of Khazad-Dûm
            [2] = 1879146848; -- Explorer of Khazad-Dûm
            [8] = 1879141031; -- The Flaming Deeps
            [12] = 1879141032; -- The Redhorn Lodes
            [15] = 1879141033; -- Zelem-melek
            [4] = 1879141034; -- Eastern Durin's Way
            [14] = 1879141035; -- Western Durin's Way
            [6] = 1879141036; -- Nud-melek
            [13] = 1879141037; -- The Water-works
            [9] = 1879141038; -- The Foundations of Stone
            [11] = 1879141039; -- The Silvertine Lodes
            [10] = 1879140051; -- The Great Delving
            [7] = 1879146845; -- The Cliffs of Zirakzigil
            [3] = 1879146846; -- Bulwarks of the Enemy
            [5] = 1879146847; -- In the Footsteps of the Fellowship
            [16] = 1879303580; -- Quests of Khazad-Dûm
            [18] = 1879212368; -- Quests of the Dimrill Dale
            [19] = 1879212363; -- Quests of Durin's Way
            [20] = 1879212365; -- Quests of the Flaming Deeps
            [21] = 1879212367; -- Quests of the Foundations of Stone
            [22] = 1879212360; -- Quests of the Great Delving
            [23] = 1879258223; -- Quests of Nud-melek
            [24] = 1879212366; -- Quests of the Redhorn Lodes
            [25] = 1879212361; -- Quests of the Silvertine Lodes
            [26] = 1879212362; -- Quests of the Water-works
            [27] = 1879212364; -- Quests of Zelem-melek
            [17] = 1879257566; -- Discovering Adventures in Zelem-melek
            [28] = 1879146868; -- Triumph within the Deeps
            [29] = 1879141041; -- Deep-claw Slayer (Advanced)
            [30] = 1879141040; -- Deep-claw Slayer
            [31] = 1879141043; -- Dragonet-slayer (Advanced)
            [32] = 1879141042; -- Dragonet-slayer
            [33] = 1879141045; -- Globsnaga-slayer (Advanced)
            [34] = 1879141044; -- Globsnaga-slayer
            [35] = 1879141047; -- Goblin-slayer (Advanced)
            [36] = 1879141046; -- Goblin-slayer
            [37] = 1879141049; -- Grodbog-slayer (Advanced)
            [38] = 1879141048; -- Grodbog-slayer
            [39] = 1879141051; -- Morroval-slayer (Advanced)
            [40] = 1879141050; -- Morroval-slayer
            [41] = 1879141053; -- Nameless-slayer (Advanced)
            [42] = 1879141052; -- Nameless-slayer
            [43] = 1879140056; -- Orc-slayer (Advanced)
            [44] = 1879140055; -- Orc-slayer
            [45] = 1879141055; -- Spider-slayer (Advanced)
            [46] = 1879141054; -- Spider-slayer
            [47] = 1879141059; -- Warg-slayer (Advanced)
            [48] = 1879141058; -- Warg-slayer
            [49] = 1879146850; -- Worm-slayer (Advanced)
            [50] = 1879146849; -- Worm-slayer
            [51] = 1879234464; -- Twist-tongued
            [52] = 1879141057; -- Troll-slayer (Advanced)
            [53] = 1879141056; -- Troll-slayer
            [54] = 1879233007; -- Reflections
            [55] = 1879152524; -- The Pits of Moria
            [56] = 1879152525; -- A Deep Well
            [57] = 1879149131; -- Legend of the Deeps
            [58] = 1879149130; -- Warrior of the Shadows
            [59] = 1879149129; -- Deep Delver
            [60] = 1879149134; -- Exemplar of the Central Levels
            [61] = 1879149133; -- Stalwart of the Central Levels
            [62] = 1879149132; -- Wanderer of the Central Levels
            [63] = 1879149137; -- Hero of the Upper Levels
            [64] = 1879149136; -- Defender of the Upper Levels
            [65] = 1879149135; -- Adventurer in the Upper Levels
        };
        -- Southern Mirkwood
        [3] = {
            [1] = 1879303885; -- Deeds of Mirkwood
            [2] = 1879303628; -- Explorer of Mirkwood
            [4] = 1879175386; -- The Wilds of Mirkwood
            [5] = 1879175387; -- Uncovering the Ruins of Mirkwood
            [3] = 1879175388; -- Evil Strongholds of Mirkwood
            [6] = 1879155757; -- Into the Black and Twisted Forest (Advanced)
            [7] = 1879155756; -- Into the Black and Twisted Forest (Intermediate)
            [8] = 1879155755; -- Into the Black and Twisted Forest
            [9] = 1879303876; -- Slayer of Mirkwood
            [16] = 1879175135; -- Sorcerer-slayer (Advanced)
            [17] = 1879175134; -- Sorcerer-slayer
            [10] = 1879175137; -- Beast-slayer (Advanced)
            [11] = 1879175136; -- Beast-slayer
            [12] = 1879155759; -- Dead-slayer (Advanced)
            [13] = 1879155758; -- Dead-slayer
            [14] = 1879155761; -- Orc and Uruk-slayer (Advanced)
            [15] = 1879155760; -- Orc and Uruk-slayer
            [18] = 1879155763; -- Spider-slayer (Advanced)
            [19] = 1879155762; -- Spider-slayer
            [20] = 1879155767; -- Warg-slayer (Advanced)
            [21] = 1879155766; -- Warg-slayer
            [22] = 1879165716; -- Mirkwood Landing
            [23] = 1879180571; -- The Siege of Mirkwood
            [24] = 1879165717; -- Headcount
            [25] = 1879161641; -- Mirkwood Tower Climber
            [26] = 1879325777; -- Roving Threats: Southern Mirkwood's Roving Enemies
            [27] = 1879325782; -- Treasure of Southern Mirkwood
        };
        -- Great River
        [4] = {
            [1] = 1879303607; -- Deeds of the Great River
            [2] = 1879230962; -- Explorer of the Great River
            [8] = 1879230979; -- Thinglad Explorer
            [4] = 1879231004; -- Eorlsmead Explorer
            [9] = 1879230991; -- Wailing Hills Explorer
            [6] = 1879230964; -- Parth Celebrant Explorer
            [7] = 1879230985; -- Rushgore Explorer
            [3] = 1879231013; -- Brown Lands Explorer
            [5] = 1879230977; -- Limlight Gorge Explorer
            [10] = 1879231046; -- Quests of the Great River
            [16] = 1879231014; -- Quests of Thinglad
            [12] = 1879231047; -- Quests of Eorlsmead
            [17] = 1879231048; -- Quests of the Wailing Hills
            [14] = 1879231049; -- Quests of Parth Celebrant
            [15] = 1879231050; -- Quests of the Rushgore
            [11] = 1879231051; -- Quests of Brown Lands
            [13] = 1879231052; -- Quests of the Limlight Gorge
            [18] = 1879303606; -- Slayer of the Great River
            [19] = 1879231000; -- Beast Slayer (Advanced)
            [20] = 1879230996; -- Beast Slayer
            [21] = 1879230975; -- Brigand-slayer (Advanced)
            [22] = 1879230978; -- Brigand-slayer
            [23] = 1879230992; -- Easterling-slayer (Advanced)
            [24] = 1879231002; -- Easterling-slayer
            [25] = 1879231009; -- Orc Slayer (Advanced)
            [26] = 1879231006; -- Orc Slayer
            [27] = 1879230987; -- Shade-slayer (Advanced)
            [28] = 1879230999; -- Shade-slayer
            [29] = 1879231003; -- Spider-slayer (Advanced)
            [30] = 1879230967; -- Spider-slayer
            [31] = 1879230998; -- Titan-slayer (Advanced)
            [32] = 1879230965; -- Titan-slayer
            [33] = 1879233865; -- Stangard Explorer
            [34] = 1879230984; -- Ancient Ruins of the Limlight
            [35] = 1879230981; -- The Spirits of the Limlight
            [36] = 1879231932; -- Saviour of the Roots of Fangorn
            [37] = 1879231933; -- Roots of Fangorn: Defeat Gurthúl
            [38] = 1879231931; -- Roots of Fangorn: Slaves of the Spider Queen
            [39] = 1879231935; -- Discovery: Roots of Fangorn
        };
        -- Eastern Rohan
        [5] = {
            [1] = 1879303886; -- Deeds of the Eastemnet
            [2] = 1879303629; -- Explorer of the Eastemnet
            [4] = 1879249136; -- Cities of Eastern Rohan
            [11] = 1879251703; -- The Defences of Eastern Rohan
            [13] = 1879251713; -- Where Evil Creatures Dwell
            [7] = 1879251711; -- Enemies of the Rohirrim
            [3] = 1879248618; -- Chambers of Byrgenstow
            [9] = 1879248759; -- Nurseries of the Wyrmdelf
            [6] = 1879250651; -- Eaves of Fangorn Exploration
            [8] = 1879251724; -- Farms and Crofts of the Eastemnet
            [10] = 1879251765; -- Ruins, Tombs, and Monuments of the Eastemnet
            [12] = 1879251696; -- The Wilds of the Eastemnet
            [5] = 1879244108; -- East Wall Explorer
            [14] = 1879303882; -- Quests of the Eastemnet
            [16] = 1879251695; -- Quests of the East Wall
            [18] = 1879250126; -- Quests of the Entwash Vale
            [17] = 1879250125; -- Quests of the Eaves of Fangorn
            [15] = 1879250123; -- Quests of Langhold
            [19] = 1879248099; -- Quests of the Norcrofts
            [20] = 1879250127; -- Quests of the Sutcrofts
            [21] = 1879250124; -- Quests of the Wold
            [22] = 1879303877; -- Slayer of the Eastemnet
            [23] = 1879250023; -- Ancient Evil-slayer of the Eastemnet (Advanced)
            [24] = 1879250019; -- Ancient Evil-slayer of the Eastemnet
            [25] = 1879249655; -- Beast-slayer of the Eastemnet (Advanced)
            [26] = 1879249651; -- Beast-slayer of the Eastemnet
            [27] = 1879249696; -- Brigand-slayer of the Eastemnet (Advanced)
            [28] = 1879249695; -- Brigand-slayer of the Eastemnet
            [35] = 1879249662; -- Slayer of Mounted Enemies in the Eastemnet (Advanced)
            [36] = 1879249661; -- Slayer of Mounted Enemies in the Eastemnet
            [31] = 1879249693; -- Half-orc Slayer of the Eastemnet (Advanced)
            [32] = 1879249694; -- Half-orc Slayer of the Eastemnet
            [33] = 1879249656; -- Orc-slayer of the Eastemnet (Advanced)
            [34] = 1879249010; -- Orc-slayer of the Eastemnet
            [29] = 1879249733; -- Dragon-kind Slayer of the Eastemnet (Advanced)
            [30] = 1879249732; -- Dragon-kind Slayer of the Eastemnet
            [37] = 1879249731; -- Spider-slayer of the Eastemnet (Advanced)
            [38] = 1879249730; -- Spider-slayer of the Eastemnet
            [39] = 1879249660; -- Uruk-slayer of the Eastemnet (Advanced)
            [40] = 1879249659; -- Uruk-slayer of the Eastemnet
            [41] = 1879249708; -- Warg-slayer of the Eastemnet (Advanced)
            [42] = 1879249707; -- Warg-slayer of the Eastemnet
            [43] = 1879254049; -- Boar-hunter of the Eastemnet
            [44] = 1879252537; -- To the Aid of Rohan
            [45] = 1879256311; -- A Summons to Hytbold
            [46] = 1879248360; -- Aiding the Eastemnet
            [50] = 1879243291; -- Aiding the Wold
            [48] = 1879248359; -- Aiding the Norcrofts
            [47] = 1879247701; -- Aiding the Entwash Vale
            [49] = 1879244231; -- Aiding the Sutcrofts
            [51] = 1879239087; -- Hytbold
            [52] = 1879238996; -- The Mead Hall
            [53] = 1879238987; -- Mead Hall: Outdoor Enhancements
            [54] = 1879238988; -- Mead Hall: Interior Enhancements
            [55] = 1879238995; -- Mead Hall: Inhabitants
            [56] = 1879238997; -- The Palisade
            [57] = 1879238999; -- Lighting and Fences
            [58] = 1879239000; -- The Smithy
            [59] = 1879239005; -- Tents
            [60] = 1879239001; -- Wold Tents
            [61] = 1879239002; -- Sutcrofts Tents
            [62] = 1879239003; -- Norcrofts Tents
            [63] = 1879239004; -- Entwash Vale Tents
            [64] = 1879239034; -- Towers
            [65] = 1879239006; -- Tower of the Wold
            [66] = 1879239007; -- Tower of the Sutcrofts
            [67] = 1879239032; -- Tower of the Norcrofts
            [68] = 1879239033; -- Tower of the Entwash Vale
            [69] = 1879239038; -- The Lumber-mill
            [70] = 1879239039; -- The Armoury
            [71] = 1879239040; -- Townsfolk
            [72] = 1879239053; -- The Library
            [73] = 1879239054; -- The Stable
            [74] = 1879239057; -- The Gates
            [75] = 1879239055; -- The East Gate
            [76] = 1879239056; -- The West Gate
            [77] = 1879239069; -- Houses
            [78] = 1879239058; -- Cottage of the Wold
            [79] = 1879239059; -- House of the Wold
            [80] = 1879239061; -- House of the Sutcrofts
            [81] = 1879239060; -- House of the Norcrofts
            [82] = 1879239066; -- Cottage of the Norcrofts
            [83] = 1879239067; -- House of the Entwash Vale
            [84] = 1879239086; -- Farmhouses
            [85] = 1879239070; -- Farmhouse of the Entwash Vale
            [86] = 1879239085; -- Farmhouse of the Sutcrofts
        };
        -- Wildermore
        [6] = {
            [1] = 1879303888; -- Deeds of Wildermore
            [2] = 1879303838; -- Explorer of Wildermore
            [10] = 1879269261; -- These Hostile Lands
            [3] = 1879265473; -- Farms of the Fallows
            [4] = 1879265487; -- Forlaw Explorer
            [6] = 1879266925; -- Peaks of the High Knolls
            [8] = 1879269245; -- The Path of Núrzum
            [7] = 1879269260; -- Settlements of Wildermore
            [5] = 1879265516; -- Isolation in the Whitshaws
            [9] = 1879269256; -- The Wilds of Wildermore
            [12] = 1879265472; -- Loved and Lost
            [11] = 1879259563; -- Blooming in the Snow
            [13] = 1879303884; -- Quests of Wildermore
            [14] = 1879268120; -- Quests of the Balewood
            [15] = 1879268121; -- Quests of the Fallows
            [16] = 1879268124; -- Quests of the High Knolls
            [17] = 1879268122; -- Quests of the Whitshaws
            [18] = 1879268123; -- Quests of the Writhendowns
            [19] = 1879303878; -- Slayer of Wildermore
            [22] = 1879268190; -- Slayer of Mounted Foes in Wildermore (Advanced)
            [23] = 1879268183; -- Slayer of Mounted Foes in Wildermore
            [20] = 1879269216; -- Orc-slayer of Wildermore (Advanced)
            [21] = 1879269210; -- Orc-slayer of Wildermore
            [26] = 1879269215; -- Snow-cat Slayer of Wildermore (Advanced)
            [27] = 1879269207; -- Snow-cat Slayer of Wildermore
            [28] = 1879269214; -- Uruk-slayer of Wildermore (Advanced)
            [29] = 1879269211; -- Uruk-slayer of Wildermore
            [24] = 1879269212; -- Slayer of Wolves and Wargs in Wildermore (Advanced)
            [25] = 1879269209; -- Slayer of Wolves and Wargs in Wildermore
            [30] = 1879269213; -- Wood-troll Slayer of Wildermore (Advanced)
            [31] = 1879269208; -- Wood-troll Slayer of Wildermore
            [32] = 1879269826; -- The Survivors of Wildermore: Final
            [37] = 1879269822; -- Wildermore's Bounties
            [33] = 1879269824; -- Battles and Events
            [34] = 1879269821; -- Protecting the Lands of Wildermore
            [35] = 1879269823; -- Riding in Wildermore
            [36] = 1879269825; -- Warbands II: Wildermore's Roaming Enemies
        };
        -- Western Rohan
        [7] = {
            [1] = 1879303887; -- Deeds of the Westemnet
            [2] = 1879303785; -- Explorer of the Westemnet
            [3] = 1879287721; -- Broadacres Exploration
            [4] = 1879287715; -- Eastfold Exploration
            [5] = 1879287717; -- Kingstead Exploration
            [6] = 1879287722; -- Stonedeans Exploration
            [7] = 1879287729; -- Westfold Exploration
            [8] = 1879303883; -- Quests of the Westemnet
            [12] = 1879287742; -- Quests of the Broadacres
            [11] = 1879287731; -- Quests of the Eastfold
            [9] = 1879287732; -- Quests of Kingstead
            [10] = 1879287741; -- Quests of the Stonedeans
            [13] = 1879287743; -- Quests of the Westfold
            [14] = 1879303881; -- Slayer of the Westemnet
            [15] = 1879287759; -- Boar and Bear Slayer of the Westemnet (Advanced)
            [16] = 1879287758; -- Boar and Bear Slayer of the Westemnet
            [17] = 1879287753; -- Craban-slayer of the Westemnet (Advanced)
            [18] = 1879287752; -- Craban-slayer of the Westemnet
            [19] = 1879287747; -- Dunlending-slayer of the Westemnet (Advanced)
            [20] = 1879287748; -- Dunlending-slayer of the Westemnet
            [21] = 1879287764; -- Goblin-slayer of the Westemnet (Advanced)
            [22] = 1879287765; -- Goblin-slayer of the Westemnet
            [23] = 1879287746; -- Half-orc Slayer of the Westemnet (Advanced)
            [24] = 1879287744; -- Half-orc Slayer of the Westemnet
            [25] = 1879287751; -- Herd-creature Slayer of the Westemnet (Advanced)
            [26] = 1879287750; -- Herd-creature Slayer of the Westemnet
            [27] = 1879287754; -- Orc-slayer of the Westemnet (Advanced)
            [28] = 1879287756; -- Orc-slayer of the Westemnet
            [29] = 1879287762; -- Troll-slayer of the Westemnet (Advanced)
            [30] = 1879287763; -- Troll-slayer of the Westemnet
            [31] = 1879287749; -- Uruk-slayer of the Westemnet (Advanced)
            [32] = 1879287745; -- Uruk-slayer of the Westemnet
            [33] = 1879287755; -- Warg-slayer of the Westemnet (Advanced)
            [34] = 1879287757; -- Warg-slayer of the Westemnet
            [35] = 1879287760; -- Wolf-slayer of the Westemnet (Advanced)
            [36] = 1879287761; -- Wolf-slayer of the Westemnet
            [37] = 1879289171; -- Survivor of the Long Night
            [38] = 1879303305; -- The Stewards of Fangorn
        };
        -- Strongholds of the North
        [8] = {
            [1] = 1879366148; -- Deeds of the North
            [2] = 1879366137; -- Explorer of the North
            [3] = 1879366145; -- Treasure-seeker of the North
            [4] = 1879366146; -- Explorer of the Dale-lands
            [5] = 1879366144; -- Explorer of Eryn Lasgalen
            [6] = 1879366160; -- Surveyor of the Dwarf-markers
            [7] = 1879366154; -- Ruins of the North
            [8] = 1879366159; -- The Path of the Company
            [9] = 1879366156; -- Quests of the North
            [10] = 1879366141; -- Quests of the Dale-lands
            [11] = 1879366147; -- Quests to Restore the North
            [12] = 1879366139; -- Quests of Eryn Lasgalen
            [13] = 1879366402; -- Quests of Erebor
            [14] = 1879366162; -- Slayer of the North
            [15] = 1879366158; -- Northern Beasts Slayer (Advanced)
            [16] = 1879366151; -- Northern Beasts Slayer
            [17] = 1879366164; -- Jangovar Easterling Slayer (Advanced)
            [18] = 1879366153; -- Jangovar Easterling Slayer
            [19] = 1879366140; -- Shadows of Caras Tilion Slayer (Advanced)
            [20] = 1879366155; -- Shadows of Caras Tilion Slayer
            [21] = 1879366157; -- Taurogrim Slayer (Advanced)
            [22] = 1879366150; -- Taurogrim Slayer
            [23] = 1879366166; -- Green Mountains Orc-kind Slayer (Advanced)
            [24] = 1879366138; -- Green Mountains Orc-kind Slayer
            [25] = 1879366163; -- The Scourges of the North
            [26] = 1879366957; -- Here Fishy Fishy Fishy
        };
        -- The Dwarf-holds
        [9] = {
            [1] = 1879378536; -- Deeds of the Dwarf-holds
            [2] = 1879378538; -- Explorer of the Dwarf-holds
            [3] = 1879378529; -- Seeking Iron Veins
            [4] = 1879378533; -- Treasure-seeker of the Ironfold
            [5] = 1879378540; -- Survey Markers of the Dwarf-holds
            [6] = 1879378541; -- Ruins of Ered Mithrin
            [7] = 1879378543; -- Treasure-seeker of Ered Mithrin
            [9] = 1879378553; -- Quests of the Dwarf-holds
            [10] = 1879378525; -- Quests of Ered Mithrin
            [11] = 1879378542; -- Quests of the Ironfold
            [12] = 1879378552; -- Slayer of the Dwarf-holds
            [13] = 1879378528; -- Ered Mithrin Beasts-slayer (Advanced)
            [14] = 1879378520; -- Ered Mithrin Beast-slayer
            [15] = 1879378522; -- Ered Mithrin Dragon-kind Slayer (Advanced)
            [16] = 1879378547; -- Ered Mithrin Dragon-kind Slayer
            [17] = 1879378519; -- Ered Mithrin Orc-slayer (Advanced)
            [18] = 1879378539; -- Ered Mithrin Orc-slayer
            [19] = 1879378544; -- Ered Mithrin Ungoladan-slayer (Advanced)
            [20] = 1879378524; -- Ered Mithrin Ungoladan-slayer
            [21] = 1879378537; -- Ironfold Beast-slayer (Advanced)
            [22] = 1879378526; -- Ironfold Beast-slayer
            [23] = 1879378545; -- Ironfold Easterling-slayer (Advanced)
            [24] = 1879378548; -- Ironfold Easterling-slayer
            [25] = 1879378530; -- Ered Mithrin: Continued Efforts
            [26] = 1879378535; -- Gathering Resources in Ered Mithrin (Advanced)
            [27] = 1879378549; -- Gathering Resources in Ered Mithrin
            [28] = 1879378534; -- Leaders of Ered Mithrin (Advanced)
            [29] = 1879378523; -- Leaders of Ered Mithrin
            [30] = 1879378518; -- Enemies of The Glimmerdeep (Advanced)
            [31] = 1879378551; -- Enemies of The Glimmerdeep
            [32] = 1879378550; -- Enemies of The Steel Keep (Advanced)
            [33] = 1879378531; -- Enemies of The Steel Keep
            [34] = 1879378521; -- Enemies of Óinsbridge (Advanced)
            [35] = 1879378527; -- Enemies of Óinsbridge
            [36] = 1879378532; -- Enemies of The Withered Heath (Advanced)
            [37] = 1879378546; -- Enemies of The Withered Heath
            [38] = 1879381420; -- The Howling Pit (Advanced)
            [39] = 1879381423; -- The Howling Pit (Intermediate)
            [40] = 1879381425; -- The Howling Pit
        };
        -- Vales of Anduin
        [10] = {
            [1] = 1879387435; -- Deeds of the Vales
            [2] = 1879387436; -- Explorer of the Vales
            [3] = 1879387432; -- Enemies of the Vales
            [4] = 1879387447; -- Treasure-seeker of the Vales
            [5] = 1879387421; -- A Chronicle of the Company
            [6] = 1879387438; -- Protectors of the Vales
            [7] = 1879387878; -- Sites of the Vales
            [8] = 1879387434; -- Quests of the Vales of Anduin
            [29] = 1879387446; -- Protectors of the Wilderfolk (Advanced)
            [28] = 1879387431; -- Protectors of the Wilderfolk
            [9] = 1879387427; -- Quests of the Wilderfolk
            [10] = 1879384649; -- Caretaker of Rhosgobel
            [11] = 1879387444; -- Slayer of the Vales
            [12] = 1879387437; -- Vales Beast and Insect Slayer (Advanced)
            [13] = 1879387439; -- Vales Beast and Insect Slayer
            [16] = 1879387428; -- Vales Goblin-slayer (Advanced)
            [17] = 1879387442; -- Vales Goblin-slayer
            [18] = 1879387443; -- Vales Orc-slayer (Advanced)
            [19] = 1879387440; -- Vales Orc-slayer
            [20] = 1879387445; -- Vales Warg-slayer (Advanced)
            [21] = 1879387430; -- Vales Warg-slayer
            [14] = 1879387441; -- Vales Dead-slayer (Advanced)
            [15] = 1879387433; -- Vales Dead-slayer
            [22] = 1879387475; -- Jumped At the Chance
            [24] = 1879384646; -- Bird-friend
            [26] = 1879384644; -- Tender of Beasts (Advanced)
            [25] = 1879384638; -- Tender of Beasts
            [27] = 1879387426; -- Defenders of the Wilderfolk
            [30] = 1879387429; -- Quests of the Gladdenmere
            [31] = 1879388603; -- The Lost Lore of Rhovanion
            [32] = 1879391335; -- The Depths of Kidzul-kâlah -- Tier 1
            [23] = 1879391336; -- Discovery: The Depths of Kidzul-kâlah
            [33] = 1879391333; -- The Depths of Kidzul-kâlah -- Tier 2
            [34] = 1879391337; -- The Depths of Kidzul-kâlah -- Tier 3
            [36] = 1879391338; -- Dances with Tentacles
            [37] = 1879392278; -- Dances with Tentacles (Tier 2)
            [38] = 1879392276; -- Dances with Tentacles (Tier 3)
            [35] = 1879391339; -- The Depths of Kidzul-kâlah -- Tier 3 -- Leading the Charge
        };
        -- Wells of Langflood
        [11] = {
            [1] = 1879405902; -- Deeds of the Wells of Langflood
            [2] = 1879405911; -- Explorer of the Wells of Langflood
            [3] = 1879405913; -- Settlements in the Wells of Langflood
            [4] = 1879405901; -- Treasure-seeker of the Wells of Langflood
            [5] = 1879405914; -- Dwarf-surveys in the Wells of Langflood
            [6] = 1879405906; -- Ruins in the Wells of Langflood
            [7] = 1879405904; -- Natural Formations in the Wells of Langflood
            [8] = 1879405907; -- Quests of the Wells of Langflood
            [9] = 1879405466; -- Quests of the Floodfells
            [10] = 1879405905; -- Quests of Misthallow
            [11] = 1879405908; -- Slayer of the Wells of Langflood
            [13] = 1879405910; -- Wells of Langflood Beast-slayer
            [15] = 1879405903; -- Wells of Langflood Goblin and Orc-slayer
            [17] = 1879405912; -- Wells of Langflood Troll and Hobgoblin-slayer
            [19] = 1879405900; -- Wells of Langflood Warg-slayer
            [21] = 1879405909; -- Wells of Langflood Wood-troll Slayer
            [12] = 1879407108; -- Wells of Langflood Beast-slayer (Advanced)
            [14] = 1879407109; -- Wells of Langflood Goblin and Orc-slayer (Advanced)
            [16] = 1879407110; -- Wells of Langflood Troll and Hobgoblin-slayer (Advanced)
            [18] = 1879407111; -- Wells of Langflood Warg-slayer (Advanced)
            [20] = 1879407112; -- Wells of Langflood Wood-troll Slayer (Advanced)
            [22] = 1879405585; -- Durin Requests Your Help
            [23] = 1879404948; -- The Wells of Langflood
            [24] = 1879406270; -- Goblin Bounties of the Langflood
            [25] = 1879406308; -- Discovery: Askâd-mazal, the Chamber of Shadows
            [26] = 1879406916; -- Master of Secrets
            [27] = 1879406915; -- Askâd-mazal, the Chamber of Shadows -- Tier 1
            [28] = 1879406914; -- Askâd-mazal, the Chamber of Shadows-- Tier 2
            [29] = 1879406913; -- Askâd-mazal, the Chamber of Shadows -- Tier 3
        };
        -- Elderslade
        [12] = {
            [1] = 1879411302; -- Deeds of Elderslade
            [2] = 1879411292; -- Explorer of Elderslade
            [3] = 1879411174; -- Enemy Encampments of Elderslade
            [4] = 1879408705; -- Dwarf-surveys in Elderslade
            [5] = 1879408704; -- Treasure-seeker of Elderslade
            [6] = 1879411148; -- Dwarf-ruins of Elderslade
            [7] = 1879411293; -- Quests of Elderslade and War of Three Peaks
            [8] = 1879411291; -- Quests of Elderslade
            [9] = 1879411146; -- Quests of the War of Three Peaks
            [10] = 1879411303; -- Slayer of Elderslade
            [11] = 1879411173; -- Angmarim-slayer of Elderslade (Advanced)
            [12] = 1879411177; -- Angmarim-slayer of Elderslade
            [13] = 1879411115; -- Dragon-kind Slayer of Elderslade (Advanced)
            [14] = 1879411114; -- Dragon-kind Slayer of Elderslade
            [15] = 1879411172; -- Hobgoblin-slayer of Elderslade (Advanced)
            [16] = 1879411175; -- Hobgoblin-slayer of Elderslade
            [17] = 1879411147; -- Orc-slayer of Elderslade (Advanced)
            [18] = 1879411143; -- Orc-slayer of Elderslade
            [19] = 1879411145; -- Troll-slayer of Elderslade (Advanced)
            [20] = 1879411144; -- Troll-slayer of Elderslade
            [21] = 1879411171; -- Warg-slayer of Elderslade (Advanced)
            [22] = 1879411176; -- Warg-slayer of Elderslade
            [23] = 1879411335; -- Missions: The War of Three Peaks
            [24] = 1879411142; -- Battleground of the War of Three Peaks
            [25] = 1879409789; -- Discovery: Amdân Dammul, the Bloody Threshold
            [36] = 1879413329; -- Elderslade: A Mountain of Missions (Tier 10)
            [35] = 1879413326; -- Elderslade: A Mountain of Missions (Tier 9)
            [34] = 1879413325; -- Elderslade: A Mountain of Missions (Tier 8)
            [33] = 1879413328; -- Elderslade: A Mountain of Missions (Tier 7)
            [32] = 1879413327; -- Elderslade: A Mountain of Missions (Tier 6)
            [31] = 1879413331; -- Elderslade: A Mountain of Missions (Tier 5)
            [30] = 1879413330; -- Elderslade: A Mountain of Missions (Tier 4)
            [29] = 1879413332; -- Elderslade: A Mountain of Missions (Tier 3)
            [28] = 1879413317; -- Elderslade: A Mountain of Missions (Tier 2)
            [27] = 1879413316; -- Elderslade: A Mountain of Missions (Tier 1)
        };
        -- Blood of Azog
        [13] = {
            [1] = 1879413629; -- A Moment of Reflection
            [2] = 1879415682; -- Deeds of Azanulbizar
            [3] = 1879415683; -- Explorer of Azanulbizar
            [4] = 1879415681; -- Azog's Realm
            [5] = 1879415678; -- Remnants of Khazad-dûm
            [6] = 1879415680; -- Treasure of Azanulbizar
            [7] = 1879420070; -- The War-camp of Thráin
            [8] = 1879415685; -- Quests of Azanulbizar
            [9] = 1879415669; -- Tales of Azanulbizar (Final)
            [10] = 1879415668; -- Tales of Azanulbizar (Advanced)
            [11] = 1879415674; -- Tales of Azanulbizar
            [12] = 1879415684; -- Slayer of Azanulbizar
            [13] = 1879415664; -- Orc-slayer of Azanulbizar (Advanced)
            [14] = 1879415663; -- Orc-slayer of Azanulbizar
            [15] = 1879415672; -- Warg-slayer of Azanulbizar (Advanced)
            [16] = 1879415675; -- Warg-slayer of Azanulbizar
            [17] = 1879415673; -- Troll-slayer of Azanulbizar (Advanced)
            [18] = 1879415676; -- Troll-slayer of Azanulbizar
            [19] = 1879415667; -- Goblin-slayer of Azanulbizar (Advanced)
            [20] = 1879415666; -- Goblin-slayer of Azanulbizar
            [21] = 1879415671; -- Bat-slayer of Azanulbizar (Advanced)
            [22] = 1879415670; -- Bat-slayer of Azanulbizar
            [23] = 1879415677; -- Trophy-hunter of Azanulbizar
            [24] = 1879415679; -- The Battle of Azanulbizar
            [25] = 1879415686; -- Missions: The Kharum-ubnâr
            [26] = 1879418428; -- Missions: Foe-slayer of the Kharum-ubnâr (Final)
            [27] = 1879418426; -- Missions: Foe-slayer of the Kharum-ubnâr (Advanced)
            [28] = 1879418427; -- Missions: Foe-slayer of the Kharum-ubnâr
            [29] = 1879416277; -- The Fall of Khazad-dûm -- Tier 1
            [30] = 1879418960; -- Discovery: The Fall of Khazad-Dûm
            [31] = 1879416278; -- The Fall of Khazad-dûm -- Tier 2
            [32] = 1879416280; -- The Fall of Khazad-dûm -- Tier 3
            [33] = 1879416283; -- The Fall of Khazad-dûm -- Tier 4
            [34] = 1879416285; -- The Fall of Khazad-dûm -- Tier 5
        };
        -- Gundabad
        [14] = {
            [1] = 1879418416; -- Deeds of Gundabad
            [2] = 1879418380; -- Deeds of Máttugard
            [3] = 1879418366; -- Explorer of Máttugard
            [4] = 1879418378; -- Sites of Máttugard
            [5] = 1879418385; -- Enemies of Máttugard
            [6] = 1879418389; -- Rare Gundabad Chests of Máttugard
            [7] = 1879418371; -- Treasure of Máttugard
            [8] = 1879418367; -- Quests of Máttugard
            [9] = 1879418368; -- Slayer of Máttugard
            [10] = 1879418390; -- Máttugard Beast-slayer (Advanced)
            [11] = 1879418376; -- Máttugard Beast-slayer
            [12] = 1879418387; -- Máttugard Insect-slayer (Advanced)
            [13] = 1879418372; -- Máttugard Insect-slayer
            [14] = 1879418384; -- Máttugard Orc-kind Slayer (Advanced)
            [15] = 1879418379; -- Máttugard Orc-kind Slayer
            [16] = 1879424792; -- Deeds of Deepscrave
            [17] = 1879424789; -- Explorer of Deepscrave
            [18] = 1879424673; -- Sites of Deepscrave
            [19] = 1879424790; -- Enemies of Deepscrave
            [20] = 1879418375; -- Rare Gundabad Chests of Deepscrave
            [21] = 1879418383; -- Treasure of Deepscrave
            [22] = 1879424787; -- Quests of Deepscrave
            [23] = 1879424794; -- Slayer of Deepscrave
            [24] = 1879424786; -- Deepscrave Dragon-kind Slayer (Advanced)
            [25] = 1879424788; -- Deepscrave Dragon-kind Slayer
            [26] = 1879424797; -- Deepscrave Orc-kind Slayer (Advanced)
            [27] = 1879424795; -- Deepscrave Orc-kind Slayer
            [28] = 1879424793; -- Deepscrave Troll-slayer (Advanced)
            [29] = 1879424796; -- Deepscrave Troll-slayer
            [30] = 1879428348; -- Deeds of Stonejaws
            [31] = 1879430034; -- Explorer of Stonejaws
            [32] = 1879438589; -- Crystal Hunter
            [33] = 1879438583; -- Sites of Stonejaws
            [34] = 1879418382; -- Rare Gundabad Chests of Stonejaws
            [35] = 1879418388; -- Treasure of Stonejaws
            [36] = 1879430042; -- Quests of Stonejaws
            [37] = 1879430031; -- Slayer of Stonejaws
            [38] = 1879438585; -- Stonejaws Beast-slayer (Advanced)
            [39] = 1879438579; -- Stonejaws Beast-slayer
            [40] = 1879438573; -- Stonejaws Defilers of the Dead Slayer (Advanced)
            [41] = 1879438586; -- Stonejaws Defilers of the Dead Slayer
            [42] = 1879438577; -- Stonejaws Hobgoblin-slayer (Advanced)
            [43] = 1879438587; -- Stonejaws Hobgoblin-slayer
            [44] = 1879422594; -- Deeds of Gloomingtarn
            [45] = 1879422592; -- Explorer of Gloomingtarn
            [46] = 1879422591; -- The Cradle of Durin
            [47] = 1879422593; -- Invaders on the Dark Lake
            [48] = 1879418377; -- Rare Gundabad Chests of Gloomingtarn
            [49] = 1879418391; -- Treasure of Gloomingtarn
            [50] = 1879422596; -- Quests of Gloomingtarn
            [51] = 1879422595; -- Slayer of Gloomingtarn
            [52] = 1879422588; -- Angmarim-slayer of Gloomingtarn (Advanced)
            [53] = 1879422587; -- Angmarim-slayer of Gloomingtarn
            [54] = 1879422585; -- Orc-slayer of Gloomingtarn (Advanced)
            [55] = 1879422589; -- Orc-slayer of Gloomingtarn
            [56] = 1879422586; -- Spider and Insect-slayer of Gloomingtarn (Advanced)
            [57] = 1879422590; -- Spider and Insect-slayer of Gloomingtarn
            [58] = 1879428347; -- Deeds of Clovengap
            [59] = 1879430028; -- Explorer of Clovengap
            [60] = 1879430143; -- Discovering Clovengap
            [61] = 1879430142; -- The Fall of Forstóri
            [62] = 1879418386; -- Rare Gundabad Chests of Clovengap
            [63] = 1879418374; -- Treasure of Clovengap
            [64] = 1879430039; -- Quests of Clovengap
            [65] = 1879430033; -- Slayer of Clovengap
            [66] = 1879430225; -- Angmarim-slayer of Clovengap (Advanced)
            [67] = 1879430229; -- Angmarim-slayer of Clovengap
            [68] = 1879430233; -- Dragon-kind Slayer of Clovengap (Advanced)
            [69] = 1879430234; -- Dragon-kind Slayer of Clovengap
            [70] = 1879430220; -- Warg-slayer of Clovengap (Advanced)
            [71] = 1879430221; -- Warg-slayer of Clovengap
            [72] = 1879428346; -- Deeds of Welkin-lofts
            [73] = 1879430041; -- Explorer of Welkin-lofts
            [74] = 1879438581; -- Sites of Welkin-lofts
            [75] = 1879438578; -- Vistas of Welkin-lofts
            [76] = 1879418381; -- Rare Gundabad Chests of Welkin-lofts
            [77] = 1879418369; -- Treasure of Welkin-lofts
            [78] = 1879430043; -- Quests of Welkin-lofts
            [79] = 1879430035; -- Slayer of Welkin-lofts
            [80] = 1879438576; -- Welkin-lofts Beast-slayer (Advanced)
            [81] = 1879438575; -- Welkin-lofts Beast-slayer
            [82] = 1879438574; -- Welkin-lofts Dragon-kind Slayer (Advanced)
            [83] = 1879438584; -- Welkin-lofts Dragon-kind Slayer
            [84] = 1879438582; -- Welkin-lofts Giant-slayer (Advanced)
            [85] = 1879438580; -- Welkin-lofts Giant-slayer
            [86] = 1879438590; -- Welkin-lofts Hobgoblin-slayer (Advanced)
            [87] = 1879438588; -- Welkin-lofts Hobgoblin-slayer
            [88] = 1879422515; -- Deeds of Câr Bronach
            [89] = 1879422519; -- Explorer of Câr Bronach
            [90] = 1879422516; -- Scouting the Sorrowglen
            [91] = 1879422517; -- The Last Frontier of Angmar
            [92] = 1879418373; -- Rare Gundabad Chests of Câr Bronach
            [93] = 1879418370; -- Treasure of Câr Bronach
            [94] = 1879422518; -- Quests of Câr Bronach
            [95] = 1879422486; -- Slayer of Câr Bronach
            [96] = 1879422482; -- Iron Crown-slayer of Câr Bronach (Final)
            [97] = 1879422481; -- Iron Crown-slayer of Câr Bronach (Advanced)
            [98] = 1879422485; -- Iron Crown-slayer of Câr Bronach
            [99] = 1879422479; -- Giant-slayer of Câr Bronach (Advanced)
            [100] = 1879422484; -- Giant-slayer of Câr Bronach
            [101] = 1879422480; -- Dead-slayer of Câr Bronach (Advanced)
            [102] = 1879422483; -- Dead-slayer of Câr Bronach
            [103] = 1879422476; -- Beast-slayer of Câr Bronach (Advanced)
            [104] = 1879422475; -- Beast-slayer of Câr Bronach
            [105] = 1879418418; -- Gundabad: Reclaiming The Mountain
            [106] = 1879418400; -- Gundabad: Continued Efforts
            [107] = 1879418412; -- Quests of Reclaiming The Mountain
            [108] = 1879418420; -- Reclaiming The Mountain (Advanced)
            [109] = 1879418398; -- Reclaiming The Mountain (Intermediate)
            [110] = 1879418419; -- Reclaiming The Mountain
            [111] = 1879418408; -- Missions: Gundabad
            [112] = 1879418415; -- Gundabad Missions (Advanced)
            [113] = 1879418411; -- Gundabad Missions (Intermediate)
            [114] = 1879418397; -- Gundabad Missions
            [115] = 1879418417; -- Gundabad: Continued Skirmishes
            [116] = 1879418399; -- Leaders of Gundabad (Advanced)
            [117] = 1879418421; -- Leaders of Gundabad (Intermediate)
            [118] = 1879418395; -- Leaders of Gundabad
            [119] = 1879418401; -- Gundabad Mission Slayer (Advanced)
            [120] = 1879418396; -- Gundabad Mission Slayer (Intermediate)
            [121] = 1879418403; -- Gundabad Mission Slayer
            [122] = 1879418409; -- Battles of Gundabad (Advanced)
            [123] = 1879418407; -- Battles of Gundabad (Intermediate)
            [124] = 1879418413; -- Battles of Gundabad
            [125] = 1879418406; -- Resources of Gundabad (Advanced)
            [126] = 1879418402; -- Resources of Gundabad (Intermediate)
            [127] = 1879418410; -- Resources of Gundabad
            [128] = 1879418414; -- Explorer of Gundabad
            [129] = 1879418405; -- Quests of Gundabad
            [130] = 1879418404; -- Slayer of Gundabad
            [131] = 1879419346; -- Gundabad Critter-slayer (Advanced)
            [132] = 1879419340; -- Critter-slayer
            [133] = 1879419342; -- Trophy-hunter of Gundabad
        };
    };
    -- Gondor
    [8] = {
        -- Western Gondor
        [1] = {
            [1] = 1879312910; -- Deeds of West Gondor
            [2] = 1879312911; -- Explorer of West Gondor
            [3] = 1879312841; -- Beacons of West Gondor
            [6] = 1879312846; -- West Gondor: Camps of the Enemies
            [4] = 1879312843; -- Paths of the Dead
            [5] = 1879312847; -- Prosperity of West Gondor
            [27] = 1879312839; -- Gondorian Treasure Cache
            [7] = 1879312912; -- Quests of West Gondor
            [10] = 1879312557; -- Quests of Lamedon
            [8] = 1879312558; -- Quests of Belfalas
            [9] = 1879312562; -- Quests of Blackroot Vale
            [11] = 1879312559; -- Quests of Tarlang's Crown
            [15] = 1879312563; -- Warbands: West Gondor's Roaming Enemies
            [13] = 1879312913; -- Slayer of West Gondor
            [16] = 1879312507; -- Bandit-slayer of West Gondor (Advanced)
            [17] = 1879312504; -- Bandit-slayer of West Gondor
            [18] = 1879312505; -- Beast-slayer of West Gondor (Advanced)
            [19] = 1879312508; -- Beast-slayer of West Gondor
            [20] = 1879312500; -- Corsair-slayer of West Gondor (Advanced)
            [21] = 1879312506; -- Corsair-slayer of West Gondor
            [22] = 1879312502; -- Oath-breaker Slayer of West Gondor (Advanced)
            [23] = 1879312501; -- Oath-breaker Slayer of West Gondor
            [24] = 1879312503; -- Orc-slayer of West Gondor (Advanced)
            [25] = 1879306091; -- Orc-slayer of West Gondor
            [14] = 1879316154; -- Vanguard of Western Gondor
            [26] = 1879321688; -- Roving Threats: Western Gondor's Roving Enemies
            [28] = 1879308520; -- Dol Amroth - Buildings
            [29] = 1879310601; -- Dol Amroth - City Watch - Armoury
            [30] = 1879310599; -- Dol Amroth - City Watch - Bank
            [31] = 1879310600; -- Dol Amroth - City Watch - Docks
            [32] = 1879310602; -- Dol Amroth - City Watch - Great Hall
            [33] = 1879310594; -- Dol Amroth - City Watch - Library
            [34] = 1879310658; -- Dol Amroth - City Watch - Mason
            [35] = 1879310660; -- Dol Amroth - City Watch - Swan-knights Barracks
            [36] = 1879310603; -- Dol Amroth - City Watch - Warehouse
        };
        -- Central Gondor
        [2] = {
            [1] = 1879316259; -- Deeds of Central Gondor
            [2] = 1879316267; -- Explorer of Central Gondor
            [3] = 1879316268; -- Central Gondor: Camps of the Enemies
            [5] = 1879316264; -- Path of the Grey Host
            [6] = 1879316336; -- The Legacy of Pelargir
            [4] = 1879316262; -- Central Gondor: Under Siege
            [7] = 1879316273; -- Treasure of Central Gondor
            [8] = 1879316276; -- Quests of Central Gondor
            [11] = 1879315078; -- Quests of Ringló Vale
            [9] = 1879315079; -- Quests of Dor-en-Ernil
            [10] = 1879315080; -- Quests of Lebennin
            [12] = 1879316272; -- Warbands: Central Gondor's Roaming Enemies
            [13] = 1879316269; -- Vanguard of Central Gondor
            [14] = 1879316274; -- Slayer of Central Gondor
            [16] = 1879316270; -- Beast-slayer of Central Gondor (Advanced)
            [15] = 1879316265; -- Beast-slayer of Central Gondor
            [18] = 1879316279; -- Corsair-slayer of Central Gondor (Advanced)
            [17] = 1879316277; -- Corsair-slayer of Central Gondor
            [20] = 1879316263; -- Half-troll slayer of Central Gondor (Advanced)
            [19] = 1879316266; -- Half-troll slayer of Central Gondor
            [22] = 1879316278; -- Haradrim-slayer of Central Gondor (Advanced)
            [21] = 1879316260; -- Haradrim-slayer of Central Gondor
            [24] = 1879316261; -- Orc-slayer of Central Gondor (Advanced)
            [23] = 1879316275; -- Orc-slayer of Central Gondor
            [25] = 1879321689; -- Roving Threats: Central Gondor's Roving Enemies
        };
        -- Eastern Gondor
        [3] = {
            [1] = 1879323082; -- Deeds of Eastern Gondor
            [2] = 1879323080; -- Explorer of Eastern Gondor
            [3] = 1879323091; -- The Southern Beacons
            [4] = 1879323081; -- The Morgul-host
            [5] = 1879323092; -- The Legacy of Osgiliath
            [28] = 1879323093; -- Ruins of South Ithilien
            [6] = 1879323072; -- Strongholds of Hope
            [7] = 1879323086; -- Treasure of Eastern Gondor
            [8] = 1879323075; -- Quests of Eastern Gondor
            [10] = 1879323098; -- Quests of Lossarnach
            [12] = 1879323083; -- Quests of Osgiliath
            [11] = 1879323087; -- Quests of Southern Ithilien
            [9] = 1879323078; -- Quests of Upper Lebennin
            [13] = 1879323084; -- Warbands: Eastern Gondor's Roaming Enemies
            [14] = 1879323077; -- Slayer of Eastern Gondor
            [15] = 1879323094; -- Beast-slayer of Eastern Gondor (Advanced)
            [16] = 1879323097; -- Beast-slayer of Eastern Gondor
            [17] = 1879323074; -- Easterling-slayer of Eastern Gondor (Advanced)
            [18] = 1879323085; -- Easterling-slayer of Eastern Gondor
            [19] = 1879323096; -- Goblin-slayer of Eastern Gondor (Advanced)
            [20] = 1879323089; -- Goblin-slayer of Eastern Gondor
            [21] = 1879323079; -- Half-troll slayer of Eastern Gondor (Advanced)
            [22] = 1879323071; -- Half-troll slayer of Eastern Gondor
            [23] = 1879323073; -- Haradrim-slayer of Eastern Gondor (Advanced)
            [24] = 1879323076; -- Haradrim-slayer of Eastern Gondor
            [25] = 1879323088; -- Orc-slayer of Eastern Gondor (Advanced)
            [26] = 1879323090; -- Orc-slayer of Eastern Gondor
            [27] = 1879323060; -- The Five Sisters
            [29] = 1879323095; -- Roving Threats: Eastern Gondor's Roving Enemies
        };
        -- Old Anórien
        [4] = {
            [1] = 1879327992; -- Deeds of Old Anórien
            [2] = 1879327982; -- Explorer of Old Anórien
            [3] = 1879327950; -- Captains of Minas Tirith
            [4] = 1879327944; -- Masters of Minas Tirith
            [5] = 1879327949; -- Wardens of Minas Tirith
            [6] = 1879327959; -- Minas Tirith Fellow-halls
            [7] = 1879327933; -- Old Anórien Farms
            [8] = 1879327991; -- Quests of Old Anórien
            [9] = 1879327891; -- Quests of Minas Tirith
            [10] = 1879327893; -- Quests of Pelennor
            [11] = 1879327892; -- Quests of Talath Anor
            [12] = 1879327896; -- Warbands: Old Anórien's Roaming Enemies
            [13] = 1879327993; -- Slayer of Old Anórien
            [14] = 1879327720; -- Beast-slayer of Old Anórien (Advanced)
            [15] = 1879327721; -- Beast-slayer of Old Anórien
            [16] = 1879327725; -- Easterling-slayer of Old Anórien (Advanced)
            [17] = 1879327723; -- Easterling-slayer of Old Anórien
            [18] = 1879327724; -- Haradrim-slayer of Old Anórien (Advanced)
            [19] = 1879327718; -- Haradrim-slayer of Old Anórien
            [20] = 1879327716; -- Orc-slayer of Old Anórien (Advanced)
            [21] = 1879327706; -- Orc-slayer of Old Anórien
            [22] = 1879327719; -- Troll-slayer of Old Anórien (Advanced)
            [23] = 1879327722; -- Troll-slayer of Old Anórien
            [24] = 1879329691; -- Plaques of the White City
            [25] = 1879329673; -- Explorer of the White City
            [26] = 1879328985; -- Guests of the White City
            [27] = 1879329671; -- Taverns of the White City
            [28] = 1879329672; -- Teachings of the White City
            [29] = 1879329670; -- Vaults of the White City
            [30] = 1879329669; -- Workings of the White City
            [31] = 1879329692; -- The Statues of Minas Tirith
            [32] = 1879329674; -- The Line of Kings
            [33] = 1879329690; -- The Stewards of Gondor
            [34] = 1879330424; -- A Long Way Down
            [35] = 1879330283; -- Tales of Minas Tirith
        };
        -- Far Anórien
        [5] = {
            [1] = 1879332151; -- Deeds of Far Anórien
            [2] = 1879332149; -- Explorer of Far Anórien
            [3] = 1879332157; -- The Warning Beacons
            [4] = 1879332161; -- The Lost Trail of the Entwash
            [5] = 1879332147; -- Treasure of Far Anórien
            [6] = 1879332143; -- Quests of Far Anórien
            [7] = 1879332142; -- Quests of the Beacon Hills
            [8] = 1879332150; -- Quests of Taur Drúadan
            [9] = 1879332160; -- Warbands: Far Anórien's Roaming Enemies
            [10] = 1879332144; -- Slayer of Far Anórien
            [11] = 1879332155; -- Beast-slayer of Far Anórien (Advanced)
            [12] = 1879332158; -- Beast-slayer of Far Anórien
            [13] = 1879332159; -- Dheghûn-slayer of Far Anórien (Advanced)
            [14] = 1879332145; -- Dheghûn-slayer of Far Anórien
            [17] = 1879332153; -- Variag-slayer of Far Anórien (Advanced)
            [18] = 1879332154; -- Variag-slayer of Far Anórien
            [19] = 1879332156; -- Warg-rider Slayer of Far Anórien (Advanced)
            [20] = 1879332152; -- Warg-rider Slayer of Far Anórien
            [15] = 1879332148; -- Ghûrdhos-slayer of Far Anórien (Advanced)
            [16] = 1879332146; -- Ghûrdhos-slayer of Far Anórien
            [21] = 1879332082; -- Treating With Scoundrels -- Distraction
            [22] = 1879332083; -- Treating With Scoundrels - Ransom Paid
            [23] = 1879334733; -- After the Battle
        };
        -- March of the King
        [6] = {
            [1] = 1879338888; -- Deeds of North Ithilien
            [2] = 1879338879; -- Explorer of North Ithilien
            [3] = 1879338667; -- Haradrim Remnants
            [4] = 1879338699; -- A Look into Osgiliath
            [5] = 1879338629; -- Treasure of North Ithilien
            [6] = 1879338697; -- Ruins of North Ithilien
            [7] = 1879338877; -- Quests of greater North Ithilien
            [8] = 1879338691; -- Quests of North Ithilien
            [9] = 1879338695; -- Quests of Pelennor
            [10] = 1879338689; -- Warbands: North Ithilien's Roaming Enemies
            [11] = 1879338693; -- Quests of Osgiliath and Cross-roads
            [12] = 1879338884; -- Slayer of North Ithilien
            [15] = 1879338674; -- Foe-slayer of Cair Andros (Advanced)
            [16] = 1879338675; -- Foe-slayer of Cair Andros
            [13] = 1879338672; -- Beast and Spider slayer of North Ithilien (Advanced)
            [14] = 1879338673; -- Beast and Spider slayer of North Ithilien
            [19] = 1879338670; -- Easterling-slayer of North Ithilien (Advanced)
            [20] = 1879338669; -- Easterling-slayer of North Ithilien
            [17] = 1879338671; -- Foe-slayer of Osgiliath (Advanced)
            [18] = 1879338668; -- Foe-slayer of Osgiliath
            [21] = 1879340035; -- A Lesson in Herbalism (Final)
            [22] = 1879340037; -- A Lesson in Herbalism (Advanced)
            [23] = 1879340036; -- A Lesson in Herbalism (Intermediate)
            [24] = 1879340019; -- A Lesson in Herbalism
        };
        -- The Wastes
        [7] = {
            [1] = 1879342493; -- Deeds of The Wastes
            [2] = 1879342486; -- Explorer of The Wastes
            [3] = 1879342484; -- Gathering of Evil
            [4] = 1879342489; -- Forgotten Caches
            [5] = 1879342483; -- Relics of the Last Alliance
            [6] = 1879342488; -- Ruins of Gondor
            [7] = 1879342496; -- Quests of The Wastes
            [8] = 1879342498; -- Quests of Dagorlad
            [9] = 1879342494; -- Quests of the Noman-lands
            [10] = 1879342479; -- Quests of the Slag-hills
            [11] = 1879342495; -- Slayer of The Wastes
            [12] = 1879342478; -- Foe-slayer of Ondoher's Folly (Advanced)
            [13] = 1879342492; -- Foe-slayer of Ondoher's Folly
            [14] = 1879342497; -- Foe-slayer of Dûm Boha (Advanced)
            [15] = 1879342481; -- Foe-slayer of Dûm Boha
            [16] = 1879342487; -- Foe-slayer of Skoironk (Advanced)
            [17] = 1879342490; -- Foe-slayer of Skoironk
            [18] = 1879342485; -- Foe-slayer of Fushaum Gund (Advanced)
            [19] = 1879342480; -- Foe-slayer of Fushaum Gund
            [20] = 1879342482; -- Foe-slayer of the Towers of the Teeth (Advanced)
            [21] = 1879342491; -- Foe-slayer of the Towers of the Teeth
            [22] = 1879342448; -- Enemies Beneath the Hills
            [23] = 1879342454; -- Leaders Beneath the Hills (Advanced)
            [24] = 1879342453; -- Leaders Beneath the Hills
            [25] = 1879342447; -- Skoironk: Enemies Beneath (Advanced)
            [26] = 1879342451; -- Skoironk: Enemies Beneath
            [27] = 1879342452; -- Towers of the Teeth: Enemies Beneath (Advanced)
            [28] = 1879342455; -- Towers of the Teeth: Enemies Beneath
            [29] = 1879342446; -- Threats of The Wastes
            [30] = 1879342450; -- Foe-slayer of Lang Rhuven (Advanced)
            [31] = 1879342449; -- Foe-slayer of Lang Rhuven
            [32] = 1879342456; -- Roving Threats: The Wastes' Roving Enemies
            [33] = 1879342445; -- Beneath the Hills
            [34] = 1879341961; -- The Road to Mordor
        };
    };
    -- Mordor
    [9] = {
        -- Gorgoroth
        [1] = {
            [1] = 1879354764; -- Gorgoroth: Continued Conquest
            [2] = 1879354727; -- Gorgoroth: Continued Efforts
            [3] = 1879354750; -- Agarnaith: Continued Efforts
            [4] = 1879354760; -- Dor Amarth: Continued Efforts
            [5] = 1879354741; -- Lhingris: Continued Efforts
            [6] = 1879354742; -- Talath Úrui: Continued Efforts
            [7] = 1879354726; -- Udûn: Continued Efforts
            [8] = 1879354722; -- Resources of Gorgoroth
            [9] = 1879354738; -- Gorgoroth: Continued Foothold
            [10] = 1879354754; -- Foothold in Agarnaith (Advanced)
            [11] = 1879354753; -- Foothold in Agarnaith (Intermediate)
            [12] = 1879354763; -- Foothold in Agarnaith
            [13] = 1879354737; -- Foothold in Dor Amarth (Advanced)
            [14] = 1879354736; -- Foothold in Dor Amarth (Intermediate)
            [15] = 1879354734; -- Foothold in Dor Amarth
            [16] = 1879354724; -- Foothold in Lhingris (Advanced)
            [17] = 1879354723; -- Foothold in Lhingris (Intermediate)
            [18] = 1879354720; -- Foothold in Lhingris
            [19] = 1879354757; -- Foothold in Talath Úrui (Advanced)
            [20] = 1879354759; -- Foothold in Talath Úrui (Intermediate)
            [21] = 1879354762; -- Foothold in Talath Úrui
            [22] = 1879354733; -- Foothold in Udûn (Advanced)
            [23] = 1879354731; -- Foothold in Udûn (Intermediate)
            [24] = 1879354739; -- Foothold in Udûn
            [25] = 1879354747; -- Gathering of Resources (Advanced)
            [26] = 1879354746; -- Gathering of Resources (Intermediate)
            [27] = 1879354744; -- Gathering of Resources
            [28] = 1879354749; -- Gorgoroth: Continued Skirmishes
            [29] = 1879354748; -- Enemies in Bhol Rûdh (Advanced)
            [30] = 1879354745; -- Enemies in Bhol Rûdh
            [31] = 1879354732; -- Leaders of Gorgoroth (Advanced)
            [32] = 1879354740; -- Leaders of Gorgoroth
            [33] = 1879354752; -- Enemies of Barad-dûr (Advanced)
            [34] = 1879354751; -- Enemies of Barad-dûr
            [35] = 1879354756; -- Enemies of Kála-murg (Advanced)
            [36] = 1879354755; -- Enemies of Kála-murg
            [37] = 1879354729; -- Enemies on The Burning Mountain (Advanced)
            [38] = 1879354725; -- Enemies on The Burning Mountain
            [39] = 1879354765; -- Enemies of Durthang (Advanced)
            [40] = 1879354728; -- Enemies of Durthang
            [41] = 1879354735; -- Hidden Threats of Gorgoroth
            [42] = 1879354761; -- Scourge-slayer of Mordor (Advanced)
            [43] = 1879354758; -- Scourge-slayer of Mordor
            [44] = 1879354730; -- Scourges of Gorgoroth
            [45] = 1879353373; -- Tales of Gorgoroth
            [46] = 1879353726; -- Well-preserved
            [47] = 1879354918; -- Aiding in the Conquest
            [48] = 1879354721; -- Allegiances of Middle-earth
            [137] = 1879366621; -- The Lost Lore of Mordor
            [55] = 1879354322; -- Deeds of Udûn
            [63] = 1879354319; -- Slayer of Udûn
            [68] = 1879354252; -- Soldier-slayer of Udûn (Advanced)
            [69] = 1879354250; -- Soldier-slayer of Udûn
            [66] = 1879354253; -- Forgeworker-slayer of Udûn (Advanced)
            [67] = 1879354251; -- Forgeworker-slayer of Udûn
            [64] = 1879354320; -- Beast-slayer of Udûn (Advanced)
            [65] = 1879354317; -- Beast-slayer of Udûn
            [56] = 1879354321; -- Explorer of Udûn
            [58] = 1879354281; -- Forge-works of Udûn
            [57] = 1879354282; -- Forge-fires of Udûn
            [59] = 1879354318; -- The Way Into Mordor
            [61] = 1879354867; -- Rare Gorgoroth Chests of Udûn
            [60] = 1879354879; -- Treasure of Udûn
            [62] = 1879354326; -- Quests of Udûn
            [70] = 1879354853; -- Deeds of Dor Amarth
            [77] = 1879354866; -- Slayer of Dor Amarth
            [78] = 1879354876; -- Beast-slayer of Dor Amarth (Advanced)
            [79] = 1879354872; -- Beast-slayer of Dor Amarth
            [80] = 1879354852; -- Black Númenórean-slayer of Dor Amarth (Advanced)
            [81] = 1879354860; -- Black Númenórean-slayer of Dor Amarth
            [82] = 1879354861; -- Evil Dwarf-slayer of Dor Amarth (Advanced)
            [83] = 1879354864; -- Evil Dwarf-slayer of Dor Amarth
            [84] = 1879354870; -- Orc and Uruk-slayer of Dor Amarth (Advanced)
            [85] = 1879354873; -- Orc and Uruk-slayer of Dor Amarth
            [71] = 1879354878; -- Explorer of Dor Amarth
            [72] = 1879354885; -- Places of Darkness
            [73] = 1879354851; -- The Last Reserves
            [75] = 1879354858; -- Rare Gorgoroth Chests of Dor Amarth
            [74] = 1879354869; -- Treasure of Dor Amarth
            [76] = 1879354875; -- Quests of Dor Amarth
            [86] = 1879356162; -- Deeds of Lhingris
            [94] = 1879356158; -- Slayer of Lhingris
            [97] = 1879356152; -- Spider-slayer of Lhingris (Advanced)
            [98] = 1879356151; -- Spider-slayer of Lhingris
            [95] = 1879356160; -- Grodbog-slayer of Lhingris (Advanced)
            [96] = 1879356159; -- Grodbog-slayer of Lhingris
            [101] = 1879356161; -- Zhavár-hai Slayer of Lhingris (Advanced)
            [102] = 1879356157; -- Zhavár-hai Slayer of Lhingris
            [99] = 1879356156; -- Uruk-hai and Orc-slayer of Lhingris (Advanced)
            [100] = 1879356155; -- Uruk-hai and Orc-slayer of Lhingris
            [87] = 1879356142; -- Explorer of Lhingris
            [88] = 1879356135; -- Strongholds of the Ephel Dúath
            [89] = 1879356136; -- The Tower of Cirith Ungol
            [90] = 1879356133; -- Spider-haunts and Web-rifts
            [92] = 1879354855; -- Rare Gorgoroth Chests of Lhingris
            [91] = 1879354868; -- Treasure of Lhingris
            [93] = 1879356134; -- Quests of Lhingris
            [103] = 1879356154; -- Bane of Shelob's Broods
            [104] = 1879354865; -- Deeds of Talath Úrui
            [112] = 1879354862; -- Slayer of Talath Úrui
            [113] = 1879354888; -- Ghâsh-hai-slayer of Talath Úrui (Advanced)
            [114] = 1879354856; -- Ghâsh-hai-slayer of Talath Úrui
            [115] = 1879354886; -- Grim and Spirit-slayer of Talath Úrui (Advanced)
            [116] = 1879354883; -- Grim and Spirit-slayer of Talath Úrui
            [117] = 1879354881; -- Orc and Uruk-slayer of Talath Úrui (Advanced)
            [118] = 1879354877; -- Orc and Uruk-slayer of Talath Úrui
            [119] = 1879354857; -- Worm and Drake-slayer of Talath Úrui (Advanced)
            [120] = 1879354887; -- Worm and Drake-slayer of Talath Úrui
            [105] = 1879354859; -- Explorer of Talath Úrui
            [106] = 1879354880; -- Outposts Along the Burning Plain
            [107] = 1879354874; -- Nargroth Explorer
            [108] = 1879354871; -- The Tainted Reserves
            [109] = 1879354882; -- Rare Gorgoroth Chests of Talath Úrui
            [110] = 1879354889; -- Treasure of Talath Úrui
            [111] = 1879354863; -- Quests of Talath Úrui
            [121] = 1879353982; -- Deeds of Agarnaith
            [129] = 1879353981; -- Slayer of Agarnaith
            [130] = 1879353880; -- Plague-slayer of Agarnaith (Advanced)
            [131] = 1879353881; -- Plague-slayer of Agarnaith
            [132] = 1879353878; -- Orc-slayer of Agarnaith (Advanced)
            [133] = 1879353876; -- Orc-slayer of Agarnaith
            [134] = 1879353877; -- Uruk-slayer of Agarnaith (Advanced)
            [135] = 1879353875; -- Uruk-slayer of Agarnaith
            [136] = 1879353983; -- Dangerous Foes of Agarnaith
            [122] = 1879353980; -- Explorer of Agarnaith
            [123] = 1879353967; -- Kala-gijak Tower-climber
            [124] = 1879353947; -- Agarnaith Pathfinder
            [125] = 1879353886; -- Seregost Explorer
            [127] = 1879354884; -- Rare Gorgoroth Chests of Agarnaith
            [126] = 1879354854; -- Treasure of Agarnaith
            [128] = 1879353879; -- Quests of Agarnaith
            [49] = 1879354917; -- Deeds of Gorgoroth
            [50] = 1879354922; -- Explorer of Gorgoroth
            [51] = 1879354920; -- Quests of Gorgoroth
            [52] = 1879354916; -- History of Gorgoroth
            [53] = 1879354919; -- Quests of the Plateau
            [54] = 1879354921; -- Slayer of Gorgoroth
        };
        -- Imlad Morgul
        [2] = {
            [1] = 1879395368; -- Deeds of Imlad Morgul and Mordor Besieged
            [2] = 1879395356; -- The Reclamation of Minas Ithil
            [3] = 1879395369; -- Imlad Morgul -- The Reclamation
            [4] = 1879395344; -- Explorer of Imlad Morgul and Mordor Besieged
            [5] = 1879395370; -- Scouting Cirith Ungol
            [6] = 1879395350; -- Rare Chests of Cirith Ungol
            [7] = 1879395353; -- Scouting Minas Morgul
            [8] = 1879395373; -- Rare Chests of Minas Morgul
            [9] = 1879395366; -- Scouting Rath Dúath
            [10] = 1879395358; -- Rare Chests of Rath Dúath
            [11] = 1879395363; -- Scouting Thuringwath
            [12] = 1879395341; -- Rare Chests of Thuringwath
            [13] = 1879395348; -- Exploring Mordor Besieged
            [14] = 1879395351; -- Rare Chests of Mordor Besieged
            [15] = 1879395355; -- Quests of Imlad Morgul and Mordor Besieged
            [16] = 1879395375; -- Quests of Cirith Ungol
            [17] = 1879395342; -- Quests of Minas Morgul
            [18] = 1879395371; -- Quests of Rath Dúath
            [19] = 1879395365; -- Quests of Thuringwath
            [20] = 1879395362; -- Quests of Mordor Besieged
            [21] = 1879395374; -- Slayer of Imlad Morgul and Mordor Besieged
            [22] = 1879395357; -- Battles of the Great Alliance (Advanced)
            [23] = 1879395361; -- Battles of the Great Alliance (Intermediate)
            [24] = 1879395354; -- Battles of the Great Alliance
            [25] = 1879395364; -- Merrevail and Mervyl Slayer of Imlad Morgul (Advanced)
            [26] = 1879395367; -- Merrevail and Mervyl Slayer of Imlad Morgul
            [27] = 1879395345; -- Orc-kind Slayer of Imlad Morgul (Advanced)
            [28] = 1879395352; -- Orc-kind Slayer of Imlad Morgul
            [29] = 1879395372; -- Spider and Insect Slayer of Imlad Morgul (Advanced)
            [30] = 1879395343; -- Spider and Insect Slayer of Imlad Morgul
            [31] = 1879395349; -- Wight-slayer of Imlad Morgul (Advanced)
            [32] = 1879395346; -- Wight-slayer of Imlad Morgul
            [33] = 1879395359; -- Wraith-slayer of Imlad Morgul (Advanced)
            [34] = 1879395360; -- Wraith-slayer of Imlad Morgul
            [35] = 1879395347; -- Imlad Morgul -- Continued Threats
            [36] = 1879396725; -- The Lost Lore of the Morgul Vale and Mordor Besieged
            [37] = 1879394421; -- The Nine
            [38] = 1879398819; -- Claiming The Dead City
        };
    };
};
